package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.contant.SystemConstant;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 工作台 result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/4/8
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class WorkResult implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "试卷编号")
    String paperNumber;

    @ApiModelProperty(value = "课程名称")
    String courseName;

    @ApiModelProperty(value = "课程代码")
    String courseCode;

    @ApiModelProperty(value = "适用专业")
    String specialty;

    @ApiModelProperty(value = "题卡规则ID")
    String cardRuleId;

    @ApiModelProperty(value = "题卡规则名称")
    String cardRuleName;

    @ApiModelProperty(value = "用户ID")
    String userId;

    @ApiModelProperty(value = "用户名称")
    String userName;

    @ApiModelProperty(value = "命题开始时间")
    Long startTime;

    @ApiModelProperty(value = "命题结束时间")
    Long endTime;

    @ApiModelProperty(value = "状态")
    String status;

    @ApiModelProperty(value = "剩余天数")
    Integer remainCount;

    @ApiModelProperty(value = "提交人")
    Long createId;

    @ApiModelProperty(value = "提交时间")
    Long createTime;

    @ApiModelProperty(value = "待办条数")
    Integer count;

    @ApiModelProperty(value = "当前服务器时间")
    Long systemCurrentTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public String getCardRuleId() {
        return cardRuleId;
    }

    public void setCardRuleId(String cardRuleId) {
        this.cardRuleId = cardRuleId;
    }

    public String getCardRuleName() {
        return cardRuleName;
    }

    public void setCardRuleName(String cardRuleName) {
        this.cardRuleName = cardRuleName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getRemainCount() {
        return remainCount;
    }

    public void setRemainCount(Integer remainCount) {
        this.remainCount = remainCount;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Long getSystemCurrentTime() {
        return System.currentTimeMillis();
    }

    public void setSystemCurrentTime(Long systemCurrentTime) {
        this.systemCurrentTime = systemCurrentTime;
    }
}
