package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.CardStatusEnum;
import com.qmth.distributed.print.business.enums.CardTypeEnum;
import com.qmth.distributed.print.business.enums.MakeMethodEnum;
import com.qmth.teachcloud.common.base.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 题卡
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("exam_card")
public class ExamCard extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("school_id")
    private Long schoolId;
    /**
     * 课程编码
     */
    @TableField("course_code")
    private String courseCode;
    /**
     * 课程名称
     */
    @TableField("course_name")
    private String courseName;
    /**
     * 标题
     */
    private String title;
    /**
     * 题卡制作方式：SELECT-选择已有题卡，SELF-自助创建，CUST-客户制卡
     */
    @TableField("make_method")
    private MakeMethodEnum makeMethod;

    /**
     * STAGE-暂存，SUBMIT-提交
     */
    private CardStatusEnum status;

    private CardTypeEnum type;

    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("template_id")
    private Long templateId;

    @TableField("sync_status")
    private Boolean syncStatus;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public MakeMethodEnum getMakeMethod() {
        return makeMethod;
    }

    public void setMakeMethod(MakeMethodEnum makeMethod) {
        this.makeMethod = makeMethod;
    }

    public CardStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CardStatusEnum status) {
        this.status = status;
    }

    public CardTypeEnum getType() {
        return type;
    }

    public void setType(CardTypeEnum type) {
        this.type = type;
    }

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    public Boolean getSyncStatus() {
        return syncStatus;
    }

    public void setSyncStatus(Boolean syncStatus) {
        this.syncStatus = syncStatus;
    }
}
