package com.qmth.teachcloud.common.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.contant.SystemConstant;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 所有附件记录表
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("basic_attachment")
public class BasicAttachment implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "附件名称")
    @TableField(value = "name")
    private String name;

    @ApiModelProperty(value = "路径")
    @TableField(value = "path")
    private String path;

    @ApiModelProperty(value = "类型")
    @TableField(value = "type")
    private String type;

    @ApiModelProperty(value = "大小")
    @TableField(value = "size")
    private BigDecimal size;

    @ApiModelProperty(value = "MD5")
    @TableField(value = "md5")
    private String md5;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)//新增执行
    private Long createTime;

    @ApiModelProperty(value = "创建人id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "关联业务id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("obj_id")
    private Long objId;

    @TableField(exist = false)
    private Integer pages;

    public BasicAttachment() {

    }

    public BasicAttachment(String path, String name, String type, BigDecimal size, String md5, Long createId) {
        this.id = SystemConstant.getDbUuid();
        this.path = path;
        this.name = name;
        this.type = type;
        this.size = size;
        this.md5 = md5;
        this.createTime = System.currentTimeMillis();
        this.createId = createId;
    }

    public BasicAttachment(String path, String name, String type, BigDecimal size, String md5, Long createId, Long objId) {
        this.id = SystemConstant.getDbUuid();
        this.path = path;
        this.name = name;
        this.type = type;
        this.size = size;
        this.md5 = md5;
        this.createTime = System.currentTimeMillis();
        this.createId = createId;
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public BigDecimal getSize() {
        return size;
    }

    public void setSize(BigDecimal size) {
        this.size = size;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Integer getPages() {
        return pages;
    }

    public void setPages(Integer pages) {
        this.pages = pages;
    }
}
