package com.qmth.teachcloud.common.enums;

import java.util.Objects;

/**
 * @Description: 上传文件类型
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/15
 */
public enum UploadFileEnum {
    /**
     * 客户端
     */
    PAPER("paper"),
    /**
     * 系统相关
     */
    UPLOAD("upload"),
    /**
     * 导入导出
     */
    FILE("file"),

    PDF("pdf"),

    HTML("html");

    private String title;

    private UploadFileEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param title
     * @return
     */
    public static String convertToName(String title) {
        for (UploadFileEnum e : UploadFileEnum.values()) {
            if (Objects.equals(title, e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }
}
