package com.qmth.teachcloud.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.teachcloud.common.bean.dto.CourseInfoDto;
import com.qmth.teachcloud.common.entity.BasicCourse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 课程表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicCourseMapper extends BaseMapper<BasicCourse> {

    List<BasicCourse> listCoursesByUserId(Long id);

    IPage<BasicCourse> listPage(Page<BasicCourse> page, @Param("schoolId") Long schoolId, @Param("code") String code, @Param("name") String name);

    List<CourseInfoDto> findByUserLoginNameAndRealName(@Param("loginName")String loginName, @Param("realName") String realName);
}
