package com.qmth.teachcloud.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.common.entity.BasicUserCourse;
import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.common.mapper.BasicUserCourseMapper;
import com.qmth.teachcloud.common.service.BasicUserCourseService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 用户和课程关联表 服务实现类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@Service
public class BasicUserCourseServiceImpl extends ServiceImpl<BasicUserCourseMapper, BasicUserCourse> implements BasicUserCourseService {

    @Override
    public void removeByUserId(Long userId) {
        UpdateWrapper<BasicUserCourse> updateWrapper = new UpdateWrapper<>();
        updateWrapper.lambda().eq(BasicUserCourse::getUserId, userId);
        this.baseMapper.delete(updateWrapper);
    }

    @Override
    public void saveBatch(SysUser sysUser) {
        Long[] courseIds = sysUser.getCourseIds();
        List<BasicUserCourse> list = new ArrayList<>();
        for (Long courseId : courseIds) {
            BasicUserCourse userCourse = new BasicUserCourse();
            userCourse.setUserId(sysUser.getId());
            userCourse.setCourseId(courseId);
            userCourse.setCreateId(sysUser.getId());
            userCourse.setCreateTime(System.currentTimeMillis());
            list.add(userCourse);
        }
        this.saveBatch(list);
    }
}
