package com.qmth.teachcloud.report.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 考试课程维度分析表
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
@ApiModel(value = "TAExamCourse对象", description = "考试课程维度分析表")
public class TAExamCourse implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "考试科目分析表id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "考试id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "exam_id")
    private Long examId;

    @ApiModelProperty(value = "科目编码")
    @TableField(value = "course_code")
    private String courseCode;

    @ApiModelProperty(value = "学校id（冗余）")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "school_id")
    private Long schoolId;

    @ApiModelProperty(value = "考试名称（冗余）")
    @TableField(value = "exam_name")
    private String examName;

    @ApiModelProperty(value = "科目名称")
    @TableField(value = "course_name")
    private String courseName;

    @ApiModelProperty(value = "试卷满分")
    @TableField(value = "total_score")
    private BigDecimal totalScore;

    @ApiModelProperty(value = "最低分")
    @TableField(value = "min_score")
    private BigDecimal minScore;

    @ApiModelProperty(value = "最高分")
    @TableField(value = "max_score")
    private BigDecimal maxScore;

    @ApiModelProperty(value = "全体参考平均分")
    @TableField(value = "avg_score")
    private BigDecimal avgScore;

    @ApiModelProperty(value = "难度系数（得分率）")
    @TableField(value = "score_rate")
    private BigDecimal scoreRate;

    @ApiModelProperty(value = "实际参考人数")
    @TableField(value = "reality_count")
    private Integer realityCount;

    @ApiModelProperty(value = "缺考人数")
    @TableField(value = "absent_count")
    private Integer absentCount;

    @ApiModelProperty(value = "总应参考人数")
    @TableField(value = "total_count")
    private Integer totalCount;

    @ApiModelProperty(value = "本次科目难度")
    @TableField(value = "difficulty")
    private String difficulty;

    @ApiModelProperty(value = "上四分位数")
    @TableField(value = "upper_quartile")
    private BigDecimal upperQuartile;

    @ApiModelProperty(value = "中位数")
    @TableField(value = "median")
    private BigDecimal median;

    @ApiModelProperty(value = "下四分位数")
    @TableField(value = "lower_quartile")
    private BigDecimal lowerQuartile;

    @ApiModelProperty(value = "众数")
    @TableField(value = "mode")
    private String mode;

    @ApiModelProperty(value = "标准差")
    @TableField(value = "standard_deviation")
    private BigDecimal standardDeviation;

    @ApiModelProperty(value = "总体卷面平均分")
    @TableField(value = "paper_avg_score")
    private BigDecimal paperAvgScore;

    @ApiModelProperty(value = "应届卷面平均分")
    @TableField(value = "paper_current_avg_score")
    private BigDecimal paperCurrentAvgScore;

    @ApiModelProperty(value = "总体卷面成绩通过率")
    @TableField(value = "paper_pass_rate")
    private BigDecimal paperPassRate;

    @ApiModelProperty(value = "应届卷面成绩通过率")
    @TableField(value = "paper_current_pass_rate")
    private BigDecimal paperCurrentPassRate;

    @ApiModelProperty(value = "赋分系数")
    @TableField(value = "coefficient")
    private BigDecimal coefficient;

    @ApiModelProperty(value = "开课学院id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "teach_college_id")
    private Long teachCollegeId;

    @ApiModelProperty(value = "开课学院名称")
    @TableField(value = "teach_college_name")
    private String teachCollegeName;

    @ApiModelProperty(value = "考察学院数量")
    @TableField(value = "inspect_college_count")
    private Integer inspectCollegeCount;

    @ApiModelProperty(value = "应届实际考试人数占比")
    @TableField(value = "current_reality_rate")
    private BigDecimal currentRealityRate;

    @ApiModelProperty(value = "应届总考试人数")
    @TableField(value = "current_total_count")
    private Integer currentTotalCount;

    @ApiModelProperty(value = "应届实际考试人数")
    @TableField(value = "current_reality_count")
    private Integer currentRealityCount;

    @ApiModelProperty(value = "往届实际考试人数占比")
    @TableField(value = "past_reality_rate")
    private BigDecimal pastRealityRate;

    @ApiModelProperty(value = "往届总考试人数")
    @TableField(value = "past_total_count")
    private Integer pastTotalCount;

    @ApiModelProperty(value = "往届实际考试人数")
    @TableField(value = "past_reality_count")
    private Integer pastRealityCount;

    public Long getTeachCollegeId() {
        return teachCollegeId;
    }

    public void setTeachCollegeId(Long teachCollegeId) {
        this.teachCollegeId = teachCollegeId;
    }

    public String getTeachCollegeName() {
        return teachCollegeName;
    }

    public void setTeachCollegeName(String teachCollegeName) {
        this.teachCollegeName = teachCollegeName;
    }

    public Integer getInspectCollegeCount() {
        return inspectCollegeCount;
    }

    public void setInspectCollegeCount(Integer inspectCollegeCount) {
        this.inspectCollegeCount = inspectCollegeCount;
    }

    public BigDecimal getCurrentRealityRate() {
        return currentRealityRate;
    }

    public void setCurrentRealityRate(BigDecimal currentRealityRate) {
        this.currentRealityRate = currentRealityRate;
    }

    public Integer getCurrentTotalCount() {
        return currentTotalCount;
    }

    public void setCurrentTotalCount(Integer currentTotalCount) {
        this.currentTotalCount = currentTotalCount;
    }

    public Integer getCurrentRealityCount() {
        return currentRealityCount;
    }

    public void setCurrentRealityCount(Integer currentRealityCount) {
        this.currentRealityCount = currentRealityCount;
    }

    public BigDecimal getPastRealityRate() {
        return pastRealityRate;
    }

    public void setPastRealityRate(BigDecimal pastRealityRate) {
        this.pastRealityRate = pastRealityRate;
    }

    public Integer getPastTotalCount() {
        return pastTotalCount;
    }

    public void setPastTotalCount(Integer pastTotalCount) {
        this.pastTotalCount = pastTotalCount;
    }

    public Integer getPastRealityCount() {
        return pastRealityCount;
    }

    public void setPastRealityCount(Integer pastRealityCount) {
        this.pastRealityCount = pastRealityCount;
    }

    public BigDecimal getPaperAvgScore() {
        return paperAvgScore;
    }

    public void setPaperAvgScore(BigDecimal paperAvgScore) {
        this.paperAvgScore = paperAvgScore;
    }

    public BigDecimal getPaperCurrentAvgScore() {
        return paperCurrentAvgScore;
    }

    public void setPaperCurrentAvgScore(BigDecimal paperCurrentAvgScore) {
        this.paperCurrentAvgScore = paperCurrentAvgScore;
    }

    public BigDecimal getPaperPassRate() {
        return paperPassRate;
    }

    public void setPaperPassRate(BigDecimal paperPassRate) {
        this.paperPassRate = paperPassRate;
    }

    public BigDecimal getPaperCurrentPassRate() {
        return paperCurrentPassRate;
    }

    public void setPaperCurrentPassRate(BigDecimal paperCurrentPassRate) {
        this.paperCurrentPassRate = paperCurrentPassRate;
    }

    public BigDecimal getCoefficient() {
        return coefficient;
    }

    public void setCoefficient(BigDecimal coefficient) {
        this.coefficient = coefficient;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }

    public BigDecimal getMinScore() {
        return minScore;
    }

    public void setMinScore(BigDecimal minScore) {
        this.minScore = minScore;
    }

    public BigDecimal getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(BigDecimal maxScore) {
        this.maxScore = maxScore;
    }

    public BigDecimal getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(BigDecimal avgScore) {
        this.avgScore = avgScore;
    }

    public BigDecimal getScoreRate() {
        return scoreRate;
    }

    public void setScoreRate(BigDecimal scoreRate) {
        this.scoreRate = scoreRate;
    }

    public Integer getRealityCount() {
        return realityCount;
    }

    public void setRealityCount(Integer realityCount) {
        this.realityCount = realityCount;
    }

    public Integer getAbsentCount() {
        return absentCount;
    }

    public void setAbsentCount(Integer absentCount) {
        this.absentCount = absentCount;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public String getDifficulty() {
        return difficulty;
    }

    public void setDifficulty(String difficulty) {
        this.difficulty = difficulty;
    }

    public BigDecimal getUpperQuartile() {
        return upperQuartile;
    }

    public void setUpperQuartile(BigDecimal upperQuartile) {
        this.upperQuartile = upperQuartile;
    }

    public BigDecimal getMedian() {
        return median;
    }

    public void setMedian(BigDecimal median) {
        this.median = median;
    }

    public BigDecimal getLowerQuartile() {
        return lowerQuartile;
    }

    public void setLowerQuartile(BigDecimal lowerQuartile) {
        this.lowerQuartile = lowerQuartile;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public BigDecimal getStandardDeviation() {
        return standardDeviation;
    }

    public void setStandardDeviation(BigDecimal standardDeviation) {
        this.standardDeviation = standardDeviation;
    }
}
