package com.qmth.teachcloud.report.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 参考课程考生成绩维度表
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
@ApiModel(value = "TAExamCourseRecord对象", description = "参考课程考生成绩维度表")
public class TAExamCourseRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "学校id（冗余）")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "school_id")
    private Long schoolId;

    @ApiModelProperty(value = "基础考生成绩记录表id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "exam_record_id")
    private Long examRecordId;

    @ApiModelProperty(value = "赋分后成绩")
    @TableField(value = "assigned_score")
    private BigDecimal assignedScore;

    @ApiModelProperty(value = "百分位等级")
    @TableField(value = "percent_grade")
    private String percentGrade;

    @ApiModelProperty(value = "得分水平 ABCDE")
    @TableField(value = "score_level")
    private String scoreLevel;

    @ApiModelProperty(value = "该学生成绩在学院中的排名（赋分）")
    @TableField(value = "col_rank")
    private Integer colRank;

    @ApiModelProperty(value = "该学生成绩排名所在的等级（col_rank）")
    @TableField(value = "rank_level")
    private String rankLevel;

    @ApiModelProperty(value = "超过本院占比（赋分）")
    @TableField(value = "over_college_rate")
    private BigDecimal overCollegeRate;

    @ApiModelProperty(value = "标准回归系数")
    @TableField(value = "standardized_coefficients")
    private BigDecimal standardizedCoefficients;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordId() {
        return examRecordId;
    }

    public void setExamRecordId(Long examRecordId) {
        this.examRecordId = examRecordId;
    }

    public BigDecimal getAssignedScore() {
        return assignedScore;
    }

    public void setAssignedScore(BigDecimal assignedScore) {
        this.assignedScore = assignedScore;
    }

    public String getPercentGrade() {
        return percentGrade;
    }

    public void setPercentGrade(String percentGrade) {
        this.percentGrade = percentGrade;
    }

    public String getScoreLevel() {
        return scoreLevel;
    }

    public void setScoreLevel(String scoreLevel) {
        this.scoreLevel = scoreLevel;
    }

    public Integer getColRank() {
        return colRank;
    }

    public void setColRank(Integer colRank) {
        this.colRank = colRank;
    }

    public String getRankLevel() {
        return rankLevel;
    }

    public void setRankLevel(String rankLevel) {
        this.rankLevel = rankLevel;
    }

    public BigDecimal getOverCollegeRate() {
        return overCollegeRate;
    }

    public void setOverCollegeRate(BigDecimal overCollegeRate) {
        this.overCollegeRate = overCollegeRate;
    }

    public BigDecimal getStandardizedCoefficients() {
        return standardizedCoefficients;
    }

    public void setStandardizedCoefficients(BigDecimal standardizedCoefficients) {
        this.standardizedCoefficients = standardizedCoefficients;
    }
}
