package com.qmth.teachcloud.report.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.common.util.ServletUtil;
import com.qmth.teachcloud.report.business.entity.TAExamCourseCollegeTeacher;
import com.qmth.teachcloud.report.business.entity.TAExamCourseTeacher;
import com.qmth.teachcloud.report.business.mapper.TAExamCourseTeacherMapper;
import com.qmth.teachcloud.report.business.service.TAExamCourseTeacherService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 参考课程授课教师维度表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
@Service
public class TAExamCourseTeacherServiceImpl extends ServiceImpl<TAExamCourseTeacherMapper, TAExamCourseTeacher> implements TAExamCourseTeacherService {

    @Resource
    TAExamCourseTeacherMapper taExamCourseTeacherMapper;

    @Override
    public IPage<TAExamCourseTeacher> listTeacherClassRank(String semester, Long examId, String courseCode, Integer pageNumber, Integer pageSize) {
        Long schoolId = Long.valueOf(ServletUtil.getRequestHeaderSchoolId().toString());
        Page<TAExamCourseTeacher> page = new Page<>(pageNumber, pageSize);
        IPage<TAExamCourseTeacher> listPage = taExamCourseTeacherMapper.listTeacherClassRank(page, schoolId, semester, examId, courseCode);
        return listPage;
    }

}
