package com.qmth.teachcloud.report.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.common.util.ServletUtil;
import com.qmth.teachcloud.report.business.entity.TAExamCourse;
import com.qmth.teachcloud.report.business.entity.TAExamTotal;
import com.qmth.teachcloud.report.business.mapper.TAExamTotalMapper;
import com.qmth.teachcloud.report.business.service.TAExamTotalService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 考试维度总计 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
@Service
public class TAExamTotalServiceImpl extends ServiceImpl<TAExamTotalMapper, TAExamTotal> implements TAExamTotalService {

    @Resource
    TAExamTotalMapper taExamTotalMapper;

    @Override
    public TAExamTotal getOverview(String semester, Long examId) {
        Long schoolId = Long.valueOf(ServletUtil.getRequestHeaderSchoolId().toString());
        return taExamTotalMapper.getOverview(schoolId, semester, examId);
    }

    @Override
    public IPage<TAExamCourse> getCourseSummary(String semester, Long examId, Integer pageNumber, Integer pageSize) {
        Long schoolId = Long.valueOf(ServletUtil.getRequestHeaderSchoolId().toString());
        Page<TAExamCourse> page = new Page<>(pageNumber, pageSize);
        IPage<TAExamCourse> listPage = taExamTotalMapper.getCourseSummary(page, schoolId, semester, examId);
        return listPage;
    }

    @Override
    public void exportCourseSummary(String semester, Long examId, HttpServletResponse response) {

    }

    @Override
    public void exportDataAnalysis(String semester, Long examId, String courseCode, HttpServletResponse response) {

    }
}
