package com.qmth.teachcloud.report.api;

import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.teachcloud.common.config.DictionaryConfig;
import com.qmth.teachcloud.common.enums.ExceptionResultEnum;
import com.qmth.teachcloud.common.util.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Objects;

@Api(tags = "武大开放接口层apiController")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/${prefix.url.reportWuda}")
public class WudaOpenApiController {

    @Resource
    DictionaryConfig dictionaryConfig;

    @ApiOperation(value = "cas鉴权接口")
    @RequestMapping(value = "/authentication", method = RequestMethod.GET)
    @ApiResponses({@ApiResponse(code = 200, message = "返回消息", response = Result.class)})
    public void authentication(HttpServletRequest request, HttpServletResponse response) throws IOException {
        String uid = request.getRemoteUser();
        if (Objects.isNull(uid)) {
            throw ExceptionResultEnum.NOT_LOGIN.exception();
        }
        response.setHeader("Access-Control-Allow-Origin", "*");
        response.sendRedirect(dictionaryConfig.sysDomain().getReportUrl() + uid);
    }

//    @ApiOperation(value = "cas鉴权接口")
//    @RequestMapping(value = "/authentication/{studentCode}", method = RequestMethod.GET)
//    @ApiResponses({@ApiResponse(code = 200, message = "{\"success\":true}", response = Result.class)})
//    public void authentication(HttpServletRequest request, HttpServletResponse response, @PathVariable String studentCode
//    ) throws IOException {
//        response.setHeader("Access-Control-Allow-Origin", "*");
//        response.sendRedirect(dictionaryConfig.sysDomain().getReportUrl() + studentCode);
//    }
}
