-- MySQL dump 10.13  Distrib 5.7.26, for macos10.14 (x86_64)
--
-- Host: 192.168.10.136    Database: teachcloud-report
-- ------------------------------------------------------
-- Server version	5.7.31-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `basic_attachment`
--

DROP TABLE IF EXISTS `basic_attachment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `basic_attachment` (
  `id` bigint(20) NOT NULL,
  `name` varchar(100) NOT NULL COMMENT '文件名',
  `type` varchar(10) NOT NULL COMMENT '文件类型',
  `size` int(11) NOT NULL COMMENT '单位（KB）',
  `md5` varchar(32) NOT NULL COMMENT '文件md5值',
  `path` varchar(2000) NOT NULL COMMENT '存储路径',
  `create_id` bigint(20) DEFAULT NULL COMMENT '创建人',
  `create_time` bigint(20) DEFAULT NULL COMMENT '创建时间',
  `obj_id` bigint(20) DEFAULT NULL COMMENT '关联业务id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='所有附件记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `basic_attachment`
--

LOCK TABLES `basic_attachment` WRITE;
/*!40000 ALTER TABLE `basic_attachment` DISABLE KEYS */;
/*!40000 ALTER TABLE `basic_attachment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `basic_course`
--

DROP TABLE IF EXISTS `basic_course`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `basic_course` (
  `id` bigint(20) NOT NULL COMMENT '课程主键',
  `school_id` bigint(20) NOT NULL COMMENT '学校id',
  `code` varchar(100) DEFAULT NULL COMMENT '课程编号',
  `name` varchar(100) DEFAULT NULL COMMENT '课程名称',
  `create_id` bigint(20) DEFAULT NULL,
  `create_time` bigint(20) DEFAULT NULL,
  `update_id` bigint(20) DEFAULT NULL,
  `update_time` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='课程基础表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `basic_course`
--

LOCK TABLES `basic_course` WRITE;
/*!40000 ALTER TABLE `basic_course` DISABLE KEYS */;
/*!40000 ALTER TABLE `basic_course` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `basic_school`
--

DROP TABLE IF EXISTS `basic_school`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `basic_school` (
  `id` bigint(20) NOT NULL,
  `code` varchar(100) DEFAULT NULL COMMENT '学校编号',
  `name` varchar(100) DEFAULT NULL COMMENT '学校名称',
  `enable` tinyint(4) DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
  `access_key` varchar(64) DEFAULT NULL COMMENT '访问key',
  `access_secret` varchar(64) DEFAULT NULL COMMENT '访问secret',
  `remark` text COMMENT '备注',
  `logo` varchar(64) DEFAULT NULL COMMENT 'logo',
  `create_id` bigint(20) DEFAULT NULL COMMENT '创建人',
  `create_time` bigint(20) DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(20) DEFAULT NULL COMMENT '更新时间',
  `update_id` bigint(20) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='学校基础表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `basic_school`
--

LOCK TABLES `basic_school` WRITE;
/*!40000 ALTER TABLE `basic_school` DISABLE KEYS */;
INSERT INTO `basic_school` VALUES (1,'test-school-1','测试学校1',1,'41a9c68b71c9486db62de90980bd7e9a','yhe22bNXMRljatkvJA4f56by9dIAJBjv',NULL,'https://solar-file.qmth.com.cn/org/logo/1.png',NULL,1622713017717,1622713017717,NULL),(2,'test-school-2','测试学校2',1,'d81badf113d1450c9f554809e1282ae1','dmILQXiRESNasxUylMNGl05R0JsaVb9t',NULL,'https://solar-file.qmth.com.cn/org/logo/2.png',NULL,1622713017734,1622713017734,NULL);
/*!40000 ALTER TABLE `basic_school` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `basic_user_course`
--

DROP TABLE IF EXISTS `basic_user_course`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `basic_user_course` (
  `id` bigint(20) NOT NULL,
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户ID',
  `course_id` bigint(20) DEFAULT NULL COMMENT '课程ID',
  `create_id` bigint(20) DEFAULT NULL,
  `create_time` bigint(20) DEFAULT NULL,
  `update_id` bigint(20) DEFAULT NULL,
  `update_time` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户和课程关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `basic_user_course`
--

LOCK TABLES `basic_user_course` WRITE;
/*!40000 ALTER TABLE `basic_user_course` DISABLE KEYS */;
INSERT INTO `basic_user_course` VALUES (1386936693660450818,118305676165382144,118317370275004416,118305676165382144,1619506450465,NULL,1619506450465),(1386936693673033729,118305676165382144,118317423781740544,118305676165382144,1619506450466,NULL,1619506450466),(1386936693673033730,118305676165382144,118317464994971648,118305676165382144,1619506450467,NULL,1619506450467),(1386936693677228034,118305676165382144,118317511748878336,118305676165382144,1619506450467,NULL,1619506450467),(1386941873999183873,118316650222059520,118317423781740544,118316650222059520,1619507685553,NULL,1619507685553),(1386941873999183874,118316650222059520,118317370275004416,118316650222059520,1619507685555,NULL,1619507685555),(1386941926696419330,118316777754066944,118317464994971648,118316777754066944,1619507698117,NULL,1619507698117),(1387645782514339841,118023671137697792,117637867945066496,118023671137697792,1619675510421,NULL,1619675510421),(1387645782518534145,118023671137697792,117618676248608768,118023671137697792,1619675510422,NULL,1619675510422),(1387645782522728449,118023671137697792,117574279645630464,118023671137697792,1619675510423,NULL,1619675510423),(1387645782522728450,118023671137697792,117575378356146176,118023671137697792,1619675510423,NULL,1619675510423),(1387645782522728451,118023671137697792,118669346548482048,118023671137697792,1619675510423,NULL,1619675510423),(1387645782526922753,118023671137697792,117574081770950656,118023671137697792,1619675510424,NULL,1619675510424),(1387645782526922754,118023671137697792,120483896855887872,118023671137697792,1619675510424,NULL,1619675510424),(1387645782526922755,118023671137697792,117642333305962496,118023671137697792,1619675510424,NULL,1619675510424),(1387645782531117057,118023671137697792,117575561013891072,118023671137697792,1619675510425,NULL,1619675510425),(1387645782531117058,118023671137697792,117574047755145216,118023671137697792,1619675510425,NULL,1619675510425),(1387645782531117059,118023671137697792,117575734834237440,118023671137697792,1619675510425,NULL,1619675510425),(1387645782535311362,118023671137697792,117575607344173056,118023671137697792,1619675510426,NULL,1619675510426),(1387999416951492610,117712948897513472,117574161450143744,117712948897513472,1619759823441,NULL,1619759823441),(1387999416951492611,117712948897513472,117575607344173056,117712948897513472,1619759823444,NULL,1619759823444),(1387999416951492612,117712948897513472,117574640032813056,117712948897513472,1619759823445,NULL,1619759823445),(1387999416951492613,117712948897513472,117574047755145216,117712948897513472,1619759823446,NULL,1619759823446),(1387999416951492614,117712948897513472,120875637199081472,117712948897513472,1619759823446,NULL,1619759823446),(1394528513265459202,116854531777626112,117575607344173056,116854531777626112,1621316481306,NULL,1621316481306),(1394528513265459203,116854531777626112,117574161450143744,116854531777626112,1621316481307,NULL,1621316481307),(1394528513265459204,116854531777626112,117575561013891072,116854531777626112,1621316481307,NULL,1621316481307),(1394528513265459205,116854531777626112,117574047755145216,116854531777626112,1621316481307,NULL,1621316481307),(1394528513265459206,116854531777626112,117642333305962496,116854531777626112,1621316481307,NULL,1621316481307),(1394528513269653506,116854531777626112,127380475491651584,116854531777626112,1621316481307,NULL,1621316481307),(1394580090286166018,116852718047330304,117637867945066496,116852718047330304,1621328778228,NULL,1621328778228),(1394580090286166019,116852718047330304,117618676248608768,116852718047330304,1621328778228,NULL,1621328778228),(1394580090286166020,116852718047330304,118669346548482048,116852718047330304,1621328778228,NULL,1621328778228),(1394580090294554626,116852718047330304,117574081770950656,116852718047330304,1621328778229,NULL,1621328778229),(1394580090294554627,116852718047330304,127380474866700288,116852718047330304,1621328778229,NULL,1621328778229),(1394580090294554628,116852718047330304,127380470932443136,116852718047330304,1621328778229,NULL,1621328778229),(1394580090294554629,116852718047330304,127380474992529408,116852718047330304,1621328778229,NULL,1621328778229),(1394580090294554630,116852718047330304,127380471305736192,116852718047330304,1621328778229,NULL,1621328778229),(1394580090294554631,116852718047330304,127380474380161024,116852718047330304,1621328778229,NULL,1621328778229),(1394580090298748930,116852718047330304,127380474703122432,116852718047330304,1621328778229,NULL,1621328778229),(1394580090298748931,116852718047330304,127380472660496384,116852718047330304,1621328778229,NULL,1621328778229),(1394580090298748932,116852718047330304,127380472803102720,116852718047330304,1621328778230,NULL,1621328778230),(1394580090298748933,116852718047330304,127380474568904704,116852718047330304,1621328778230,NULL,1621328778230),(1394580090298748934,116852718047330304,127380474204000256,116852718047330304,1621328778230,NULL,1621328778230),(1394580090298748935,116852718047330304,127380475491651584,116852718047330304,1621328778230,NULL,1621328778230),(1394580090298748936,116852718047330304,127380475210633216,116852718047330304,1621328778230,NULL,1621328778230),(1394580090298748937,116852718047330304,127380473893621760,116852718047330304,1621328778230,NULL,1621328778230),(1394580090298748938,116852718047330304,127380472362700800,116852718047330304,1621328778230,NULL,1621328778230),(1394580090298748939,116852718047330304,127380473159618560,116852718047330304,1621328778230,NULL,1621328778230),(1394580090298748940,116852718047330304,127380474073976832,116852718047330304,1621328778230,NULL,1621328778230),(1394580090298748941,116852718047330304,127380471137964032,116852718047330304,1621328778230,NULL,1621328778230),(1394580090298748942,116852718047330304,127380471477702656,116852718047330304,1621328778230,NULL,1621328778230),(1394580090298748943,116852718047330304,127380473436442624,116852718047330304,1621328778230,NULL,1621328778230),(1394580090298748944,116852718047330304,127380475332268032,116852718047330304,1621328778230,NULL,1621328778230),(1394580090298748945,116852718047330304,127380471888744448,116852718047330304,1621328778230,NULL,1621328778230),(1394580090302943233,116852718047330304,127380473050566656,116852718047330304,1621328778230,NULL,1621328778230),(1394580090302943234,116852718047330304,127380473641963520,116852718047330304,1621328778230,NULL,1621328778230),(1394580090302943235,116852718047330304,127380470550761472,116852718047330304,1621328778231,NULL,1621328778231),(1394580090302943236,116852718047330304,117575378356146176,116852718047330304,1621328778231,NULL,1621328778231),(1394580090302943237,116852718047330304,127456155763998720,116852718047330304,1621328778231,NULL,1621328778231),(1394580090302943238,116852718047330304,127456207181971456,116852718047330304,1621328778231,NULL,1621328778231),(1394580090302943239,116852718047330304,117575734834237440,116852718047330304,1621328778231,NULL,1621328778231),(1394580090302943240,116852718047330304,117575607344173056,116852718047330304,1621328778231,NULL,1621328778231),(1394580090302943241,116852718047330304,117574047755145216,116852718047330304,1621328778231,NULL,1621328778231);
/*!40000 ALTER TABLE `basic_user_course` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `basic_verify_code`
--

DROP TABLE IF EXISTS `basic_verify_code`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `basic_verify_code` (
  `id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `mobile_number` varchar(11) NOT NULL COMMENT '手机号',
  `expire_time` bigint(20) NOT NULL COMMENT '到期时间',
  `valid_period` int(11) NOT NULL COMMENT '单位（分）',
  `verify_code` varchar(4) NOT NULL COMMENT '4位数字',
  `create_id` bigint(20) DEFAULT NULL,
  `create_time` bigint(20) DEFAULT NULL,
  `update_id` bigint(20) DEFAULT NULL,
  `update_time` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='短信验证码记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `basic_verify_code`
--

LOCK TABLES `basic_verify_code` WRITE;
/*!40000 ALTER TABLE `basic_verify_code` DISABLE KEYS */;
/*!40000 ALTER TABLE `basic_verify_code` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_blob_triggers`
--

DROP TABLE IF EXISTS `qrtz_blob_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qrtz_blob_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `BLOB_DATA` blob,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
  KEY `SCHED_NAME` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_blob_triggers`
--

LOCK TABLES `qrtz_blob_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_blob_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_blob_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_calendars`
--

DROP TABLE IF EXISTS `qrtz_calendars`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qrtz_calendars` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `CALENDAR_NAME` varchar(200) NOT NULL,
  `CALENDAR` blob NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`CALENDAR_NAME`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_calendars`
--

LOCK TABLES `qrtz_calendars` WRITE;
/*!40000 ALTER TABLE `qrtz_calendars` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_calendars` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_cron_triggers`
--

DROP TABLE IF EXISTS `qrtz_cron_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qrtz_cron_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `CRON_EXPRESSION` varchar(120) NOT NULL,
  `TIME_ZONE_ID` varchar(80) DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_cron_triggers`
--

LOCK TABLES `qrtz_cron_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_cron_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_cron_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_fired_triggers`
--

DROP TABLE IF EXISTS `qrtz_fired_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qrtz_fired_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `ENTRY_ID` varchar(95) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `INSTANCE_NAME` varchar(200) NOT NULL,
  `FIRED_TIME` bigint(20) NOT NULL,
  `SCHED_TIME` bigint(20) NOT NULL,
  `PRIORITY` int(11) NOT NULL,
  `STATE` varchar(16) NOT NULL,
  `JOB_NAME` varchar(200) DEFAULT NULL,
  `JOB_GROUP` varchar(200) DEFAULT NULL,
  `IS_NONCONCURRENT` varchar(1) DEFAULT NULL,
  `REQUESTS_RECOVERY` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`,`ENTRY_ID`) USING BTREE,
  KEY `IDX_QRTZ_FT_TRIG_INST_NAME` (`SCHED_NAME`,`INSTANCE_NAME`) USING BTREE,
  KEY `IDX_QRTZ_FT_INST_JOB_REQ_RCVRY` (`SCHED_NAME`,`INSTANCE_NAME`,`REQUESTS_RECOVERY`) USING BTREE,
  KEY `IDX_QRTZ_FT_J_G` (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_FT_JG` (`SCHED_NAME`,`JOB_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_FT_T_G` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_FT_TG` (`SCHED_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_fired_triggers`
--

LOCK TABLES `qrtz_fired_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_fired_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_fired_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_job_details`
--

DROP TABLE IF EXISTS `qrtz_job_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qrtz_job_details` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `JOB_NAME` varchar(200) NOT NULL,
  `JOB_GROUP` varchar(200) NOT NULL,
  `DESCRIPTION` varchar(250) DEFAULT NULL,
  `JOB_CLASS_NAME` varchar(250) NOT NULL,
  `IS_DURABLE` varchar(1) NOT NULL,
  `IS_NONCONCURRENT` varchar(1) NOT NULL,
  `IS_UPDATE_DATA` varchar(1) NOT NULL,
  `REQUESTS_RECOVERY` varchar(1) NOT NULL,
  `JOB_DATA` blob,
  PRIMARY KEY (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_J_REQ_RECOVERY` (`SCHED_NAME`,`REQUESTS_RECOVERY`) USING BTREE,
  KEY `IDX_QRTZ_J_GRP` (`SCHED_NAME`,`JOB_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_job_details`
--

LOCK TABLES `qrtz_job_details` WRITE;
/*!40000 ALTER TABLE `qrtz_job_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_job_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_locks`
--

DROP TABLE IF EXISTS `qrtz_locks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qrtz_locks` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `LOCK_NAME` varchar(40) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`LOCK_NAME`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_locks`
--

LOCK TABLES `qrtz_locks` WRITE;
/*!40000 ALTER TABLE `qrtz_locks` DISABLE KEYS */;
INSERT INTO `qrtz_locks` VALUES ('ClusterQuartz','STATE_ACCESS'),('ClusterQuartz','TRIGGER_ACCESS');
/*!40000 ALTER TABLE `qrtz_locks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_paused_trigger_grps`
--

DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qrtz_paused_trigger_grps` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_paused_trigger_grps`
--

LOCK TABLES `qrtz_paused_trigger_grps` WRITE;
/*!40000 ALTER TABLE `qrtz_paused_trigger_grps` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_paused_trigger_grps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_scheduler_state`
--

DROP TABLE IF EXISTS `qrtz_scheduler_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qrtz_scheduler_state` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `INSTANCE_NAME` varchar(200) NOT NULL,
  `LAST_CHECKIN_TIME` bigint(20) NOT NULL,
  `CHECKIN_INTERVAL` bigint(20) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`INSTANCE_NAME`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_scheduler_state`
--

LOCK TABLES `qrtz_scheduler_state` WRITE;
/*!40000 ALTER TABLE `qrtz_scheduler_state` DISABLE KEYS */;
INSERT INTO `qrtz_scheduler_state` VALUES ('ClusterQuartz','kingdeMacBook-Air.local1622713011094',1622713603920,5000);
/*!40000 ALTER TABLE `qrtz_scheduler_state` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_simple_triggers`
--

DROP TABLE IF EXISTS `qrtz_simple_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qrtz_simple_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `REPEAT_COUNT` bigint(20) NOT NULL,
  `REPEAT_INTERVAL` bigint(20) NOT NULL,
  `TIMES_TRIGGERED` bigint(20) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_simple_triggers`
--

LOCK TABLES `qrtz_simple_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_simple_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_simple_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_simprop_triggers`
--

DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qrtz_simprop_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `STR_PROP_1` varchar(512) DEFAULT NULL,
  `STR_PROP_2` varchar(512) DEFAULT NULL,
  `STR_PROP_3` varchar(512) DEFAULT NULL,
  `INT_PROP_1` int(11) DEFAULT NULL,
  `INT_PROP_2` int(11) DEFAULT NULL,
  `LONG_PROP_1` bigint(20) DEFAULT NULL,
  `LONG_PROP_2` bigint(20) DEFAULT NULL,
  `DEC_PROP_1` decimal(13,4) DEFAULT NULL,
  `DEC_PROP_2` decimal(13,4) DEFAULT NULL,
  `BOOL_PROP_1` varchar(1) DEFAULT NULL,
  `BOOL_PROP_2` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_simprop_triggers`
--

LOCK TABLES `qrtz_simprop_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_simprop_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_simprop_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_triggers`
--

DROP TABLE IF EXISTS `qrtz_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qrtz_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `JOB_NAME` varchar(200) NOT NULL,
  `JOB_GROUP` varchar(200) NOT NULL,
  `DESCRIPTION` varchar(250) DEFAULT NULL,
  `NEXT_FIRE_TIME` bigint(20) DEFAULT NULL,
  `PREV_FIRE_TIME` bigint(20) DEFAULT NULL,
  `PRIORITY` int(11) DEFAULT NULL,
  `TRIGGER_STATE` varchar(16) NOT NULL,
  `TRIGGER_TYPE` varchar(8) NOT NULL,
  `START_TIME` bigint(20) NOT NULL,
  `END_TIME` bigint(20) DEFAULT NULL,
  `CALENDAR_NAME` varchar(200) DEFAULT NULL,
  `MISFIRE_INSTR` smallint(6) DEFAULT NULL,
  `JOB_DATA` blob,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_T_J` (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_T_JG` (`SCHED_NAME`,`JOB_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_T_C` (`SCHED_NAME`,`CALENDAR_NAME`) USING BTREE,
  KEY `IDX_QRTZ_T_G` (`SCHED_NAME`,`TRIGGER_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_T_STATE` (`SCHED_NAME`,`TRIGGER_STATE`) USING BTREE,
  KEY `IDX_QRTZ_T_N_STATE` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`,`TRIGGER_STATE`) USING BTREE,
  KEY `IDX_QRTZ_T_N_G_STATE` (`SCHED_NAME`,`TRIGGER_GROUP`,`TRIGGER_STATE`) USING BTREE,
  KEY `IDX_QRTZ_T_NEXT_FIRE_TIME` (`SCHED_NAME`,`NEXT_FIRE_TIME`) USING BTREE,
  KEY `IDX_QRTZ_T_NFT_ST` (`SCHED_NAME`,`TRIGGER_STATE`,`NEXT_FIRE_TIME`) USING BTREE,
  KEY `IDX_QRTZ_T_NFT_MISFIRE` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`) USING BTREE,
  KEY `IDX_QRTZ_T_NFT_ST_MISFIRE` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`,`TRIGGER_STATE`) USING BTREE,
  KEY `IDX_QRTZ_T_NFT_ST_MISFIRE_GRP` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`,`TRIGGER_GROUP`,`TRIGGER_STATE`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_triggers`
--

LOCK TABLES `qrtz_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_config`
--

DROP TABLE IF EXISTS `sys_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sys_config` (
  `id` bigint(20) NOT NULL,
  `config_key` varchar(100) NOT NULL COMMENT '参数键名',
  `config_name` varchar(100) NOT NULL COMMENT '参数名称',
  `config_value` varchar(100) NOT NULL COMMENT '参数键值',
  `remark` varchar(100) DEFAULT NULL,
  `create_id` bigint(20) DEFAULT NULL,
  `create_time` bigint(20) DEFAULT NULL,
  `update_id` bigint(20) DEFAULT NULL,
  `update_time` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='参数表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_config`
--

LOCK TABLES `sys_config` WRITE;
/*!40000 ALTER TABLE `sys_config` DISABLE KEYS */;
INSERT INTO `sys_config` VALUES (1,'sys.user.initPassword','初始密码','123456',NULL,1,NULL,NULL,NULL),(2,'sys.warning.days','预警天数','3',NULL,1,NULL,NULL,NULL),(3,'sys.code.enable','是否启用短信验证码','true','true-启用，false-禁用',1,NULL,NULL,NULL),(4,'sys.message.enable','是否启用短信消息提示','true','true-启用，false-禁用',1,NULL,NULL,NULL),(5,'sys.message.resendCount','失败短信重试次数','3',NULL,1,NULL,NULL,NULL);
/*!40000 ALTER TABLE `sys_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_org`
--

DROP TABLE IF EXISTS `sys_org`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sys_org` (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL COMMENT '学校ID',
  `code` varchar(20) NOT NULL COMMENT '机构代码',
  `name` varchar(100) NOT NULL COMMENT '机构名称',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '上级机构ID',
  `enable` tinyint(4) NOT NULL DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
  `create_id` bigint(20) DEFAULT NULL COMMENT '创建人',
  `create_time` bigint(20) DEFAULT NULL COMMENT '创建时间',
  `update_id` bigint(20) DEFAULT NULL COMMENT '修改人',
  `update_time` bigint(20) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `org_schoolId_code_idx` (`school_id`,`code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='学校组织架构';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_org`
--

LOCK TABLES `sys_org` WRITE;
/*!40000 ALTER TABLE `sys_org` DISABLE KEYS */;
INSERT INTO `sys_org` VALUES (115832496716775424,2,'cs_01','测试',NULL,1,1,1618557419282,1,1618557424450),(115832588668502016,2,'cs_0101','测试0101的的顶顶顶顶顶多多少时诵诗书所所所所所所所所所',115832496716775424,1,1,1618557441205,115822164782874624,1619157529150),(116848573387112448,2,'cs010101','测试010101',115832588668502016,0,115822164782874624,1618799670839,115822164782874624,1618885708116),(116848748591579136,2,'cs010102','测试010102',115832588668502016,1,115822164782874624,1618799712611,NULL,1618799712611),(117209405363060736,2,'cs01010201','测试01010201',116848748591579136,1,115822164782874624,1618885699889,NULL,1618885699889),(118296428517785600,1,'hxdx','华夏大学',NULL,1,1,1619144866401,1,1619144967752),(118296600756879360,1,'xy01','学院1',118296428517785600,1,1,1619144907466,NULL,1619144907466),(118296638434312192,1,'xy02','学院2',118296428517785600,1,1,1619144916449,NULL,1619144916449),(118296692389838848,1,'xy3','学院3',118296428517785600,1,1,1619144929313,NULL,1619144929313),(118296769078493184,1,'gcxy01','工程学院',118296692389838848,1,1,1619144947597,NULL,1619144947597),(118296916244037632,1,'whdx','武汉大学',NULL,1,1,1619144982684,NULL,1619144982684),(119813047895199744,2,'001','教务处',115832496716775424,1,115822164782874624,1619506456639,NULL,1619506456639),(119813142740996096,2,'00101','临床医学院',119813047895199744,1,115822164782874624,1619506479251,115822164782874624,1619506572991),(119813306566316032,2,'00102','中医学院及生命科学学院',119813047895199744,1,115822164782874624,1619506518310,115822164782874624,1619506587774),(119813649983344640,2,'00103','计算机学院',119813047895199744,1,115822164782874624,1619506600187,NULL,1619506600187),(119813814819491840,2,'00104','经济与管理学院',119813047895199744,1,115822164782874624,1619506639487,NULL,1619506639487),(119813984198070272,2,'00105','护理学院',119813047895199744,1,115822164782874624,1619506679870,NULL,1619506679870);
/*!40000 ALTER TABLE `sys_org` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_privilege`
--

DROP TABLE IF EXISTS `sys_privilege`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sys_privilege` (
  `id` bigint(20) NOT NULL,
  `name` varchar(100) NOT NULL COMMENT '菜单名称',
  `url` varchar(100) NOT NULL COMMENT 'URL地址',
  `type` varchar(50) NOT NULL COMMENT '类型，MENU：菜单，BUTTON：按钮，LINK：链接，URL：接口地址，LIST：列表，CONDITION：查询条件',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '上级菜单',
  `sequence` int(11) NOT NULL COMMENT '序号',
  `property` varchar(30) DEFAULT NULL COMMENT '属性，NO_AUTH：无需鉴权，AUTH：鉴权，SYS：系统公用',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_time` bigint(20) DEFAULT NULL,
  `enable` tinyint(4) NOT NULL DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='菜单权限表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_privilege`
--

LOCK TABLES `sys_privilege` WRITE;
/*!40000 ALTER TABLE `sys_privilege` DISABLE KEYS */;
INSERT INTO `sys_privilege` VALUES (1,'基础配置','base','MENU',NULL,1,NULL,NULL,NULL,1),(2,'用户管理','user','MENU',1,1,NULL,NULL,NULL,1),(4,'组织架构','OrganizationManage','MENU',2,1,NULL,NULL,NULL,1),(5,'用户管理','UserManage','MENU',2,2,NULL,NULL,NULL,1),(6,'角色管理','RoleManage','MENU',2,3,NULL,NULL,NULL,1),(77,'用户管理-查询','/api/admin/sys/user/list','URL',5,1,'AUTH',NULL,NULL,1),(78,'用户管理-新增/修改','/api/admin/sys/user/save','URL',5,2,'AUTH',NULL,NULL,1),(79,'用户管理-启用/禁用','/api/admin/sys/user/enable','URL',5,3,'AUTH',NULL,NULL,1),(80,'用户管理-重置密码','/api/admin/sys/user/reset_password','URL',5,4,'AUTH',NULL,NULL,1),(81,'用户管理-导入','/api/admin/sys/user/import','URL',5,5,'AUTH',NULL,NULL,1),(82,'用户管理-绑定角色','/api/admin/sys/user/bind_roles','URL',5,6,'AUTH',NULL,NULL,1),(83,'角色管理-查询','/api/admin/sys/role/list','URL',6,1,'AUTH',NULL,NULL,1),(84,'角色管理-删除','/api/admin/sys/role/remove','URL',6,2,'AUTH',NULL,NULL,1),(85,'角色管理-新增/修改','/api/admin/sys/role/save','URL',6,3,'AUTH',NULL,NULL,1),(86,'角色管理-启用/禁用','/api/admin/sys/role/enable','URL',6,4,'AUTH',NULL,NULL,1),(87,'用户管理-用户已绑定角色列表','/api/admin/sys/role/get_user_roles','URL',5,5,'AUTH',NULL,NULL,1),(91,'角色管理-角色已绑定权限列表','/api/admin/sys/privilege/get_role_privileges','URL',6,4,'AUTH',NULL,NULL,1),(92,'组织机构-查询','/api/admin/sys/org/list','URL',4,1,'SYS',NULL,NULL,1),(93,'组织机构-新增/修改','/api/admin/sys/org/save','URL',4,2,'AUTH',NULL,NULL,1),(94,'组织机构-删除','/api/admin/sys/org/remove','URL',4,3,'AUTH',NULL,NULL,1),(95,'组织机构-启用/禁用','/api/admin/sys/org/enable','URL',4,4,'AUTH',NULL,NULL,1),(129,'公共接口','common','MENU',NULL,31,NULL,NULL,1618276314557,1),(130,'用户登录相关','login','MENU',129,1,NULL,NULL,1618276356747,1),(131,'用户登录','/api/admin/common/login','URL',130,1,'NO_AUTH',NULL,1618276400583,1),(132,'查询用户权限','/api/admin/common/get_menu','URL',130,2,'SYS',NULL,1618276452859,1),(134,'修改密码','/api/admin/sys/user/update_password','URL',130,4,'SYS',NULL,1618276598837,1),(135,'用户登出','/api/admin/common/logout','URL',130,5,'SYS',NULL,1618276619911,1),(145,'文件上传','/api/admin/common/file/upload','URL',144,1,'SYS',NULL,1618278573080,1),(146,'文件查询','/api/admin/common/file/get_one','URL',144,2,'SYS',NULL,1618278641214,1),(147,'文件下载','/api/admin/common/file/download','URL',144,3,'SYS',NULL,1618278672207,1),(148,'文件预览','/api/admin/common/file/preview','URL',144,4,'SYS',NULL,1618278691498,1),(149,'系统相关','sys','MENU',129,4,NULL,NULL,1618278754471,1),(151,'查询学校列表','/api/admin/common/school/list','URL',149,2,'SYS',NULL,1618279075676,1),(153,'根据学校代码查询学校信息','/api/admin/common/school/query_by_school_code','URL',149,4,'NO_AUTH',NULL,1618279184033,1),(180,'角色管理-查询可设置权限列表','/api/admin/sys/privilege/list_auth','URL',6,6,'AUTH',NULL,1618379766163,1),(184,'用户管理-查询用户可绑定角色','/api/admin/sys/role/list_to_user','URL',5,7,'AUTH',NULL,1618387370044,1),(250,'教研分析','teachAnalysis','MENU',NULL,4,NULL,NULL,NULL,1),(251,'学期列表','/api/report/school/common/list_semester','URL',250,1,'SYS',NULL,NULL,1),(252,'考试列表','/api/report/school/common/list_exam','URL',250,2,'SYS',NULL,NULL,1),(253,'课程列表','/api/report/school/common/list_course','URL',250,3,'SYS',NULL,NULL,1),(254,'开课学院列表','/api/report/school/common/list_teach_college','URL',250,4,'SYS',NULL,NULL,1),(255,'考查学院列表','/api/report/school/common/list_inspect_college','URL',250,5,'SYS',NULL,NULL,1),(256,'教师列表','/api/report/school/common/list_teacher','URL',250,6,'SYS',NULL,NULL,1),(257,'班级列表','/api/report/school/common/list_class','URL',250,7,'SYS',NULL,NULL,1),(258,'数据驾驶舱','dataCockpit','MENU',250,1,NULL,NULL,NULL,1),(259,'全校考试总览','examOverview','MENU',258,1,NULL,NULL,NULL,1),(260,'全校考试概况','/api/report/school/exam/get_overview','URL',259,1,'AUTH',NULL,NULL,1),(261,'全校课程考试分析汇总','/api/report/school/exam/get_course_summary','URL',259,2,'AUTH',NULL,NULL,1),(262,'全校课程考试分析汇总-导出课程分析Excel报表','/api/report/school/exam/export_course_summary','URL',259,3,'AUTH',NULL,NULL,1),(263,'全校课程考试分析','examCourseAnalysis','MENU',258,2,NULL,NULL,NULL,1),(264,'考试概况','/api/report/school/course/get_overview','URL',263,1,'AUTH',NULL,NULL,1),(265,'分数段分布情况','/api/report/school/course/get_grade_distribut','URL',263,2,'AUTH',NULL,NULL,1),(266,'教师各课堂成绩排名','/api/report/school/course/list_teacher_class_rank','URL',263,3,'AUTH',NULL,NULL,1),(267,'导出课程分析报表','/api/report/school/course/export_data_analysis','URL',263,4,'AUTH',NULL,NULL,1),(268,'全校教师各课堂成绩排名','teacherRank','MENU',258,3,NULL,NULL,NULL,1),(269,'查询','/api/report/school/teacher/list_all_teacher_class_rank','URL',268,1,'AUTH',NULL,NULL,1),(270,'学生','student','MENU',250,2,NULL,NULL,NULL,1),(271,'开课成绩查询','teachScore','MENU',270,1,NULL,NULL,NULL,1),(272,'查询','/api/report/school/student/list_teach_college_result','URL',271,1,'AUTH',NULL,NULL,1),(273,'导入异常考试类型','/api/report/school/student/import_abnormal_data','URL',271,2,'AUTH',NULL,NULL,1),(274,'导出查询结果','/api/report/school/student/export_teach_college_result','URL',271,3,'AUTH',NULL,NULL,1),(275,'开课成绩查询','inspectScore','MENU',270,2,NULL,NULL,NULL,1),(276,'查询','/api/report/school/student/list_inspect_college_result','URL',275,1,'AUTH',NULL,NULL,1),(277,'导出查询结果','/api/report/school/student/export_inspect_college_result','URL',275,2,'AUTH',NULL,NULL,1),(278,'教师','teacher','MENU',250,3,NULL,NULL,NULL,1),(279,'教师各课堂成绩排名','teachCalzzRank','MENU',278,1,NULL,NULL,NULL,1),(280,'查询','/api/report/school/teacher/list_class_rank','URL',279,1,'AUTH',NULL,NULL,1),(281,'我的课堂考成绩排名','teachMyCalzzRank','MENU',278,2,NULL,NULL,NULL,1),(282,'查询','/api/report/school/teacher/list_myclass_rank','URL',281,1,'AUTH',NULL,NULL,1),(283,'课程','course','MENU',NULL,1,NULL,NULL,NULL,1),(284,'考察课程考试总览','surveyInspect','MENU',283,1,NULL,NULL,NULL,1),(285,'考察课程考试分析','surveyInspectAnalyse','MENU',283,2,NULL,NULL,NULL,1),(286,'开课课程考试总览','surveyTeacher','MENU',283,3,NULL,NULL,NULL,1),(287,'开课课程考试分析','surveyTeacherView','MENU',283,4,NULL,NULL,NULL,1),(288,'赋分管理','surveyAspoints','MENU',283,5,NULL,NULL,NULL,1),(289,'考察课程考试总览-公共课概况接口','/api/report/course/survey_inspect/view','URL',284,1,'AUTH',NULL,NULL,1),(290,'考察课程考试分析-图表接口','/api/report/course/survey_inspect_analyse/view','URL',285,1,'AUTH',NULL,NULL,1),(291,'开课课程考试总览-列表接口','/api/report/course/survey_teacher/list','URL',286,1,'AUTH',NULL,NULL,1),(292,'开课课程考试总览-图表接口','/api/report/course/survey_teacher/view','URL',287,1,'AUTH',NULL,NULL,1),(293,'赋分管理-列表接口','/api/report/course/survey_aspoints/list','URL',288,1,'AUTH',NULL,NULL,1),(294,'赋分管理-开始&重新试算接口','/api/report/course/survey_aspoints/calculation','URL',288,2,'AUTH',NULL,NULL,1),(295,'赋分管理-预览&查看接口','/api/report/course/survey_aspoints/view','URL',288,3,'AUTH',NULL,NULL,1),(296,'赋分管理-发布&撤回接口','/api/report/course/survey_aspoints/publish','URL',288,4,'AUTH',NULL,NULL,1),(297,'赋分管理-保存&保存并发布接口','/api/report/course/survey_aspoints/save','URL',288,5,'AUTH',NULL,NULL,1);
/*!40000 ALTER TABLE `sys_privilege` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_role`
--

DROP TABLE IF EXISTS `sys_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sys_role` (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) DEFAULT NULL COMMENT '学校ID',
  `name` varchar(50) NOT NULL COMMENT '角色名称',
  `enable` tinyint(4) NOT NULL DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
  `type` varchar(20) DEFAULT NULL COMMENT '角色类别，ADMIN：超级管理员，SCHOOL_ADMIN：管理员：EXAM_TEACHER：考务老师，QUESTION_TEACHER：命题老师，CUSTOMER：客服人员，PRINTER：印刷人员，CUSTOM：自定义',
  `create_id` bigint(20) DEFAULT NULL COMMENT '创建人',
  `create_time` bigint(20) DEFAULT NULL COMMENT '创建时间',
  `update_id` bigint(20) DEFAULT NULL COMMENT '修改人',
  `update_time` bigint(20) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_role`
--

LOCK TABLES `sys_role` WRITE;
/*!40000 ALTER TABLE `sys_role` DISABLE KEYS */;
INSERT INTO `sys_role` VALUES (1,NULL,'系统管理员',1,'ADMIN',NULL,NULL,NULL,NULL),(2,2,'教务处老师',1,'OFFICE_TEACHER',NULL,NULL,NULL,NULL),(3,2,'学院院长',1,'PRESIDENT',NULL,NULL,NULL,NULL),(4,2,'任课老师',1,'TEACHER',NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `sys_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_role_privilege`
--

DROP TABLE IF EXISTS `sys_role_privilege`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sys_role_privilege` (
  `id` bigint(20) NOT NULL,
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `privilege_id` bigint(20) NOT NULL COMMENT '菜单ID',
  `enable` tinyint(4) DEFAULT '1' COMMENT '是否禁用，false：禁用，true：启用',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色和菜单关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_role_privilege`
--

LOCK TABLES `sys_role_privilege` WRITE;
/*!40000 ALTER TABLE `sys_role_privilege` DISABLE KEYS */;
INSERT INTO `sys_role_privilege` VALUES (1392803412400000001,2,250,1),(1392803412400000002,2,258,1),(1392803412400000003,2,259,1),(1392803412400000004,2,260,1),(1392803412400000005,2,261,1),(1392803412400000006,2,262,1),(1392803412400000007,2,263,1),(1392803412400000008,2,264,1),(1392803412400000009,2,265,1),(1392803412400000010,2,266,1),(1392803412400000011,2,267,1),(1392803412400000012,2,268,1),(1392803412400000013,2,269,1),(1392803412400000014,3,250,1),(1392803412400000015,3,270,1),(1392803412400000016,3,271,1),(1392803412400000017,3,272,1),(1392803412400000018,3,273,1),(1392803412400000019,3,274,1),(1392803412400000020,3,275,1),(1392803412400000021,3,276,1),(1392803412400000022,3,277,1),(1392803412400000023,3,278,1),(1392803412400000024,3,279,1),(1392803412400000025,3,280,1),(1392803412400000026,4,250,1),(1392803412400000027,4,278,1),(1392803412400000028,4,281,1),(1392803412400000029,4,282,1),(1392803412400000030,3,288,1),(1392803412400000031,3,289,1),(1392803412400000032,3,290,1),(1392803412400000033,3,291,1),(1392803412400000034,3,292,1),(1392803412400000035,3,292,1),(1392803412400000036,3,293,1),(1392803412400000037,3,294,1),(1392803412400000038,3,295,1),(1392803412400000039,3,296,1),(1392803412400000040,3,297,1);
/*!40000 ALTER TABLE `sys_role_privilege` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_user`
--

DROP TABLE IF EXISTS `sys_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sys_user` (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) DEFAULT NULL COMMENT '学校ID',
  `login_name` varchar(100) NOT NULL COMMENT '用户名',
  `real_name` varchar(100) NOT NULL COMMENT '姓名',
  `password` varchar(50) NOT NULL COMMENT '密码',
  `mobile_number` varchar(30) DEFAULT NULL COMMENT '手机号',
  `org_id` bigint(20) DEFAULT NULL,
  `enable` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'false-禁用，true-启用',
  `pwd_update_time` bigint(20) DEFAULT NULL COMMENT '密码修改时间',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_id` bigint(20) DEFAULT NULL COMMENT '创建人',
  `create_time` bigint(20) DEFAULT NULL COMMENT '创建时间',
  `update_id` bigint(20) DEFAULT NULL,
  `update_time` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `user_schoolId_orgId_loginName_idx` (`login_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_user`
--

LOCK TABLES `sys_user` WRITE;
/*!40000 ALTER TABLE `sys_user` DISABLE KEYS */;
INSERT INTO `sys_user` VALUES (1,NULL,'sysadmin','sysadmin','MTIzNDU2',NULL,NULL,1,NULL,NULL,NULL,NULL,NULL,NULL),(2,2,'jw1','jw1','MTIzNDU2',NULL,NULL,1,NULL,NULL,NULL,NULL,NULL,NULL),(3,2,'yz1','yz1','MTIzNDU2',NULL,NULL,1,NULL,NULL,NULL,NULL,NULL,NULL),(4,2,'rk1','rk1','MTIzNDU2',NULL,NULL,1,NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `sys_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_user_role`
--

DROP TABLE IF EXISTS `sys_user_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sys_user_role` (
  `id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `privilege_id` bigint(20) DEFAULT NULL COMMENT '权限id',
  `enable` tinyint(4) NOT NULL DEFAULT '1' COMMENT '是否禁用，false：禁用，true：启用',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户和角色关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_user_role`
--

LOCK TABLES `sys_user_role` WRITE;
/*!40000 ALTER TABLE `sys_user_role` DISABLE KEYS */;
INSERT INTO `sys_user_role` VALUES (1,1,1,NULL,1),(2,2,2,250,1),(3,2,2,258,1),(4,2,2,259,1),(5,2,2,260,1),(6,2,2,261,1),(7,2,2,262,1),(8,2,2,263,1),(9,2,2,264,1),(10,2,2,265,1),(11,2,2,266,1),(12,2,2,267,1),(13,2,2,268,1),(14,2,2,269,1),(17,3,3,250,1),(18,3,3,270,1),(19,3,3,271,1),(20,3,3,272,1),(21,3,3,273,1),(22,3,3,274,1),(23,3,3,275,1),(24,3,3,276,1),(25,3,3,277,1),(26,3,3,278,1),(27,3,3,279,1),(28,3,3,280,1),(29,3,3,288,1),(30,3,3,289,1),(31,3,3,290,1),(32,3,3,291,1),(33,3,3,292,1),(34,3,3,292,1),(35,3,3,293,1),(36,3,3,294,1),(37,3,3,295,1),(38,3,3,296,1),(39,3,3,297,1),(48,4,4,250,1),(49,4,4,278,1),(50,4,4,281,1),(51,4,4,282,1);
/*!40000 ALTER TABLE `sys_user_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_a_exam_course`
--

DROP TABLE IF EXISTS `t_a_exam_course`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_a_exam_course` (
  `id` bigint(20) NOT NULL COMMENT '考试科目分析表id',
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `exam_name` varchar(100) NOT NULL COMMENT '考试名称（冗余）',
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) NOT NULL COMMENT '科目名称',
  `school_id` bigint(20) NOT NULL COMMENT '学校id（冗余）',
  `teach_college_id` bigint(20) DEFAULT NULL COMMENT '开课学院id',
  `teach_college_name` varchar(64) DEFAULT NULL COMMENT '开课学院名称',
  `inspect_college_count` int(11) DEFAULT NULL COMMENT '考察学院数量',
  `avg_score` varchar(45) DEFAULT NULL COMMENT '总体平均分',
  `pass_count` int(11) DEFAULT NULL COMMENT '通过人数',
  `pass_rate` decimal(12,4) DEFAULT NULL COMMENT '通过率',
  `current_pass_count` int(11) DEFAULT NULL COMMENT '应届通过人数',
  `current_pass_rate` decimal(12,4) DEFAULT NULL COMMENT '应届通过率',
  `total_score` decimal(12,4) DEFAULT NULL COMMENT '试卷满分',
  `reality_count` int(11) DEFAULT NULL COMMENT '实际参考人数',
  `absent_count` int(11) DEFAULT NULL COMMENT '缺考人数',
  `total_count` int(11) DEFAULT NULL COMMENT '总应参考人数',
  `current_min_score` decimal(12,4) DEFAULT NULL COMMENT '最低分',
  `current_max_score` decimal(12,4) DEFAULT NULL COMMENT '最高分',
  `current_avg_score` decimal(12,4) DEFAULT NULL COMMENT '全体参考平均分',
  `current_score_rate` decimal(12,4) DEFAULT NULL COMMENT '难度系数（得分率）',
  `current_reality_count` int(11) DEFAULT NULL COMMENT '应届实际考试人数',
  `current_absent_count` int(11) DEFAULT NULL COMMENT '应届缺考人数',
  `current_total_count` int(11) DEFAULT NULL COMMENT '应届总考试人数',
  `current_reality_rate` decimal(12,4) DEFAULT NULL COMMENT '应届实际考试人数占比',
  `past_reality_count` int(11) DEFAULT NULL COMMENT '往届实际考试人数',
  `past_absent_count` int(11) DEFAULT NULL COMMENT '往届缺考人数',
  `past_total_count` int(11) DEFAULT NULL COMMENT '往届总人数',
  `past_reality_rate` decimal(12,4) DEFAULT NULL COMMENT '往届实际考试人数占比',
  `current_upper_quartile` decimal(12,4) DEFAULT NULL COMMENT '上四分位数',
  `current_median` decimal(12,4) DEFAULT NULL COMMENT '中位数',
  `current_lower_quartile` decimal(12,4) DEFAULT NULL COMMENT '下四分位数',
  `current_mode` varchar(64) DEFAULT NULL COMMENT '众数',
  `current_standard_deviation` decimal(12,4) DEFAULT NULL COMMENT '标准差',
  `difficulty` varchar(16) DEFAULT NULL COMMENT '本次科目难度（应届）',
  `paper_avg_score` decimal(12,4) DEFAULT NULL COMMENT '总体卷面平均分',
  `paper_current_avg_score` decimal(12,4) DEFAULT NULL COMMENT '应届卷面平均分',
  `paper_pass_rate` decimal(12,4) DEFAULT NULL COMMENT '总体卷面成绩通过率',
  `paper_current_pass_rate` decimal(12,4) DEFAULT NULL COMMENT '应届卷面成绩通过率',
  `coefficient` decimal(12,4) DEFAULT NULL COMMENT '赋分系数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='考试课程维度分析表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_a_exam_course`
--

LOCK TABLES `t_a_exam_course` WRITE;
/*!40000 ALTER TABLE `t_a_exam_course` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_a_exam_course` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_a_exam_course_clazz`
--

DROP TABLE IF EXISTS `t_a_exam_course_clazz`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_a_exam_course_clazz` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `school_id` bigint DEFAULT NULL COMMENT '学校id',
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) NOT NULL COMMENT '科目名称',
  `clazz_id` bigint(20) NOT NULL COMMENT '班级表id',
  `max_score` decimal(12,4) DEFAULT NULL COMMENT '最高分（赋分）',
  `min_score` decimal(12,4) DEFAULT NULL COMMENT '最低分（赋分）',
  `avg_score` decimal(12,4) DEFAULT NULL COMMENT '平均分（赋分）',
  `reality_count` int(11) DEFAULT NULL COMMENT '实际参考人数',
  `absent_count` int(11) DEFAULT NULL COMMENT '缺考人数',
  `total_count` int(11) DEFAULT NULL COMMENT '总人数',
  `college_name` varchar(100) NOT NULL COMMENT '所属考察学院名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='参考课程班级维度分析表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_a_exam_course_clazz`
--

LOCK TABLES `t_a_exam_course_clazz` WRITE;
/*!40000 ALTER TABLE `t_a_exam_course_clazz` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_a_exam_course_clazz` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_a_exam_course_college_inspect`
--

DROP TABLE IF EXISTS `t_a_exam_course_college_inspect`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_a_exam_course_college_inspect` (
  `id` bigint(20) NOT NULL,
  `school_id` bigint DEFAULT NULL COMMENT '学校id',
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) NOT NULL COMMENT '科目名称',
  `college_id` bigint(20) NOT NULL COMMENT '学院id',
  `max_score` decimal(12,4) DEFAULT NULL COMMENT '最高分',
  `min_score` decimal(12,4) DEFAULT NULL COMMENT '最低分',
  `avg_score` decimal(12,4) DEFAULT NULL COMMENT '平均分',
  `reality_count` int(11) DEFAULT NULL COMMENT '实际参考人数',
  `absent_count` int(11) DEFAULT NULL COMMENT '缺考人数',
  `total_count` int(11) DEFAULT NULL COMMENT '总人数',
  `upper_quartile` decimal(12,4) DEFAULT NULL COMMENT '上四分位数',
  `median` decimal(12,4) DEFAULT NULL COMMENT '中位数',
  `lower_quartile` decimal(12,4) DEFAULT NULL COMMENT '下四分位数',
  `mode` varchar(64) DEFAULT NULL COMMENT '众数',
  `standard_deviation` decimal(12,4) DEFAULT NULL COMMENT '标准差',
  `relative_position` decimal(12,4) DEFAULT NULL COMMENT '相对位置',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='参考课程考察学院维度分析表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_a_exam_course_college_inspect`
--

LOCK TABLES `t_a_exam_course_college_inspect` WRITE;
/*!40000 ALTER TABLE `t_a_exam_course_college_inspect` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_a_exam_course_college_inspect` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_a_exam_course_college_inspect_dio`
--

DROP TABLE IF EXISTS `t_a_exam_course_college_inspect_dio`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_a_exam_course_college_inspect_dio` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `school_id` bigint DEFAULT NULL COMMENT '学校id',
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) DEFAULT NULL COMMENT '科目名称',
  `college_id` bigint(20) NOT NULL COMMENT '学院id',
  `dimension_type` varchar(32) DEFAULT NULL COMMENT '模块类型',
  `dimension_code` varchar(32) DEFAULT NULL COMMENT '考察点编号',
  `avg_score` decimal(12,4) DEFAULT NULL COMMENT '考察点学院学生平均得分',
  `score_rate` decimal(12,4) DEFAULT NULL COMMENT '该考察点学院平均得分率',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='参考课程考察学院各考察点维度表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_a_exam_course_college_inspect_dio`
--

LOCK TABLES `t_a_exam_course_college_inspect_dio` WRITE;
/*!40000 ALTER TABLE `t_a_exam_course_college_inspect_dio` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_a_exam_course_college_inspect_dio` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_a_exam_course_college_teacher`
--

DROP TABLE IF EXISTS `t_a_exam_course_college_teacher`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_a_exam_course_college_teacher` (
  `id` bigint(20) NOT NULL,
  `school_id` bigint DEFAULT NULL COMMENT '学校id',
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `teacher_id` bigint(20) NOT NULL COMMENT '授课教师id',
  `course_name` varchar(100) DEFAULT NULL COMMENT '科目名称',
  `inspect_college_id` bigint(20) NOT NULL COMMENT '考察学院id（此表以该字段为统计）',
  `inspect_college_name` varchar(100) DEFAULT NULL COMMENT '考察学院名称（冗余）',
  `teacher_name` varchar(100) DEFAULT NULL COMMENT '授课教师名称（冗余）',
  `avg_score` decimal(12,4) DEFAULT NULL COMMENT '卷面平均分',
  `min_score_assign` decimal(12,4) DEFAULT NULL COMMENT '赋分后授课学生最低分',
  `max_score_assign` decimal(12,4) DEFAULT NULL COMMENT '赋分后授课学生最高分',
  `avg_score_assign` decimal(12,4) DEFAULT NULL COMMENT '赋分后授课学生平均分',
  `upper_quartile` decimal(12,4) DEFAULT NULL COMMENT '授课学生分数上四分位数',
  `median` decimal(12,4) DEFAULT NULL COMMENT '授课学生中位数',
  `lower_quartile` decimal(12,4) DEFAULT NULL COMMENT '授课学生分数下四分位数',
  `mode` varchar(64) DEFAULT NULL COMMENT '授课学生分数众数',
  `standard_deviation` decimal(12,4) DEFAULT NULL COMMENT '授课学生分数标准差',
  `relative_position` decimal(12,4) DEFAULT NULL COMMENT '授课学生分数相对位置',
  `reality_count` int(11) DEFAULT NULL COMMENT '授课学生实际参考人数',
  `absent_count` int(11) DEFAULT NULL COMMENT '授课学生缺考人数',
  `total_count` int(11) DEFAULT NULL COMMENT '总人数',
  `teach_college_id` bigint(20) DEFAULT NULL COMMENT '授课学院id',
  `teach_college_name` varchar(100) DEFAULT NULL COMMENT '授课学院名称',
  `rank` int(11) DEFAULT NULL COMMENT '该科目，学院下排名',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='参考课程学院下授课教师维度分析表（考试id、课程编号、考察学院id、教师id）';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_a_exam_course_college_teacher`
--

LOCK TABLES `t_a_exam_course_college_teacher` WRITE;
/*!40000 ALTER TABLE `t_a_exam_course_college_teacher` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_a_exam_course_college_teacher` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_a_exam_course_difficult`
--

DROP TABLE IF EXISTS `t_a_exam_course_difficult`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_a_exam_course_difficult` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) DEFAULT NULL COMMENT '科目名称',
  `college_id` bigint(20) NOT NULL COMMENT '学院id',
  `school_id` bigint(20) DEFAULT NULL COMMENT '学校id（冗余）',
  `interpret` varchar(64) DEFAULT NULL COMMENT '难度类型',
  `count` int(11) DEFAULT NULL COMMENT '该难度题目数量',
  `scope` varchar(64) DEFAULT NULL COMMENT '难度范围',
  `sch_avg_score_rate` decimal(12,4) DEFAULT NULL COMMENT '各难度题在全校的平均得分率',
  `col_avg_score_rate` decimal(12,4) DEFAULT NULL COMMENT '各难度题在学院的平均得分率',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考试课程，各难度题目得分率表（难度题得分率、中等难度题得分率、简单题得分率）';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_a_exam_course_difficult`
--

LOCK TABLES `t_a_exam_course_difficult` WRITE;
/*!40000 ALTER TABLE `t_a_exam_course_difficult` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_a_exam_course_difficult` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_a_exam_course_dio`
--

DROP TABLE IF EXISTS `t_a_exam_course_dio`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_a_exam_course_dio` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `school_id` bigint DEFAULT NULL COMMENT '学校id',
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) DEFAULT NULL COMMENT '科目名称',
  `paper_id` bigint(20) NOT NULL COMMENT '试卷id',
  `dimension_type` varchar(32) DEFAULT NULL COMMENT '考察点类型',
  `dimension_code` varchar(32) DEFAULT NULL COMMENT '考察点编号',
  `score_rate` decimal(12,4) DEFAULT NULL COMMENT '该考察点平均得分率',
  `total_score` decimal(12,4) DEFAULT NULL COMMENT '该考察点在试卷中的总分',
  `total_count` decimal(12,4) DEFAULT NULL COMMENT '该考察点考察的题目数量',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='参考课程试卷考察点（整体情况）维度表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_a_exam_course_dio`
--

LOCK TABLES `t_a_exam_course_dio` WRITE;
/*!40000 ALTER TABLE `t_a_exam_course_dio` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_a_exam_course_dio` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_a_exam_course_record`
--

DROP TABLE IF EXISTS `t_a_exam_course_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_a_exam_course_record` (
  `id` bigint(20) NOT NULL,
  `school_id` bigint DEFAULT NULL COMMENT '学校id',
  `exam_record_id` bigint(20) NOT NULL COMMENT '基础考生成绩记录表id',
  `total_score` decimal(12,4) DEFAULT NULL COMMENT '卷面成绩（冗余）',
  `assigned_score` decimal(12,4) DEFAULT NULL COMMENT '赋分后成绩',
  `percent_grade` int(11) DEFAULT NULL COMMENT '百分位等级',
  `score_level` varchar(16) DEFAULT NULL COMMENT '得分水平 ABCDE',
  `col_rank` int(11) DEFAULT NULL COMMENT '该学生成绩在学院中的排名（赋分）',
  `rank_level` varchar(16) DEFAULT NULL COMMENT '该学生成绩排名所在的等级（col_rank）',
  `over_college_rate` decimal(12,4) DEFAULT NULL COMMENT '超过本院占比（赋分）',
  `standardized_coefficients` decimal(12,4) DEFAULT NULL COMMENT '标准回归系数',
  `exam_id` bigint(20) DEFAULT NULL,
  `course_code` varchar(32) DEFAULT NULL,
  `paper_id` bigint(20) DEFAULT NULL COMMENT '试卷id（冗余）',
  `paper_type` varchar(16) DEFAULT NULL COMMENT '试卷类型（冗余）',
  `student_id` bigint(20) DEFAULT NULL,
  `student_code` varchar(64) DEFAULT NULL COMMENT '学生编号',
  `teacher_id` bigint(20) DEFAULT NULL,
  `clazz_id` bigint(20) DEFAULT NULL,
  `teach_college_id` bigint(20) DEFAULT NULL,
  `inspect_college_id` bigint(20) DEFAULT NULL,
  `major_id` bigint(20) DEFAULT NULL,
  `absent` tinyint(4) DEFAULT NULL COMMENT '是否缺考 1缺考 0正常（冗余）',
  `current` tinyint(4) DEFAULT NULL COMMENT '是否应届 1应届 0非应届（冗余）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='参考课程考生成绩维度表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_a_exam_course_record`
--

LOCK TABLES `t_a_exam_course_record` WRITE;
/*!40000 ALTER TABLE `t_a_exam_course_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_a_exam_course_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_a_exam_course_record_dio`
--

DROP TABLE IF EXISTS `t_a_exam_course_record_dio`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_a_exam_course_record_dio` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `school_id` bigint DEFAULT NULL COMMENT '学校id',
  `exam_record_id` bigint(20) NOT NULL COMMENT '基础考生成绩记录表id',
  `paper_id` bigint(20) NOT NULL COMMENT '试卷id',
  `dimension_type` varchar(32) DEFAULT NULL COMMENT '模块类型',
  `dimension_code` varchar(32) DEFAULT NULL COMMENT '维度编号',
  `student_score` decimal(12,4) DEFAULT NULL COMMENT '该学生在该知识点的得分',
  `score_rate` decimal(12,4) DEFAULT NULL COMMENT '得分率',
  `proficiency` varchar(32) DEFAULT NULL COMMENT '熟练度等级',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='参考课程考生各考察点维度分析表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_a_exam_course_record_dio`
--

LOCK TABLES `t_a_exam_course_record_dio` WRITE;
/*!40000 ALTER TABLE `t_a_exam_course_record_dio` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_a_exam_course_record_dio` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_a_exam_course_record_mod`
--

DROP TABLE IF EXISTS `t_a_exam_course_record_mod`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_a_exam_course_record_mod` (
  `id` bigint(20) NOT NULL,
  `school_id` bigint DEFAULT NULL COMMENT '学校id',
  `exam_record_id` bigint(20) NOT NULL COMMENT '基础考生成绩表id',
  `paper_id` bigint(20) NOT NULL COMMENT '试卷id',
  `module_type` varchar(32) DEFAULT NULL COMMENT '考察模块名称',
  `total_score` decimal(12,4) DEFAULT NULL COMMENT '该考生在该模块的总得分（实际分）',
  `score_rate` decimal(12,4) DEFAULT NULL COMMENT '该学生在该考察模块的整体掌握率（total_score/full_score）',
  `full_score` decimal(12,4) DEFAULT NULL COMMENT '考察模块在试卷中的总分(实际分)',
  `proficiency` varchar(32) DEFAULT NULL COMMENT '该学生在该模块掌握的熟练度（score_rate）',
  `col_rank` int(11) DEFAULT NULL COMMENT '该学生在该模块的得分在学院排名(赋分)',
  `percent_grade` int(11) DEFAULT NULL COMMENT '百分等级数',
  `level` varchar(32) DEFAULT NULL COMMENT '等级(不确定百分等级、排名等级、得分率等级)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='参考课程考生考察点模块维度表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_a_exam_course_record_mod`
--

LOCK TABLES `t_a_exam_course_record_mod` WRITE;
/*!40000 ALTER TABLE `t_a_exam_course_record_mod` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_a_exam_course_record_mod` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_a_exam_course_teacher`
--

DROP TABLE IF EXISTS `t_a_exam_course_teacher`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_a_exam_course_teacher` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `school_id` bigint DEFAULT NULL COMMENT '学校id',
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) DEFAULT NULL COMMENT '科目名称',
  `teacher_id` bigint(20) NOT NULL COMMENT '教师id',
  `teacher_name` varchar(100) DEFAULT NULL COMMENT '授课教师名称（冗余字段）',
  `min_score` decimal(12,4) DEFAULT NULL COMMENT '最低分',
  `max_score` decimal(12,4) DEFAULT NULL COMMENT '最高分',
  `avg_score` decimal(12,4) DEFAULT NULL COMMENT '平均分',
  `upper_quartile` decimal(12,4) DEFAULT NULL COMMENT '上四分位数',
  `median` decimal(12,4) DEFAULT NULL COMMENT '中位数',
  `lower_quartile` decimal(12,4) DEFAULT NULL COMMENT '下四分位数',
  `mode` varchar(64) DEFAULT NULL COMMENT '众数',
  `standard_deviation` decimal(12,4) DEFAULT NULL COMMENT '标准差',
  `relative_position` decimal(12,4) DEFAULT NULL COMMENT '相对位置',
  `reality_count` int(11) DEFAULT NULL COMMENT '实际参考人数',
  `absent_count` int(11) DEFAULT NULL COMMENT '缺考人数',
  `total_count` int(11) DEFAULT NULL COMMENT '总人数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='参考课程授课教师维度表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_a_exam_course_teacher`
--

LOCK TABLES `t_a_exam_course_teacher` WRITE;
/*!40000 ALTER TABLE `t_a_exam_course_teacher` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_a_exam_course_teacher` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_a_exam_total`
--

DROP TABLE IF EXISTS `t_a_exam_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_a_exam_total` (
  `id` bigint(20) NOT NULL,
  `school_id` bigint DEFAULT NULL COMMENT '学校id',
  `exam_id` bigint(20) NOT NULL COMMENT '基础考试表id',
  `college_count` int(11) DEFAULT NULL COMMENT '考察学院总数',
  `course_count` int(11) DEFAULT NULL COMMENT '课程总数',
  `public_course_count` int(11) DEFAULT NULL COMMENT '公共课总数',
  `major_course_count` int(11) DEFAULT NULL COMMENT '专业课总数',
  `total_count` int(11) DEFAULT NULL COMMENT '总人数',
  `reality_count` int(11) DEFAULT NULL COMMENT '实际参考人数',
  `absent_count` int(11) DEFAULT NULL COMMENT '缺考人数',
  `total_course_times` int(11) DEFAULT NULL COMMENT '总考试科次',
  `reality_course_times` int(11) DEFAULT NULL COMMENT '实际考科次',
  `absent_course_times` int(11) DEFAULT NULL COMMENT '缺考科次',
  `exam_time` varchar(64) DEFAULT NULL COMMENT '考试时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='考试维度总计';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_a_exam_total`
--

LOCK TABLES `t_a_exam_total` WRITE;
/*!40000 ALTER TABLE `t_a_exam_total` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_a_exam_total` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_a_paper_struct`
--

DROP TABLE IF EXISTS `t_a_paper_struct`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_a_paper_struct` (
  `id` bigint(20) NOT NULL,
  `school_id` bigint DEFAULT NULL COMMENT '学校id',
  `paper_struct_id` bigint(20) NOT NULL COMMENT '基础试卷结构表id',
  `score_rate` decimal(12,4) DEFAULT NULL COMMENT '得分率',
  `difficult` varchar(32) DEFAULT NULL COMMENT '难度',
  `validity` decimal(12,4) DEFAULT NULL COMMENT '效度',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='试卷结构维度分析表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_a_paper_struct`
--

LOCK TABLES `t_a_paper_struct` WRITE;
/*!40000 ALTER TABLE `t_a_paper_struct` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_a_paper_struct` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_answer`
--

DROP TABLE IF EXISTS `t_b_answer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_answer` (
  `id` bigint(20) NOT NULL COMMENT '考生作答记录详情id',
  `exam_record_id` bigint(20) NOT NULL COMMENT '考试记录id',
  `number_type` varchar(32) NOT NULL COMMENT '题号类型（客观题、主观题）',
  `main_number` varchar(32) NOT NULL COMMENT '大题号',
  `sub_number` varchar(32) NOT NULL COMMENT '小题号',
  `answer` varchar(255) DEFAULT NULL COMMENT '考生作答答案',
  `score` decimal(12,4) DEFAULT NULL COMMENT '分数',
  `path` varchar(255) DEFAULT NULL COMMENT '作答轨迹',
  `time` bigint(20) DEFAULT NULL COMMENT '作答时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='基础考生作答记录详情表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_answer`
--

LOCK TABLES `t_b_answer` WRITE;
/*!40000 ALTER TABLE `t_b_answer` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_answer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_cloud_exam`
--

DROP TABLE IF EXISTS `t_b_cloud_exam`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_cloud_exam` (
  `id` bigint(20) NOT NULL COMMENT '对应云阅卷主键',
  `exam_id` bigint(20) NOT NULL COMMENT '教研分析考试id',
  `school_id` bigint(20) NOT NULL COMMENT '学校id',
  `enable` tinyint(4) NOT NULL DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
  `remark` varchar(64) DEFAULT NULL COMMENT '备注（记录云阅卷该考试下包含的学科名称）',
  `access_key` varchar(64) NOT NULL COMMENT '密钥key',
  `access_secret` varchar(64) NOT NULL COMMENT '密钥secret',
  `create_id` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `create_time` bigint(20) DEFAULT NULL COMMENT '创建人名称',
  `update_id` bigint(20) DEFAULT NULL COMMENT '更新人id',
  `update_time` bigint(20) DEFAULT NULL COMMENT '更新人名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='云阅卷考试信息表（同步考生成绩使用）';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_cloud_exam`
--

LOCK TABLES `t_b_cloud_exam` WRITE;
/*!40000 ALTER TABLE `t_b_cloud_exam` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_cloud_exam` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_common_level_config`
--

DROP TABLE IF EXISTS `t_b_common_level_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_common_level_config` (
  `id` bigint(20) NOT NULL COMMENT '常规等级配置表主键',
  `exam_id` bigint(20) NOT NULL,
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) DEFAULT NULL COMMENT '科目名称',
  `level_type` varchar(32) DEFAULT NULL COMMENT '等级类型（熟练度、百分等级、题目难度）',
  `level` varchar(32) DEFAULT NULL COMMENT '等级',
  `scope` varchar(32) DEFAULT NULL COMMENT '取值范围（计算用）',
  `interpret` varchar(32) DEFAULT NULL COMMENT '描述',
  `min` decimal(12,4) DEFAULT NULL COMMENT '最小边界（展示用）',
  `max` decimal(12,4) DEFAULT NULL COMMENT '最大边界（展示用）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='等级配置表（试卷难易度、成绩在学院排名百分比）';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_common_level_config`
--

LOCK TABLES `t_b_common_level_config` WRITE;
/*!40000 ALTER TABLE `t_b_common_level_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_common_level_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_common_rank_level_config`
--

DROP TABLE IF EXISTS `t_b_common_rank_level_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_common_rank_level_config` (
  `id` bigint(20) NOT NULL,
  `exam_id` bigint(20) NOT NULL,
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) DEFAULT NULL COMMENT '科目名称',
  `level` varchar(32) DEFAULT NULL COMMENT '等级',
  `min` decimal(12,4) DEFAULT NULL COMMENT '展示用最小值',
  `max` decimal(12,4) DEFAULT NULL COMMENT '展示用最大值',
  `scope` varchar(32) DEFAULT NULL COMMENT '取值范围（计算用）',
  `interpret` varchar(255) DEFAULT NULL COMMENT '解释',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='学生成绩在学院排名的配置表（赋分成绩在学院排名档次）';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_common_rank_level_config`
--

LOCK TABLES `t_b_common_rank_level_config` WRITE;
/*!40000 ALTER TABLE `t_b_common_rank_level_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_common_rank_level_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_dimension`
--

DROP TABLE IF EXISTS `t_b_dimension`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_dimension` (
  `id` bigint(20) NOT NULL,
  `exam_id` bigint(20) DEFAULT NULL COMMENT '考试id',
  `course_code` varchar(100) DEFAULT NULL COMMENT '科目编码',
  `course_name` varchar(100) DEFAULT NULL COMMENT '科目名称',
  `dimension_type` varchar(32) DEFAULT NULL COMMENT '维度类型 - 知识，能力，素养',
  `code_primary` varchar(32) DEFAULT NULL COMMENT '一级维度编号',
  `name_primary` varchar(255) DEFAULT NULL COMMENT '一级维度名称',
  `code_second` varchar(32) DEFAULT NULL COMMENT '二级维度编号',
  `name_second` varchar(255) DEFAULT NULL COMMENT '二级维度名称',
  `interpretation` varchar(255) DEFAULT NULL COMMENT '一级维度术语解释',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考察点维度基础表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_dimension`
--

LOCK TABLES `t_b_dimension` WRITE;
/*!40000 ALTER TABLE `t_b_dimension` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_dimension` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_exam`
--

DROP TABLE IF EXISTS `t_b_exam`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_exam` (
  `id` bigint(20) NOT NULL COMMENT '教研分析考试主键',
  `school_id` bigint(20) NOT NULL COMMENT '学校id',
  `exam_code` varchar(32) NOT NULL COMMENT '考试编号（在学校下唯一）',
  `exam_name` varchar(32) NOT NULL COMMENT '考试名称（2020~2021学年上学期期末考试）',
  `semester` varchar(32) NOT NULL COMMENT '学期（枚举类-第一学期-第二学期）',
  `exam_time` varchar(64) DEFAULT NULL COMMENT '考试时间',
  `create_id` bigint(20) DEFAULT NULL,
  `create_time` bigint(20) DEFAULT NULL,
  `update_id` bigint(20) DEFAULT NULL,
  `update_time` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='教研分析基础考试信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_exam`
--

LOCK TABLES `t_b_exam` WRITE;
/*!40000 ALTER TABLE `t_b_exam` DISABLE KEYS */;
INSERT INTO `t_b_exam` VALUES (1,2,'2021-06-02','2021学年下学期期末考试','FIRST','2021年6月2日',NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `t_b_exam` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_exam_course`
--

DROP TABLE IF EXISTS `t_b_exam_course`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_exam_course` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `school_id` bigint DEFAULT NULL COMMENT '学校id',
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) NOT NULL COMMENT '科目名称',
  `test_status` varchar(30) DEFAULT NULL COMMENT '测试状态（UN_TEST：未测试、TEST：已测试、CHECKED：已抽检）',
  `publish_status` varchar(30) DEFAULT NULL COMMENT '发布状态（UN_COMPUTE：未计算、UN_PUBLISH：未发布、PUBLISH：已发布）',
  `create_id` bigint(20) DEFAULT NULL COMMENT '创建人',
  `create_time` bigint(20) DEFAULT NULL COMMENT '创建时间',
  `update_id` bigint(20) DEFAULT NULL COMMENT '更新人',
  `update_time` bigint(20) DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考试科目表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_exam_course`
--

LOCK TABLES `t_b_exam_course` WRITE;
/*!40000 ALTER TABLE `t_b_exam_course` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_exam_course` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_exam_record`
--

DROP TABLE IF EXISTS `t_b_exam_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_exam_record` (
  `id` bigint(20) NOT NULL,
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `paper_id` bigint(20) NOT NULL COMMENT '试卷id',
  `paper_type` varchar(32) NOT NULL COMMENT '试卷类型',
  `exam_student_id` bigint(20) NOT NULL COMMENT '考生id',
  `subjective_score` decimal(12,4) DEFAULT NULL COMMENT '主观题总分',
  `objective_score` decimal(12,4) DEFAULT NULL COMMENT '客观题总分',
  `total_score` decimal(12,4) DEFAULT NULL COMMENT '总分',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考生考试记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_exam_record`
--

LOCK TABLES `t_b_exam_record` WRITE;
/*!40000 ALTER TABLE `t_b_exam_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_exam_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_exam_student`
--

DROP TABLE IF EXISTS `t_b_exam_student`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_exam_student` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `school_id` bigint DEFAULT NULL COMMENT '学校id',
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `name` varchar(100) NOT NULL COMMENT '姓名',
  `student_id` bigint(20) NOT NULL COMMENT '学生id',
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) DEFAULT NULL COMMENT '科目名称',
  `teach_college_id` bigint(20) NOT NULL COMMENT '开课学院id',
  `inspect_college_id` bigint(20) NOT NULL COMMENT '考查学院id',
  `clazz_id` bigint(20) NOT NULL COMMENT '考试时候的班级id',
  `major_id` bigint(20) DEFAULT NULL COMMENT '考试时候所在的专业id',
  `teacher_id` bigint(20) NOT NULL COMMENT '授课老师id',
  `ticket_number` varchar(100) NOT NULL COMMENT '准考证号',
  `student_code` varchar(100) NOT NULL COMMENT '学号',
  `absent` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否缺考，false：没缺考，true：缺考',
  `current` tinyint(4) NOT NULL DEFAULT '1' COMMENT '是否本届，false：非本届，true：本届',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='考生表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_exam_student`
--

LOCK TABLES `t_b_exam_student` WRITE;
/*!40000 ALTER TABLE `t_b_exam_student` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_exam_student` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_module_config`
--

DROP TABLE IF EXISTS `t_b_module_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_module_config` (
  `id` bigint(20) NOT NULL,
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) DEFAULT NULL COMMENT '科目名称',
  `module_type` varchar(64) DEFAULT NULL COMMENT '模块类型（知识、维度、素养）',
  `formula` varchar(64) DEFAULT NULL COMMENT '计算公式规则',
  `scope` varchar(64) DEFAULT NULL COMMENT '取值范围（计算用）',
  `level_code` varchar(32) DEFAULT NULL COMMENT '等级',
  `level_name` varchar(32) DEFAULT NULL COMMENT '水平等级层次',
  `result` text COMMENT '诊断结果',
  `advice` text COMMENT '学习建议',
  `attribute` varchar(32) DEFAULT NULL COMMENT '试卷结构表（t_b_paper_struct）中的模块属性列的列名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考察点模块配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_module_config`
--

LOCK TABLES `t_b_module_config` WRITE;
/*!40000 ALTER TABLE `t_b_module_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_module_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_module_proficiency`
--

DROP TABLE IF EXISTS `t_b_module_proficiency`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_module_proficiency` (
  `id` bigint(20) NOT NULL COMMENT '模块熟练度主键',
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) DEFAULT NULL COMMENT '科目名称',
  `module_type` varchar(32) DEFAULT NULL COMMENT '模块类型',
  `interpret` varchar(255) DEFAULT NULL COMMENT '解释',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `define` varchar(255) DEFAULT NULL COMMENT '二级熟练度定义',
  `level` varchar(32) DEFAULT NULL COMMENT '等级',
  `min` varchar(32) DEFAULT NULL COMMENT '展示用最小边界',
  `max` varchar(32) DEFAULT NULL COMMENT '展示用最大边界',
  `scope` varchar(32) DEFAULT NULL COMMENT '取值范围（计算用）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='模块二级考察点维度熟练度配置，及模块简要描述表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_module_proficiency`
--

LOCK TABLES `t_b_module_proficiency` WRITE;
/*!40000 ALTER TABLE `t_b_module_proficiency` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_module_proficiency` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_paper`
--

DROP TABLE IF EXISTS `t_b_paper`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_paper` (
  `id` bigint(20) NOT NULL COMMENT '试卷id',
  `exam_id` bigint(20) NOT NULL COMMENT '考试id',
  `course_code` varchar(100) NOT NULL COMMENT '科目编码',
  `course_name` varchar(100) DEFAULT NULL COMMENT '科目名称',
  `paper_type` varchar(32) NOT NULL COMMENT '试卷类型',
  `start_time` bigint(20) DEFAULT NULL COMMENT '该试卷考试开始时间',
  `end_time` bigint(20) DEFAULT NULL COMMENT '该试卷考试结束时间',
  `coefficient` decimal(12,4) DEFAULT NULL COMMENT '赋分系数（赋值分=卷面成绩 +（卷面满分-卷面成绩）/ 赋分系数）',
  `total_score` decimal(12,4) DEFAULT NULL COMMENT '试卷满分',
  `pass_score` decimal(12,4) DEFAULT NULL COMMENT '试卷及格分',
  `score_type` varchar(64) DEFAULT NULL COMMENT '赋分类型\\n1.NEED_ASSIGN_SCORE("是","需要且按照公式赋分")\\n2.NO_NEED_ASSIGN_SCORE("否","不需要赋分，标准分即为赋分")\\n3.SPECIAL_ASSIGN_SCORE("特殊赋分","特殊赋分，按照excel表进行赋分")',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='试卷基础信息表（赋分系数、试卷类型、满分、及格分等）';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_paper`
--

LOCK TABLES `t_b_paper` WRITE;
/*!40000 ALTER TABLE `t_b_paper` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_paper` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_paper_struct`
--

DROP TABLE IF EXISTS `t_b_paper_struct`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_paper_struct` (
  `id` bigint(20) NOT NULL,
  `paper_id` bigint(20) DEFAULT NULL COMMENT '试卷基础表id',
  `question_name` varchar(200) DEFAULT NULL COMMENT '大题名称',
  `number_type` varchar(32) DEFAULT NULL COMMENT '题号类型（客观题、主观题）',
  `big_question_number` varchar(64) DEFAULT NULL COMMENT '大题号',
  `small_question_number` varchar(64) DEFAULT NULL COMMENT '小题号(每一课程试卷的唯一标识)',
  `question_type` varchar(32) DEFAULT NULL COMMENT '题目类型',
  `full_score` decimal(12,4) DEFAULT NULL COMMENT '满分',
  `score_rules` varchar(32) DEFAULT NULL COMMENT '计分规则',
  `rules_desc` varchar(500) DEFAULT NULL COMMENT '规则说明',
  `knowledge_dimension` varchar(32) DEFAULT NULL COMMENT '知识维度',
  `ability_dimension` varchar(32) DEFAULT NULL COMMENT '能力维度',
  `literacy_dimension` varchar(32) DEFAULT NULL COMMENT '素养维度',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='试卷结构表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_paper_struct`
--

LOCK TABLES `t_b_paper_struct` WRITE;
/*!40000 ALTER TABLE `t_b_paper_struct` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_paper_struct` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_school_clazz`
--

DROP TABLE IF EXISTS `t_b_school_clazz`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_school_clazz` (
  `id` bigint(20) NOT NULL COMMENT '班级id',
  `school_id` bigint(20) NOT NULL COMMENT '学校id',
  `clazz_code` varchar(100) DEFAULT NULL COMMENT '班级编号',
  `clazz_name` varchar(100) DEFAULT NULL COMMENT '班级名称',
  `enable` tinyint(4) DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
  `create_id` bigint(20) DEFAULT NULL,
  `create_time` bigint(20) DEFAULT NULL,
  `update_id` bigint(20) DEFAULT NULL,
  `update_time` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='学校班级表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_school_clazz`
--

LOCK TABLES `t_b_school_clazz` WRITE;
/*!40000 ALTER TABLE `t_b_school_clazz` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_school_clazz` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_school_college`
--

DROP TABLE IF EXISTS `t_b_school_college`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_school_college` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `school_id` bigint(20) NOT NULL COMMENT '学校id',
  `college_code` varchar(100) DEFAULT NULL COMMENT '学院编号',
  `college_name` varchar(100) DEFAULT NULL COMMENT '学院名称',
  `enable` tinyint(4) DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
  `create_id` bigint(20) DEFAULT NULL,
  `create_time` bigint(20) DEFAULT NULL,
  `update_id` bigint(20) DEFAULT NULL,
  `update_time` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='学校学院基础表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_school_college`
--

LOCK TABLES `t_b_school_college` WRITE;
/*!40000 ALTER TABLE `t_b_school_college` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_school_college` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_school_major`
--

DROP TABLE IF EXISTS `t_b_school_major`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_school_major` (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) DEFAULT NULL COMMENT '学校id',
  `major_code` varchar(100) DEFAULT NULL COMMENT '专业编号',
  `major_name` varchar(100) DEFAULT NULL COMMENT '专业名称',
  `enable` tinyint(4) DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
  `create_id` bigint(20) DEFAULT NULL,
  `create_time` bigint(20) DEFAULT NULL,
  `update_id` bigint(20) DEFAULT NULL,
  `update_time` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='学校专业表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_school_major`
--

LOCK TABLES `t_b_school_major` WRITE;
/*!40000 ALTER TABLE `t_b_school_major` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_school_major` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_school_teacher`
--

DROP TABLE IF EXISTS `t_b_school_teacher`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_school_teacher` (
  `id` bigint(20) NOT NULL COMMENT '教师id',
  `school_id` bigint(20) NOT NULL COMMENT '学校id',
  `teacher_code` varchar(100) DEFAULT NULL COMMENT '教师编号',
  `teacher_name` varchar(100) DEFAULT NULL COMMENT '教师名称',
  `enable` tinyint(4) DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
  `create_id` bigint(20) DEFAULT NULL,
  `create_time` bigint(20) DEFAULT NULL,
  `update_id` bigint(20) DEFAULT NULL,
  `update_time` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='授课教师表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_school_teacher`
--

LOCK TABLES `t_b_school_teacher` WRITE;
/*!40000 ALTER TABLE `t_b_school_teacher` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_school_teacher` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_session`
--

DROP TABLE IF EXISTS `t_b_session`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_session` (
  `id` varchar(100) NOT NULL COMMENT '主键',
  `identity` varchar(100) NOT NULL COMMENT '用户标识',
  `type` varchar(50) NOT NULL COMMENT '用户类型',
  `source` varchar(50) NOT NULL COMMENT '访问来源',
  `platform` varchar(50) NOT NULL COMMENT '设备分类',
  `device_id` varchar(100) NOT NULL COMMENT '设备标识',
  `address` varchar(100) NOT NULL COMMENT '登录IP地址',
  `access_token` varchar(50) NOT NULL COMMENT '访问令牌',
  `last_access_time` bigint(20) DEFAULT NULL COMMENT '最近访问时间',
  `last_access_ip` varchar(100) DEFAULT NULL COMMENT '最近访问IP地址',
  `update_time` bigint(20) DEFAULT NULL COMMENT '令牌更新时间',
  `expire_time` bigint(20) DEFAULT NULL COMMENT '令牌强制失效时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='会话表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_session`
--

LOCK TABLES `t_b_session` WRITE;
/*!40000 ALTER TABLE `t_b_session` DISABLE KEYS */;
INSERT INTO `t_b_session` VALUES ('53b14e50c619c9e24aa63641b7aa1b40','3','[PRESIDENT]','WEB','WEB','1','0:0:0:0:0:0:0:1','7c7c8d20d1764bb193795a91a363bfed',1622713462618,NULL,NULL,1622799862618),('9e62ba4a6db0c1b23d697ec44046d824','4','[TEACHER]','WEB','WEB','1','0:0:0:0:0:0:0:1','08c07909d2b24039a3b5d636c9a5ba3b',1622713234146,NULL,NULL,1622799634146),('cb811435911fef798411bf3c4eb8e871','1','[ADMIN]','WEB','WEB','1','0:0:0:0:0:0:0:1','2712b8ca39084159a66111127e06f4e9',1622709010616,NULL,NULL,1622795410616),('e5f0b76f8d8b6b9627bb6a23d9bf78cf','2','[OFFICE_TEACHER]','WEB','WEB','1','0:0:0:0:0:0:0:1','4536ed8bbebf4a71bd7d58a0dfa1c656',1622712756725,NULL,NULL,1622799156725);
/*!40000 ALTER TABLE `t_b_session` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_student`
--

DROP TABLE IF EXISTS `t_b_student`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_student` (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL COMMENT '学校id',
  `name` varchar(100) DEFAULT NULL COMMENT '姓名',
  `student_code` varchar(100) DEFAULT NULL COMMENT '学号(某学校学生的唯一标识)',
  `gender` varchar(30) DEFAULT NULL COMMENT '性别，MAN：男，WOMAN：女',
  `person_img_url` varchar(255) DEFAULT NULL COMMENT '照片地址',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='基础学生表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_student`
--

LOCK TABLES `t_b_student` WRITE;
/*!40000 ALTER TABLE `t_b_student` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_b_student` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_b_task`
--

DROP TABLE IF EXISTS `t_b_task`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_b_task` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `type` varchar(50) NOT NULL COMMENT '任务类型，QUESTION_MISSION_BATCH_CREATE：批量新建命题任务，\nSAMPLE_EXPORT：导出审核样本，\nEXAMINATION_IMPORT：考务数据导入，\nEXAMINATION_EXPORT：考务数据导出，\nPRINT_PDF_DOWNLOAD：批量下载pdf，\nCREATE_PDF：生成pdf',
  `entity_id` bigint(20) DEFAULT NULL COMMENT '关联业务对象id',
  `status` varchar(30) NOT NULL COMMENT '任务状态，INIT：未开始，RUNNING：进行中，FINISH：已完成',
  `summary` varchar(2000) DEFAULT NULL COMMENT '实时摘要信息',
  `progress` double DEFAULT NULL COMMENT '执行进度',
  `result` varchar(30) DEFAULT NULL COMMENT '数据结果，SUCCESS：成功，ERROR：失败',
  `enable` tinyint(4) NOT NULL DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
  `import_file_name` varchar(100) DEFAULT NULL COMMENT '导入文件名',
  `import_file_path` varchar(500) DEFAULT NULL COMMENT '导入文件路径',
  `result_file_path` varchar(500) DEFAULT NULL COMMENT '导出文件路径',
  `report_file_path` varchar(500) DEFAULT NULL COMMENT '报告路径',
  `create_time` bigint(20) DEFAULT NULL COMMENT '创建时间',
  `create_id` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `school_id` bigint(20) DEFAULT NULL COMMENT '学校id',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `print_plan_id` bigint(20) DEFAULT NULL COMMENT '印刷计划id',
  `remark` mediumtext COMMENT '备注',
  `obj_name` varchar(500) DEFAULT NULL COMMENT '实体名称',
  `reset_count` int(11) DEFAULT '0' COMMENT '重试次数',
  `version` int(11) DEFAULT '0' COMMENT '更新版本号',
  `error_message` varchar(500) DEFAULT NULL COMMENT '人工错误原因',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='导入导出任务表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_b_task`
--

LOCK TABLES `t_b_task` WRITE;
/*!40000 ALTER TABLE `t_b_task` DISABLE KEYS */;
INSERT INTO `t_b_task` VALUES (127436631761223680,'EXAMINATION_IMPORT',NULL,'FINISH','2021-05-18 15:47:40->开始准备处理导入的考务数据\n2021-05-18 15:47:46->数据处理结束，共处理了1,844条数据',NULL,'SUCCESS',1,'6月1日','{\"path\":\"file/2021/05/18/1cc6403b019d42acb2a8a386df5182ce.xls\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',NULL,'{\"path\":\"file/2021/05/18/0344c84641ef4d529172274475daf6b0.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621324060674,115839683589570560,2,NULL,127436543039111168,NULL,NULL,0,0,NULL),(127443135457394688,'CREATE_PDF',127436642796437504,'FINISH','2021-05-18 16:13:31->开始准备创建pdf数据\n2021-05-18 16:14:02->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/eb7795e0c655487aa49a209c8adaa07e.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/385156c705e54d5fa39018cb3a7cb396.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611277,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4201-湾里校区',0,0,NULL),(127443135553863680,'CREATE_PDF',127436642813214720,'FINISH','2021-05-18 16:13:31->开始准备创建pdf数据\n2021-05-18 16:14:06->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/f61d3a19112049e9bba8d605b4442b82.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/9335baeac12647ef8ae7d067cfb63320.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611296,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4202-湾里校区',0,0,NULL),(127443135734218752,'CREATE_PDF',127436642699968512,'FINISH','2021-05-18 16:13:31->开始准备创建pdf数据\n2021-05-18 16:13:58->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/baf6c6c22b9f4e07bda63d717a086b50.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/f577be9843064c9c900005ed29a05da3.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611338,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2210-湾里校区',0,0,NULL),(127443135927156736,'CREATE_PDF',127436643052290048,'FINISH','2021-05-18 16:13:31->开始准备创建pdf数据\n2021-05-18 16:13:55->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/3c5005e302074898965a753d1ae62afe.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/c5b6c2317623410894d615fda7a2634d.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611386,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4402-湾里校区',0,0,NULL),(127443136006848512,'CREATE_PDF',127436643069067264,'FINISH','2021-05-18 16:13:55->开始准备创建pdf数据\n2021-05-18 16:14:16->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/02fcc78c93554ebda3cc385a783be3fa.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/73a9f3f5e2714baba7d2824183b5088d.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611403,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4406-湾里校区',0,0,NULL),(127443136157843456,'CREATE_PDF',127436642544779264,'FINISH','2021-05-18 16:13:59->开始准备创建pdf数据\n2021-05-18 16:14:23->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/5ba4f5a0c061441fa41856016b04285a.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/d4ff700630194719aaff9d7a453cd88d.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611443,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4301-湾里校区',0,0,NULL),(127443136233340928,'CREATE_PDF',127436642561556480,'FINISH','2021-05-18 16:14:02->开始准备创建pdf数据\n2021-05-18 16:14:27->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/a15d7ca373314163a7d52191dbcb6582.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/41d98cc60ecb4eeea07d835f0a70860d.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611458,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4309-湾里校区',0,0,NULL),(127443136287866880,'CREATE_PDF',127436642574139392,'FINISH','2021-05-18 16:14:06->开始准备创建pdf数据\n2021-05-18 16:14:35->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/522306367e9f4481a205f3a1037ca390.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/0a91d52952b64b918ce22989f7e50177.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611471,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4404-湾里校区',0,0,NULL),(127443136346587136,'CREATE_PDF',127436642590916608,'FINISH','2021-05-18 16:14:16->开始准备创建pdf数据\n2021-05-18 16:14:46->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/ace880dafa0545f4b77e12c410a53db1.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/89aa58e7e07448c2b2428926c991825a.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611485,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4409-湾里校区',0,0,NULL),(127443136510164992,'CREATE_PDF',127436642767077376,'FINISH','2021-05-18 16:14:23->开始准备创建pdf数据\n2021-05-18 16:14:50->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/94b59f13d4754a1d9b999ec07f19e908.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/56158bab26cc4203ac21754a147a7e18.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611524,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2303-湾里校区',0,0,NULL),(127443136573079552,'CREATE_PDF',127436642779660288,'FINISH','2021-05-18 16:14:27->开始准备创建pdf数据\n2021-05-18 16:14:55->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/1b418af0a6c04ab6a55a930589063065.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/7c07042a81b24504a500e34a868cf026.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611538,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2411-湾里校区',0,0,NULL),(127443136724074496,'CREATE_PDF',127436642490253312,'FINISH','2021-05-18 16:14:35->开始准备创建pdf数据\n2021-05-18 16:14:55->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/03a8b18da6124399bb3758b89e41273b.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/f3d628fa149c4864aedd6e5951fe13d8.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611574,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2303-湾里校区',0,0,NULL),(127443136774406144,'CREATE_PDF',127436642507030528,'FINISH','2021-05-18 16:14:46->开始准备创建pdf数据\n2021-05-18 16:15:06->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/f785f75a10214972b3c93f2a4303f640.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/7c2489c6bba04a85a94db1fb7abfcb02.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611586,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2310-湾里校区',0,0,NULL),(127443136820543488,'CREATE_PDF',127436642523807744,'FINISH','2021-05-18 16:14:50->开始准备创建pdf数据\n2021-05-18 16:15:27->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/c981d4711b5645008aa6208384e29205.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/675efc1e33e34bb6a3aa99c73d918201.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611597,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2409-湾里校区',0,0,NULL),(127443136933789696,'CREATE_PDF',127436642859352064,'FINISH','2021-05-18 16:14:55->开始准备创建pdf数据\n2021-05-18 16:15:23->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/32a9f6c4c87e434d9e4f81184abb6c5a.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/06fa9549575841eda3d6258cc4066e60.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611625,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4101-湾里校区',0,0,NULL),(127443137109950464,'CREATE_PDF',127436642456698880,'FINISH','2021-05-18 16:14:55->开始准备创建pdf数据\n2021-05-18 16:15:25->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/d7bd8469a05546dfbf0023b311eacac8.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/6a7e874f8db24c7691dcf9ba355e6021.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611666,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2203-湾里校区',0,0,NULL),(127443137231585280,'CREATE_PDF',127436642716745728,'FINISH','2021-05-18 16:15:06->开始准备创建pdf数据\n2021-05-18 16:15:27->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/873dcb404380448286cb1cc089fac815.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/3a712595e84f4ca8a51b81d01b84f19a.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611695,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2110-湾里校区',0,0,NULL),(127443137273528320,'CREATE_PDF',127436642733522944,'FINISH','2021-05-18 16:15:23->开始准备创建pdf数据\n2021-05-18 16:15:43->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/a26920bd6be8407dad6fd018b15d63e2.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/d04f534df58947de8defbf2067f0a29c.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611706,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2403-湾里校区',0,0,NULL),(127443137319665664,'CREATE_PDF',127436642750300160,'FINISH','2021-05-18 16:15:25->开始准备创建pdf数据\n2021-05-18 16:16:02->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/917dfed9327448b0816b3d0db5a4b33d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/51dabca18880438fb8783e028ba03cfa.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611716,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2409-湾里校区',0,0,NULL),(127443137432911872,'CREATE_PDF',127436642607693824,'FINISH','2021-05-18 16:15:27->开始准备创建pdf数据\n2021-05-18 16:15:50->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/a86cf7206e4b4e7da3886b3d7fdd5122.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/4388f95393c643de86c84bcd39042278.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611743,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2102-湾里校区',0,0,NULL),(127443137474854912,'CREATE_PDF',127436642620276736,'FINISH','2021-05-18 16:15:27->开始准备创建pdf数据\n2021-05-18 16:15:47->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/aa21296dc50642608ffa444a00d36ffc.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/b10f39c8b87e42598e1114be00f8a0b9.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611753,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2110-湾里校区',0,0,NULL),(127443137516797952,'CREATE_PDF',127436642637053952,'FINISH','2021-05-18 16:15:43->开始准备创建pdf数据\n2021-05-18 16:16:17->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/bed66b5c57da4c04aac574a4330206d3.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/b240d6025d0a4e78bb7a5ee33196a8d2.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325611763,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2201-湾里校区',0,0,NULL),(127443155988512768,'CREATE_PDF',127436642829991936,'FINISH','2021-05-18 16:15:47->开始准备创建pdf数据\n2021-05-18 16:16:10->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/18fc59d987534b49b9871e1be20e7c9d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/e2912e2c488d4f83aed1ee9177748ece.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616167,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4102-湾里校区',0,0,NULL),(127443156030455808,'CREATE_PDF',127436642842574848,'FINISH','2021-05-18 16:15:50->开始准备创建pdf数据\n2021-05-18 16:16:12->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/24f8cc45661b42f3a587ab9f51ae6b4d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/8574c8460d2944f3b4c05eabf75696e6.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616178,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4309-湾里校区',0,0,NULL),(127443156168867840,'CREATE_PDF',127436643039707136,'FINISH','2021-05-18 16:16:02->开始准备创建pdf数据\n2021-05-18 16:16:33->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/ee58e98b4e3f4d62866532dc4ab27f83.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/bb8fa33a45e14d6c808f22a4c933ff65.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616210,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4201-湾里校区',0,0,NULL),(127443156290502656,'CREATE_PDF',127436643081650176,'FINISH','2021-05-18 16:16:10->开始准备创建pdf数据\n2021-05-18 16:16:35->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/df378ea2e2a740409a2dcbd714a1e29b.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/11034962d4cc4e76ac8132db958daa89.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616239,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4301-湾里校区',0,0,NULL),(127443156328251392,'CREATE_PDF',127436643098427392,'FINISH','2021-05-18 16:16:12->开始准备创建pdf数据\n2021-05-18 16:16:37->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/3fa0e376e3994ecc9b497413bfa83c15.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/39494bce9e4144919d5b32eecfba94c9.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616248,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4304-湾里校区',0,0,NULL),(127443156504412160,'CREATE_PDF',127436642876129280,'FINISH','2021-05-18 16:16:17->开始准备创建pdf数据\n2021-05-18 16:16:36->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/7dc5d1a09f2e47d784b47fe4d7848d3c.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/399c52cbe7ed43359babcfcaf77c9648.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616290,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4311-湾里校区',0,0,NULL),(127443156554743808,'CREATE_PDF',127436642897100800,'FINISH','2021-05-18 16:16:33->开始准备创建pdf数据\n2021-05-18 16:16:55->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/da185b73044f4e21947859cb202a85f7.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/55c1724ec45c4900ae7671e1ff517172.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616302,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4404-湾里校区',0,0,NULL),(127443156714127360,'CREATE_PDF',127436642943238144,'FINISH','2021-05-18 16:16:35->开始准备创建pdf数据\n2021-05-18 16:17:05->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/aeb3083a004b4de0b6668e0a2a0ec038.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/84de37cb50994b6eac78472ed8bed7f7.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616340,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4108-湾里校区',0,0,NULL),(127443156835762176,'CREATE_PDF',127436642670608384,'FINISH','2021-05-18 16:16:36->开始准备创建pdf数据\n2021-05-18 16:17:08->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/39f486b1ef5f4bc1ad50d1ddab30f2d2.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/af3b3a59747040a7afd222690ee1d3fe.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616369,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2301-湾里校区',0,0,NULL),(127443156890288128,'CREATE_PDF',127436642687385600,'FINISH','2021-05-18 16:16:37->开始准备创建pdf数据\n2021-05-18 16:17:07->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/a6f1e9e4c068478d8531d294f9fc11cf.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/e7a6883d9f7f405da3787d21fc5960df.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616382,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2309-湾里校区',0,0,NULL),(127443157016117248,'CREATE_PDF',127436642653831168,'FINISH','2021-05-18 16:16:55->开始准备创建pdf数据\n2021-05-18 16:17:28->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/3bcd415eb1174992b6f7d1990a03cc61.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/3df51dac73394417a5bb0d335d3f2b5a.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616412,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2209-湾里校区',0,0,NULL),(127443157125169152,'CREATE_PDF',127436642960015360,'FINISH','2021-05-18 16:17:05->开始准备创建pdf数据\n2021-05-18 16:17:25->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/b9e3c8718acc4a97983c2ef73bdda082.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/cf019b07d59b4a6883f63b1131480d57.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616438,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4102-湾里校区',0,0,NULL),(127443157179695104,'CREATE_PDF',127436642976792576,'FINISH','2021-05-18 16:17:07->开始准备创建pdf数据\n2021-05-18 16:17:27->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/4ed6be7ccbb64b0499b25ea81ec5d1cd.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/be8e21cdb5004df38bea4ad589772a93.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616452,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4202-湾里校区',0,0,NULL),(127443157339078656,'CREATE_PDF',127436642913878016,'FINISH','2021-05-18 16:17:08->开始准备创建pdf数据\n2021-05-18 16:17:32->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/ecb5283a77b3436e870b1e09285a6695.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/c5f64733df1d46fb8231d9c99ea31794.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616489,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4402-湾里校区',0,0,NULL),(127443157381021696,'CREATE_PDF',127436642930655232,'FINISH','2021-05-18 16:17:25->开始准备创建pdf数据\n2021-05-18 16:17:48->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/eaefd85e03ef4fba954ee93e72d367a1.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/626ca45021cb4b649282d783e0025e80.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616499,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4409-湾里校区',0,0,NULL),(127443157481684992,'CREATE_PDF',127436642473476096,'FINISH','2021-05-18 16:17:28->开始准备创建pdf数据\n2021-05-18 16:17:55->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/027bb90aa47b4a7ea461f6f4457692f6.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/afe4bbc926164981b8077d4885b534f5.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325616524,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2210-湾里校区',0,0,NULL),(127443171490660352,'CREATE_PDF',127436643006152704,'FINISH','2021-05-18 16:17:28->开始准备创建pdf数据\n2021-05-18 16:17:57->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/8dd984755f44486d92dee621e29aa2db.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/5f93548d175c414a8624a75dcad9add8.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325619863,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4101-湾里校区',0,0,NULL),(127443171524214784,'CREATE_PDF',127436643022929920,'FINISH','2021-05-18 16:17:32->开始准备创建pdf数据\n2021-05-18 16:18:01->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/bd0b9307e73b4e91b7e6d6ff737e2b89.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/73f686d4cc3d48c09369280df738df78.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325619871,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4110-湾里校区',0,0,NULL),(127443171612295168,'CREATE_PDF',127436642418950144,'FINISH','2021-05-18 16:17:48->开始准备创建pdf数据\n2021-05-18 16:18:08->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/688d43bfc15f41688372521b55ecf80a.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/1700bcd030a746f8b16a167f47302d64.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325619892,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2101-湾里校区',0,0,NULL),(127443171645849600,'CREATE_PDF',127436642439921664,'FINISH','2021-05-18 16:17:55->开始准备创建pdf数据\n2021-05-18 16:18:16->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/fe9be6ad03174ce3baabf6cdc1ef85f3.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/8c5b193eab7b4213ab423c4de5d50744.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325619900,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2109-湾里校区',0,0,NULL),(127443171738124288,'CREATE_PDF',127436642989375488,'FINISH','2021-05-18 16:17:58->开始准备创建pdf数据\n2021-05-18 16:18:28->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/d0c65a49eb1342f9a9d0ede59441f699.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/6b3bf0ad918a4181bced053899528e72.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325619922,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4203-湾里校区',0,0,NULL),(127443171868147712,'CREATE_PDF',127436642360229888,'FINISH','2021-05-18 16:18:01->开始准备创建pdf数据\n2021-05-18 16:18:32->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/560f6fd1b234436fb179a3162806a7f9.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/85e3f066b46d464db42e4bd707e987f6.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325619953,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2402-湾里校区',0,0,NULL),(127443171905896448,'CREATE_PDF',127436642397978624,'FINISH','2021-05-18 16:18:08->开始准备创建pdf数据\n2021-05-18 16:18:39->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/2c6b58234af74c20b2b561ff76881e3f.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/a6c2dfd1e5684b7ebe803ea5ad5950eb.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621325619962,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2409-湾里校区',0,0,NULL),(127445525225013248,'EXAMINATION_IMPORT',NULL,'FINISH','2021-05-18 16:23:01->开始准备处理导入的考务数据\n2021-05-18 16:23:06->数据处理结束，共处理了1,844条数据',NULL,'SUCCESS',1,'6月1日','{\"path\":\"file/2021/05/18/19698c11a90d4b12920953542a2392cc.xls\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',NULL,'{\"path\":\"file/2021/05/18/229384ae2fa549f7b244b1e0e032d1b4.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326181037,115839683589570560,2,NULL,127436543039111168,NULL,NULL,0,0,NULL),(127445547794563072,'CREATE_PDF',127445536419610624,'FINISH','2021-05-18 16:23:06->开始准备创建pdf数据\n2021-05-18 16:23:36->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/6bad51896c3448ff9f2ddc6f7e228876.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/4499c5cd43734acba862baaf0cae1487.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186418,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2402-湾里校区',0,0,NULL),(127445547823923200,'CREATE_PDF',127445536444776448,'FINISH','2021-05-18 16:23:06->开始准备创建pdf数据\n2021-05-18 16:23:36->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/719fa4ff59ca4458b6918c21ce3ee00f.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/d6b1c05e6f834ae3b4f6f839eb314a72.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186425,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2409-湾里校区',0,0,NULL),(127445547849089024,'CREATE_PDF',127445536486719488,'FINISH','2021-05-18 16:23:06->开始准备创建pdf数据\n2021-05-18 16:23:26->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/2c1859faa9294056b67e3355eae7e4be.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/d592561a29804c08a821c1b49a9c0733.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186431,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2101-湾里校区',0,0,NULL),(127445547882643456,'CREATE_PDF',127445536507691008,'FINISH','2021-05-18 16:23:06->开始准备创建pdf数据\n2021-05-18 16:23:27->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/9a1469b5a2b54fc581102fda0a80e573.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/4c357280fdcd4250be02befb1a91eeb3.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186439,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2109-湾里校区',0,0,NULL),(127445547912003584,'CREATE_PDF',127445536520273920,'FINISH','2021-05-18 16:23:26->开始准备创建pdf数据\n2021-05-18 16:23:56->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/5d6eb021d6e7417e9540b1df38bcff74.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/9f15f52fe4114da0a2640ac16a0de72b.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186446,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2203-湾里校区',0,0,NULL),(127445547932975104,'CREATE_PDF',127445536532856832,'FINISH','2021-05-18 16:23:27->开始准备创建pdf数据\n2021-05-18 16:23:54->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/4ad402fb0e0348d19c4dd3d9d3c2ee65.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/68aedd062ada4e58bb94a72963f80185.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186452,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2210-湾里校区',0,0,NULL),(127445547962335232,'CREATE_PDF',127445536549634048,'FINISH','2021-05-18 16:23:36->开始准备创建pdf数据\n2021-05-18 16:23:56->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/2449010ce50b41d7b9d643d93e0ef748.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/0afef3cd7df94cf1879b3140e73a25bd.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186458,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2303-湾里校区',0,0,NULL),(127445547991695360,'CREATE_PDF',127445536566411264,'FINISH','2021-05-18 16:23:36->开始准备创建pdf数据\n2021-05-18 16:23:56->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/08695b9e5f344c3b9660eddd0788b18c.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/59e98b9062954e44822841dd01ff9be7.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186465,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2310-湾里校区',0,0,NULL),(127445548029444096,'CREATE_PDF',127445536578994176,'FINISH','2021-05-18 16:23:54->开始准备创建pdf数据\n2021-05-18 16:24:31->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/594814c04b004770a947f09eaa255557.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/5804093c1c82425f9f96c84886e50c6a.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186474,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2409-湾里校区',0,0,NULL),(127445548054609920,'CREATE_PDF',127445536608354304,'FINISH','2021-05-18 16:23:56->开始准备创建pdf数据\n2021-05-18 16:24:21->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/172ec0a0f011454c9c40ef228882042d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/9249a8e4131349649bcf0575f7b4f12f.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186481,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4301-湾里校区',0,0,NULL),(127445548079775744,'CREATE_PDF',127445536625131520,'FINISH','2021-05-18 16:23:56->开始准备创建pdf数据\n2021-05-18 16:24:22->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/8e9e9abb03744afaba8ce5688e5f711d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/362046f1781947f7859539ea810d8fa4.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186486,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4309-湾里校区',0,0,NULL),(127445548100747264,'CREATE_PDF',127445536637714432,'FINISH','2021-05-18 16:23:56->开始准备创建pdf数据\n2021-05-18 16:24:26->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/af026427693d468e96c91048b38ce0de.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/74be602ef73946ae83b83aa554ef4601.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186491,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4404-湾里校区',0,0,NULL),(127445548121718784,'CREATE_PDF',127445536650297344,'FINISH','2021-05-18 16:24:21->开始准备创建pdf数据\n2021-05-18 16:24:51->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/cd3b002003fb4e8b95b11e35ec47572d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/e9af49f40b034f249ac85cce28ccc6eb.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186496,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4409-湾里校区',0,0,NULL),(127445548138496000,'CREATE_PDF',127445536662880256,'FINISH','2021-05-18 16:24:22->开始准备创建pdf数据\n2021-05-18 16:24:45->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/81b8e787d8f943a8b82433f3709220af.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/a6113787bcd34a7fbdab3808a1301eaf.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186501,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2102-湾里校区',0,0,NULL),(127445548163661824,'CREATE_PDF',127445536675463168,'FINISH','2021-05-18 16:24:26->开始准备创建pdf数据\n2021-05-18 16:24:46->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/5e9d0fb13bbd47bc8f0272df4a4d8f64.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/b5dc2dda4c48420b82669d4876f0a9c3.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186506,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2110-湾里校区',0,0,NULL),(127445548184633344,'CREATE_PDF',127445536688046080,'FINISH','2021-05-18 16:24:31->开始准备创建pdf数据\n2021-05-18 16:25:05->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/5ac218d0be28415d9dc663cff6c8380d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/cd710a445d4c4ce1a3bd31b00edc9b69.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186511,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2201-湾里校区',0,0,NULL),(127445548205604864,'CREATE_PDF',127445536721600512,'FINISH','2021-05-18 16:24:45->开始准备创建pdf数据\n2021-05-18 16:25:18->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/002714cf66dd4d0498eb863a8fd9caf8.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/a362d1f2bc574fbebdb2d24464b8274c.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186516,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2209-湾里校区',0,0,NULL),(127445548226576384,'CREATE_PDF',127445536734183424,'FINISH','2021-05-18 16:24:46->开始准备创建pdf数据\n2021-05-18 16:25:19->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/e81ecc6c64e04d01815c7df363eb67b0.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/5730e2995e9446e58b14de08a193feb1.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186521,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2301-湾里校区',0,0,NULL),(127445548247547904,'CREATE_PDF',127445536746766336,'FINISH','2021-05-18 16:24:51->开始准备创建pdf数据\n2021-05-18 16:25:22->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/7f80408baac74b48b936a4dca9a585ee.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/6c85598ea3c04e5b96ea8c5d13623853.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186527,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2309-湾里校区',0,0,NULL),(127445548276908032,'CREATE_PDF',127445536759349248,'FINISH','2021-05-18 16:25:05->开始准备创建pdf数据\n2021-05-18 16:25:31->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/babd79c2616244f8bf7b0ca7a06b5c73.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/8cd02e0d139c4d4e9f38676a9bbeafc2.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186533,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2210-湾里校区',0,0,NULL),(127445548297879552,'CREATE_PDF',127445536776126464,'FINISH','2021-05-18 16:25:18->开始准备创建pdf数据\n2021-05-18 16:25:39->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/895ec7d410ea4199b67326a47ff7bbb8.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/47db343cb375483e8d0c113f7e55c768.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186538,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2110-湾里校区',0,0,NULL),(127445548323045376,'CREATE_PDF',127445536788709376,'FINISH','2021-05-18 16:25:19->开始准备创建pdf数据\n2021-05-18 16:25:39->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/f05234b2c8f046f1954ed5b85f61139d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/ccfb8da8f1c84e04882c594758b2eb9e.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186544,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2403-湾里校区',0,0,NULL),(127445548348211200,'CREATE_PDF',127445536805486592,'FINISH','2021-05-18 16:25:22->开始准备创建pdf数据\n2021-05-18 16:25:59->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/53cf7a2ce55b4feaa58995ab026efe82.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/ed98012ec1de4f248bdb222a2b362176.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186550,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2409-湾里校区',0,0,NULL),(127445548373377024,'CREATE_PDF',127445536818069504,'FINISH','2021-05-18 16:25:31->开始准备创建pdf数据\n2021-05-18 16:25:59->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/938ce92d5a744d81a030b44cc515fc2e.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/3adbc4bd8e734089b37fb26303ebc277.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186556,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2303-湾里校区',0,0,NULL),(127445548394348544,'CREATE_PDF',127445536830652416,'FINISH','2021-05-18 16:25:39->开始准备创建pdf数据\n2021-05-18 16:26:06->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/c6810cf611d84b3a8c36af6db6fb756c.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/00a6010921e84365a1ab9db27def9e63.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186561,115839683589570560,2,NULL,127436543039111168,NULL,'明志楼2411-湾里校区',0,0,NULL),(127445548415320064,'CREATE_PDF',127445536843235328,'FINISH','2021-05-18 16:25:39->开始准备创建pdf数据\n2021-05-18 16:26:08->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/97d9961c8df14329abaaadbe154a608c.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/7cfa684c539f4bc48df07ad8294d9108.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186566,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4201-湾里校区',0,0,NULL),(127445548444680192,'CREATE_PDF',127445536855818240,'FINISH','2021-05-18 16:25:59->开始准备创建pdf数据\n2021-05-18 16:26:32->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/244007a2330d4ce5920b0b78f529d70b.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/4ac5352a79224301aec248ac3cb41baa.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186573,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4202-湾里校区',0,0,NULL),(127445548465651712,'CREATE_PDF',127445536868401152,'FINISH','2021-05-18 16:25:59->开始准备创建pdf数据\n2021-05-18 16:26:21->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/c7edd4e8eabf4490a2f8ece0e5d72ff0.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/5d84ded9ab2c4a47af2d9afd27fb2adc.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186579,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4102-湾里校区',0,0,NULL),(127445548486623232,'CREATE_PDF',127445536880984064,'FINISH','2021-05-18 16:26:06->开始准备创建pdf数据\n2021-05-18 16:26:29->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/83383fe72bb04634ba26efd1f84094bc.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/3e85b20f2ed249b4932da2d5af2b3f42.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186583,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4309-湾里校区',0,0,NULL),(127445548507594752,'CREATE_PDF',127445536906149888,'FINISH','2021-05-18 16:26:08->开始准备创建pdf数据\n2021-05-18 16:26:37->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/b213a4d6610c4ef6913871ca19208fa8.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/16c7ff4f7db346b3a279011e4889a4d5.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186588,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4101-湾里校区',0,0,NULL),(127445548524371968,'CREATE_PDF',127445536918732800,'FINISH','2021-05-18 16:26:21->开始准备创建pdf数据\n2021-05-18 16:26:40->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/ed4c0e44000747e8aecad660ad37bc1a.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/41f7581d160149e3a4072cc1a80f5bc6.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186592,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4311-湾里校区',0,0,NULL),(127445548545343488,'CREATE_PDF',127445536931315712,'FINISH','2021-05-18 16:26:29->开始准备创建pdf数据\n2021-05-18 16:26:52->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/ed6cf0c673004aecb5b0886b888965ed.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/2cdb7ded68d0434b898ae974e4490b1d.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186598,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4404-湾里校区',0,0,NULL),(127445548566315008,'CREATE_PDF',127445536943898624,'FINISH','2021-05-18 16:26:32->开始准备创建pdf数据\n2021-05-18 16:26:55->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/05734b333ed74c5c86fa6bf27fcf53b2.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/a028022e45e446df99241729d35da778.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186602,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4402-湾里校区',0,0,NULL),(127445548587286528,'CREATE_PDF',127445536956481536,'FINISH','2021-05-18 16:26:37->开始准备创建pdf数据\n2021-05-18 16:26:59->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/c0081ffc097a4bc3b5bad3fd8f9e5576.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/c517cd81c15947eda2c33eae8e47715c.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186607,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4409-湾里校区',0,0,NULL),(127445548608258048,'CREATE_PDF',127445536964870144,'FINISH','2021-05-18 16:26:40->开始准备创建pdf数据\n2021-05-18 16:27:10->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/0c18416b8a2346e9b6a41607f6ca200d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/d41f7b28f19d4f0f912684129ddbbd1f.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186612,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4108-湾里校区',0,0,NULL),(127445548629229568,'CREATE_PDF',127445536994230272,'FINISH','2021-05-18 16:26:52->开始准备创建pdf数据\n2021-05-18 16:27:12->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/9e17df5d97004c26acfccf1be752faec.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/1cb904ff3a2e45a29e195eaf5e8ae823.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186617,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4102-湾里校区',0,0,NULL),(127445548650201088,'CREATE_PDF',127445537006813184,'FINISH','2021-05-18 16:26:55->开始准备创建pdf数据\n2021-05-18 16:27:15->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/325659db3c93462c938108df9c2b08d9.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/546efc4f16c545508ca568eec1eab430.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186622,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4202-湾里校区',0,0,NULL),(127445548666978304,'CREATE_PDF',127445537019396096,'FINISH','2021-05-18 16:26:59->开始准备创建pdf数据\n2021-05-18 16:27:29->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/a2fd9ebf149d4c5cb3698450e57aa2af.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/a2ec3f3db6064dc8b268685b7dad6e81.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186626,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4203-湾里校区',0,0,NULL),(127445548683755520,'CREATE_PDF',127445537031979008,'FINISH','2021-05-18 16:27:10->开始准备创建pdf数据\n2021-05-18 16:27:40->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/a7b664b1290043ec8a2230e71eadd00e.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/fdd92e0f4af04ba79f9e0ab24c389268.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186630,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4101-湾里校区',0,0,NULL),(127445548700532736,'CREATE_PDF',127445537044561920,'FINISH','2021-05-18 16:27:12->开始准备创建pdf数据\n2021-05-18 16:27:41->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/3949f1b46084471aa5177ddb530089ae.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/b54124e454b94b9fb4fd4f87d8d3d421.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186634,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4110-湾里校区',0,0,NULL),(127445548721504256,'CREATE_PDF',127445537057144832,'FINISH','2021-05-18 16:27:15->开始准备创建pdf数据\n2021-05-18 16:27:46->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/8ce784ee50154ed18c11ab016554a198.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/39df29b09c654a818cad1d8b3c7b576a.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186639,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4201-湾里校区',0,0,NULL),(127445548742475776,'CREATE_PDF',127445537069727744,'FINISH','2021-05-18 16:27:29->开始准备创建pdf数据\n2021-05-18 16:27:51->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/bb241f5f1ea0438b8dac646aed70d11c.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/398a3275b4f9400aa82461dfaa3e8033.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186645,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4402-湾里校区',0,0,NULL),(127445548763447296,'CREATE_PDF',127445537099087872,'FINISH','2021-05-18 16:27:40->开始准备创建pdf数据\n2021-05-18 16:28:02->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/9a24112800314b9a9b7bc883ed724dce.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/a1e724b7968a453094811fea10c2ebd6.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186649,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4406-湾里校区',0,0,NULL),(127445548784418816,'CREATE_PDF',127445537111670784,'FINISH','2021-05-18 16:27:41->开始准备创建pdf数据\n2021-05-18 16:28:06->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/77194090f4b2401382ed13c72481629f.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/503ef11b362840f6a7b45f5e5c0c2574.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186654,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4301-湾里校区',0,0,NULL),(127445548805390336,'CREATE_PDF',127445537124253696,'FINISH','2021-05-18 16:27:46->开始准备创建pdf数据\n2021-05-18 16:28:12->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/18/9a92cf1b36814552904fcbd84ea09a78.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/18/208db856658c4c7dbc0692fe3b050c61.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621326186659,115839683589570560,2,NULL,127436543039111168,NULL,'知行楼4304-湾里校区',0,0,NULL),(127458888411774976,'EXAMINATION_IMPORT',NULL,'FINISH','2021-05-18 17:16:07->开始准备处理导入的考务数据\n2021-05-18 17:16:09->数据处理发生异常!错误信息:要导入的考务数据的试卷编号在命题任务中已存在,但该试卷编号对应的考务数据课程代码和命题任务中的课程代码不匹配  [试卷编号] ： bh20',NULL,'ERROR',1,'考务数据模板 (5)','{\"path\":\"file/2021/05/18/ea08594774364b59a419b207d3d2bcaa.xlsx\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',NULL,'{\"path\":\"file/2021/05/18/368af631bc214e249951a39594878a2f.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621329367069,115839683589570560,2,NULL,127436543039111168,NULL,NULL,0,0,NULL),(127459995838054400,'EXAMINATION_IMPORT',NULL,'FINISH','2021-05-18 17:20:31->开始准备处理导入的考务数据\n2021-05-18 17:20:36->数据处理发生异常!错误信息:null',NULL,'ERROR',1,'36 5000课次','{\"path\":\"file/2021/05/18/aa86aef0d60047009e46667689807b85.xlsx\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',NULL,'{\"path\":\"file/2021/05/18/7751db1ceec44435b0d51e52c664bb8f.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621329631100,115839683589570560,2,NULL,127436543039111168,NULL,NULL,0,0,NULL),(127460632541790208,'EXAMINATION_IMPORT',NULL,'FINISH','2021-05-18 17:23:03->开始准备处理导入的考务数据\n2021-05-18 17:23:07->数据处理发生异常!错误信息:null',NULL,'ERROR',1,'36 5000课次','{\"path\":\"file/2021/05/18/f169875828a24caf93df360caca3f806.xlsx\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',NULL,'{\"path\":\"file/2021/05/18/318a5167eb4f4fa99a60cc1881defd0f.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621329782902,115839683589570560,2,NULL,127436543039111168,NULL,NULL,0,0,NULL),(127462897965072384,'EXAMINATION_IMPORT',NULL,'FINISH','2021-05-18 17:32:03->开始准备处理导入的考务数据\n2021-05-18 17:33:42->数据处理发生异常!错误信息:null',NULL,'ERROR',1,'36 5000课次','{\"path\":\"file/2021/05/18/446d4def2fc74b2497844208827caae9.xlsx\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',NULL,'{\"path\":\"file/2021/05/18/492757f4ea064bcf89525d76c4ddc032.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621330323021,115839683589570560,2,NULL,127462733871316992,NULL,NULL,0,0,NULL),(127463396470685696,'EXAMINATION_IMPORT',NULL,'FINISH','2021-05-18 17:34:02->开始准备处理导入的考务数据\n2021-05-18 17:36:51->数据处理发生异常!错误信息:null',NULL,'ERROR',1,'36 5000课次','{\"path\":\"file/2021/05/18/5e15333add7f4870969460f47ef5200e.xlsx\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',NULL,'{\"path\":\"file/2021/05/18/7f7a94d91a73490f8bbbfa3e6a21c467.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621330441874,115839683589570560,2,NULL,127462733871316992,NULL,NULL,0,0,NULL),(127720638109450240,'EXAMINATION_IMPORT',NULL,'FINISH','2021-05-19 10:36:13->开始准备处理导入的考务数据\n2021-05-19 10:36:23->数据处理结束，共处理了5,078条数据',NULL,'SUCCESS',1,'36 5000课次','{\"path\":\"file/2021/05/19/9a72b53c2b5f44189119f5aae0eca0fc.xlsx\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',NULL,'{\"path\":\"file/2021/05/19/1dd855ab9a1a4836b1108a5cc028a5c4.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391773060,115839683589570560,2,NULL,127462733871316992,NULL,NULL,0,0,NULL),(127720678974554112,'CREATE_PDF',127720653477380096,'FINISH','2021-05-19 10:36:22->开始准备创建pdf数据\n2021-05-19 10:36:38->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/8b516e88381948c691603c563a293ae9.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/408e3bd01e174593a8f432d3937c63a7.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782803,115839683589570560,2,NULL,127462733871316992,NULL,'考场01-考点01',0,0,NULL),(127720678999719936,'CREATE_PDF',127720653489963008,'FINISH','2021-05-19 10:36:38->开始准备创建pdf数据\n2021-05-19 10:36:41->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/e3792919821c42089f9c7dc0bac70ca9.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/cecf6997738f4a9bb0c5f742197c5f20.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782810,115839683589570560,2,NULL,127462733871316992,NULL,'考场02-考点02',0,0,NULL),(127720679024885760,'CREATE_PDF',127720653498351616,'FINISH','2021-05-19 10:36:41->开始准备创建pdf数据\n2021-05-19 10:36:44->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/c130f83e3f6d4d4a8cf389c3801ad460.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/75c5bed550b24187a6a823ccefbab5d0.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782815,115839683589570560,2,NULL,127462733871316992,NULL,'考场03-考点03',0,0,NULL),(127720679050051584,'CREATE_PDF',127720653510934528,'FINISH','2021-05-19 10:36:44->开始准备创建pdf数据\n2021-05-19 10:36:47->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/94bc116e13bf40459766c4208d021886.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/37502d8b4a584053bea19b24a432fec2.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782821,115839683589570560,2,NULL,127462733871316992,NULL,'考场04-考点04',0,0,NULL),(127720679071023104,'CREATE_PDF',127720653519323136,'FINISH','2021-05-19 10:36:47->开始准备创建pdf数据\n2021-05-19 10:36:54->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/1dd5f974516b470c8c97e3b31ee314b9.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/be3f062d517a47bca30a07bb65a79ec5.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782826,115839683589570560,2,NULL,127462733871316992,NULL,'考场05-考点05',0,0,NULL),(127720679100383232,'CREATE_PDF',127720653531906048,'FINISH','2021-05-19 10:36:55->开始准备创建pdf数据\n2021-05-19 10:36:57->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/5f4297c416d74ee4b473c1e278a92da4.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/e4d855d750914223b9484b3af0a9568a.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782833,115839683589570560,2,NULL,127462733871316992,NULL,'考场06-考点06',0,0,NULL),(127720679129743360,'CREATE_PDF',127720653540294656,'FINISH','2021-05-19 10:36:57->开始准备创建pdf数据\n2021-05-19 10:37:00->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/0b4136f2bfd14502aebd5ddd184f441c.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/c688ecc4597746838520abcc2116e5d3.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782840,115839683589570560,2,NULL,127462733871316992,NULL,'考场07-考点07',0,0,NULL),(127720679163297792,'CREATE_PDF',127720653548683264,'FINISH','2021-05-19 10:37:00->开始准备创建pdf数据\n2021-05-19 10:37:03->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/e05996e8915142dda6241a8a42670a63.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/cdd57c9224854dd09293a86661e76f49.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782848,115839683589570560,2,NULL,127462733871316992,NULL,'考场08-考点08',0,0,NULL),(127720679188463616,'CREATE_PDF',127720653565460480,'FINISH','2021-05-19 10:37:03->开始准备创建pdf数据\n2021-05-19 10:37:06->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/e17ebc1d2a864befbd00622db67c8867.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/0a881d3a11774a958d2d1989c2f9cdef.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782855,115839683589570560,2,NULL,127462733871316992,NULL,'考场09-考点09',0,0,NULL),(127720679213629440,'CREATE_PDF',127720653573849088,'FINISH','2021-05-19 10:37:06->开始准备创建pdf数据\n2021-05-19 10:37:09->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/12af0a46b544403f9fce37daa45342fd.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/7f7c163d3c3e4b97b8db7860c15280c8.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782860,115839683589570560,2,NULL,127462733871316992,NULL,'考场10-考点10',0,0,NULL),(127720679234600960,'CREATE_PDF',127720653586432000,'FINISH','2021-05-19 10:37:09->开始准备创建pdf数据\n2021-05-19 10:37:48->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/84a26300183a47d585cc1cb871e8e262.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/7518fd9107c64a65abafafe0ac270dbf.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782865,115839683589570560,2,NULL,127462733871316992,NULL,'考场11-考点11',0,0,NULL),(127720679259766784,'CREATE_PDF',127720653594820608,'FINISH','2021-05-19 10:37:48->开始准备创建pdf数据\n2021-05-19 10:38:40->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/162fba5546fa40509b00115dfc25462f.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/f14e099ef7dc4c71bf6ef27fc6764cd3.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782871,115839683589570560,2,NULL,127462733871316992,NULL,'考场12-考点11',0,0,NULL),(127720679284932608,'CREATE_PDF',127720653607403520,'FINISH','2021-05-19 10:38:40->开始准备创建pdf数据\n2021-05-19 10:39:21->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/59bc4945cf9b46698460898caf812f88.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/8af9f0e1ed3441d2b11a4d73c82450c9.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782877,115839683589570560,2,NULL,127462733871316992,NULL,'考场13-考点11',0,0,NULL),(127720679310098432,'CREATE_PDF',127720653615792128,'FINISH','2021-05-19 10:39:21->开始准备创建pdf数据\n2021-05-19 10:40:33->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/eac355fdf1ad4ab786337d5105df43a6.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/5059c51765df44d885f98ea8c1c672b9.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782883,115839683589570560,2,NULL,127462733871316992,NULL,'考场14-考点11',0,0,NULL),(127720679335264256,'CREATE_PDF',127720653628375040,'FINISH','2021-05-19 10:40:33->开始准备创建pdf数据\n2021-05-19 10:41:16->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/9b14efe17ab7483cbc439fee739229ba.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/a44754bbc045445aa614f2fb9c2323c6.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782889,115839683589570560,2,NULL,127462733871316992,NULL,'考场15-考点11',0,0,NULL),(127720679360430080,'CREATE_PDF',127720653636763648,'FINISH','2021-05-19 10:41:16->开始准备创建pdf数据\n2021-05-19 10:42:43->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/927f1d723b764236b31306d08bf037ba.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/8d446c035a5a4f288c7d76e0c2e5641f.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782895,115839683589570560,2,NULL,127462733871316992,NULL,'考场16-考点11',0,0,NULL),(127720679381401600,'CREATE_PDF',127720653645152256,'FINISH','2021-05-19 10:42:43->开始准备创建pdf数据\n2021-05-19 10:43:15->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/17c806c957d1465da4885089a12ff95a.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/fe0a5b4ff84d46f1b9a05e02a5ef930a.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782900,115839683589570560,2,NULL,127462733871316992,NULL,'考场17-考点11',0,0,NULL),(127720679406567424,'CREATE_PDF',127720653653540864,'FINISH','2021-05-19 10:43:15->开始准备创建pdf数据\n2021-05-19 10:44:24->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/81e841f0afad425db9cb7aeaa6cc33fb.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/4048a72ed8c549ebb336abd5a695ddcd.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782906,115839683589570560,2,NULL,127462733871316992,NULL,'考场18-考点11',0,0,NULL),(127720679431733248,'CREATE_PDF',127720653666123776,'FINISH','2021-05-19 10:44:24->开始准备创建pdf数据\n2021-05-19 10:44:56->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/ae2e4a2d17dc4deca13de1c31d15a07b.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/488c4ad03c1749b5869c9ff6d3cde262.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782912,115839683589570560,2,NULL,127462733871316992,NULL,'考场19-考点11',0,0,NULL),(127720679456899072,'CREATE_PDF',127720653674512384,'FINISH','2021-05-19 10:44:56->开始准备创建pdf数据\n2021-05-19 10:45:56->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/97a3722dd17f45e5848ef288ddb08d86.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/2626b03aa7864abeb8602b51dd80751a.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782918,115839683589570560,2,NULL,127462733871316992,NULL,'考场20-考点11',0,0,NULL),(127720679477870592,'CREATE_PDF',127720653682900992,'FINISH','2021-05-19 10:45:56->开始准备创建pdf数据\n2021-05-19 10:46:31->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/33108312b3944637b8c7a3e7b9ab72e0.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/c8812dd5558a401fa7a5b5ad2e48bdc8.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782923,115839683589570560,2,NULL,127462733871316992,NULL,'考场21-考点11',0,0,NULL),(127720679498842112,'CREATE_PDF',127720653691289600,'FINISH','2021-05-19 10:46:31->开始准备创建pdf数据\n2021-05-19 10:47:13->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/1e2c32060e9d4aa6bfe0581160978c6e.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/fbe7e2e627cc4b5b9497ad9ee7b3df64.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782929,115839683589570560,2,NULL,127462733871316992,NULL,'考场22-考点11',0,0,NULL),(127720679524007936,'CREATE_PDF',127720653699678208,'FINISH','2021-05-19 10:47:13->开始准备创建pdf数据\n2021-05-19 10:47:39->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/9db885518fc248d99556e7708bf70055.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/8fc63b71695540fdb6fc3ed034df7b8f.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782934,115839683589570560,2,NULL,127462733871316992,NULL,'考场23-考点11',0,0,NULL),(127720679544979456,'CREATE_PDF',127720653708066816,'FINISH','2021-05-19 10:47:39->开始准备创建pdf数据\n2021-05-19 10:48:30->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/ac5dd79f357a4859a785f9e898fa2688.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/6c8316dabefd41dbb0bc7c782716ba29.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782939,115839683589570560,2,NULL,127462733871316992,NULL,'考场24-考点11',0,0,NULL),(127720679565950976,'CREATE_PDF',127720653716455424,'FINISH','2021-05-19 10:48:30->开始准备创建pdf数据\n2021-05-19 10:49:33->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/83613141c8d34ca396bf4f3eeb735532.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/ae5c0a4e80e04dbea0501e3451ce5b36.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782945,115839683589570560,2,NULL,127462733871316992,NULL,'考场25-考点11',0,0,NULL),(127720679586922496,'CREATE_PDF',127720653729038336,'FINISH','2021-05-19 10:49:33->开始准备创建pdf数据\n2021-05-19 10:50:32->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/d96cda0117ed427e969433e8f1b9a813.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/1043d97130db4c71a1ddd5d6ace973d3.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782950,115839683589570560,2,NULL,127462733871316992,NULL,'考场26-考点11',0,0,NULL),(127720679641448448,'CREATE_PDF',127720653737426944,'FINISH','2021-05-19 10:50:32->开始准备创建pdf数据\n2021-05-19 10:51:01->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/4e502ac0b868485ea188eb3b75b70a50.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/3e3088327b18493c812369012b687551.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782963,115839683589570560,2,NULL,127462733871316992,NULL,'考场27-考点11',0,0,NULL),(127720679666614272,'CREATE_PDF',127720653745815552,'FINISH','2021-05-19 10:51:01->开始准备创建pdf数据\n2021-05-19 10:51:25->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/c1a037d9d7104eb1b8b57dcbfe44bdc9.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/45638ac8290e467f8b657d546efe3e3a.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782968,115839683589570560,2,NULL,127462733871316992,NULL,'考场28-考点11',0,0,NULL),(127720679725334528,'CREATE_PDF',127720653754204160,'FINISH','2021-05-19 10:51:25->开始准备创建pdf数据\n2021-05-19 10:52:52->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/291fcf5d2d634a49879ef22b4fbd995a.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/0e21dc107994483eb6f1b2db0a169508.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782982,115839683589570560,2,NULL,127462733871316992,NULL,'考场29-考点11',0,0,NULL),(127720679750500352,'CREATE_PDF',127720653762592768,'FINISH','2021-05-19 10:52:52->开始准备创建pdf数据\n2021-05-19 10:53:52->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/b250e620b6e94068bdd25be3ff623fa7.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/f4429e54b9d440159c26d94ceabac307.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782988,115839683589570560,2,NULL,127462733871316992,NULL,'考场30-考点11',0,0,NULL),(127720679771471872,'CREATE_PDF',127720653775175680,'FINISH','2021-05-19 10:53:52->开始准备创建pdf数据\n2021-05-19 10:55:15->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/678bbe196094487faf960a1d1e2c8d9e.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/ee6891b6b6a74f4c82c149252a74c9aa.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782993,115839683589570560,2,NULL,127462733871316992,NULL,'考场31-考点11',0,0,NULL),(127720679792443392,'CREATE_PDF',127720653783564288,'FINISH','2021-05-19 10:55:15->开始准备创建pdf数据\n2021-05-19 10:57:38->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/1c3c12b2b80b4274bfd983a31e47aa46.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/63b703aba94546a3b0b8644fd8ef13a8.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391782998,115839683589570560,2,NULL,127462733871316992,NULL,'考场32-考点11',0,0,NULL),(127720679817609216,'CREATE_PDF',127720653791952896,'FINISH','2021-05-19 10:57:38->开始准备创建pdf数据\n2021-05-19 10:59:37->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/735a4f629b9644c3b2dd2ce8c7156f3b.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/56f1e6c521354531937b58c411870af4.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783004,115839683589570560,2,NULL,127462733871316992,NULL,'考场33-考点11',0,0,NULL),(127720679842775040,'CREATE_PDF',127720653800341504,'FINISH','2021-05-19 10:59:37->开始准备创建pdf数据\n2021-05-19 11:00:48->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/903a30c84c504ff0b832914d83b7606f.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/fe46c7c510fa458ea7f4eecef572e8d0.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783010,115839683589570560,2,NULL,127462733871316992,NULL,'考场34-考点11',0,0,NULL),(127720679867940864,'CREATE_PDF',127720653808730112,'FINISH','2021-05-19 11:00:48->开始准备创建pdf数据\n2021-05-19 11:01:09->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/75552bf019dd408b844cfe7f060c35fc.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/a40d6813e7d44f5bbb9beec8b31b813c.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783016,115839683589570560,2,NULL,127462733871316992,NULL,'考场35-考点11',0,0,NULL),(127720679888912384,'CREATE_PDF',127720653817118720,'FINISH','2021-05-19 11:01:09->开始准备创建pdf数据\n2021-05-19 11:01:36->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/07c0590f213f472cb06bf644842df617.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/c6fe04396a204efc93850632727a266d.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783021,115839683589570560,2,NULL,127462733871316992,NULL,'考场36-考点11',0,0,NULL),(127720679909883904,'CREATE_PDF',127720653829701632,'FINISH','2021-05-19 11:01:36->开始准备创建pdf数据\n2021-05-19 11:02:02->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/fb3233118ea249949bf0b5afd55bb50d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/efbbcef995ba4efe8f67564e80e90cfd.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783027,115839683589570560,2,NULL,127462733871316992,NULL,'考场37-考点11',0,0,NULL),(127720679935049728,'CREATE_PDF',127720653838090240,'FINISH','2021-05-19 11:02:02->开始准备创建pdf数据\n2021-05-19 11:02:53->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/986d1c66f4e04fec9881582392774e91.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/f9de1b19060b4943b11285dc20c38897.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783032,115839683589570560,2,NULL,127462733871316992,NULL,'考场38-考点11',0,0,NULL),(127720679956021248,'CREATE_PDF',127720653846478848,'FINISH','2021-05-19 11:02:53->开始准备创建pdf数据\n2021-05-19 11:03:25->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/47cac1ce685a48f0bf0bde492f507865.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/cc787747c05e45f0b0f29d543838d38e.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783037,115839683589570560,2,NULL,127462733871316992,NULL,'考场39-考点11',0,0,NULL),(127720679976992768,'CREATE_PDF',127720653854867456,'FINISH','2021-05-19 11:03:25->开始准备创建pdf数据\n2021-05-19 11:03:42->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/e108b5ea095448889a2d1f5856573ea3.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/6ab72e76e2f94c2f881dce2a8cc450ff.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783042,115839683589570560,2,NULL,127462733871316992,NULL,'考场40-考点11',0,0,NULL),(127720679997964288,'CREATE_PDF',127720653867450368,'FINISH','2021-05-19 11:03:42->开始准备创建pdf数据\n2021-05-19 11:04:06->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/14b8d92fa1c44b9581060a4f07f7561a.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/61a5f114b45c45f4a3be66eb22e163a0.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783047,115839683589570560,2,NULL,127462733871316992,NULL,'考场41-考点11',0,0,NULL),(127720680023130112,'CREATE_PDF',127720653875838976,'FINISH','2021-05-19 11:04:06->开始准备创建pdf数据\n2021-05-19 11:04:36->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/c25c6926e8094d53a1c5d6ad43884767.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/4597113a238e4860828587aa7195511e.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783053,115839683589570560,2,NULL,127462733871316992,NULL,'考场42-考点11',0,0,NULL),(127720680044101632,'CREATE_PDF',127720653884227584,'FINISH','2021-05-19 11:04:36->开始准备创建pdf数据\n2021-05-19 11:05:14->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/cad1daf5bb2a485c92484863ad4fdae5.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/c7821ceae9d04c9a8a68b4303be4677f.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783059,115839683589570560,2,NULL,127462733871316992,NULL,'考场43-考点11',0,0,NULL),(127720680069267456,'CREATE_PDF',127720653892616192,'FINISH','2021-05-19 11:05:14->开始准备创建pdf数据\n2021-05-19 11:06:00->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/434003912ae84768ac866091dc0b0266.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/7b088ec9217a4f549267645bc0d5fecf.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783064,115839683589570560,2,NULL,127462733871316992,NULL,'考场44-考点11',0,0,NULL),(127720680094433280,'CREATE_PDF',127720653901004800,'FINISH','2021-05-19 11:06:00->开始准备创建pdf数据\n2021-05-19 11:06:32->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/7aaff276043d4732949e63246d5fb06d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/0d9084576541487d953248e2ca41d4f0.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783070,115839683589570560,2,NULL,127462733871316992,NULL,'考场45-考点11',0,0,NULL),(127720680115404800,'CREATE_PDF',127720653909393408,'FINISH','2021-05-19 11:06:32->开始准备创建pdf数据\n2021-05-19 11:07:43->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/230ef38dbcec47afa1295420039707e3.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/5723f7dc6208475e84ba5e1d78473c98.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783076,115839683589570560,2,NULL,127462733871316992,NULL,'考场46-考点11',0,0,NULL),(127720680140570624,'CREATE_PDF',127720653917782016,'FINISH','2021-05-19 11:07:43->开始准备创建pdf数据\n2021-05-19 11:08:38->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/83b196cf8ca3499a91a6f34bfb087b4e.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/38ec9ce23e9247e58ac5ba5395808a51.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783081,115839683589570560,2,NULL,127462733871316992,NULL,'考场47-考点11',0,0,NULL),(127720680161542144,'CREATE_PDF',127720653930364928,'FINISH','2021-05-19 11:08:38->开始准备创建pdf数据\n2021-05-19 11:09:18->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/eda4bd9382b34c87bd674576211dd320.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/4b3d8d7ed5e047b5b62a62b11060f2bf.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783087,115839683589570560,2,NULL,127462733871316992,NULL,'考场48-考点11',0,0,NULL),(127720680186707968,'CREATE_PDF',127720653942947840,'FINISH','2021-05-19 11:09:18->开始准备创建pdf数据\n2021-05-19 11:09:41->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/5e8351f93d0446aeae5f2f1b66336b31.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/ec637b0974fa465dade52de5265e43df.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783092,115839683589570560,2,NULL,127462733871316992,NULL,'考场49-考点11',0,0,NULL),(127720680207679488,'CREATE_PDF',127720653951336448,'FINISH','2021-05-19 11:09:41->开始准备创建pdf数据\n2021-05-19 11:10:20->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/e02be94fee964d31948d4455beb97d8c.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/f609347de54a4c1e806e8748072edff3.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783097,115839683589570560,2,NULL,127462733871316992,NULL,'考场50-考点11',0,0,NULL),(127720680228651008,'CREATE_PDF',127720653959725056,'FINISH','2021-05-19 11:10:20->开始准备创建pdf数据\n2021-05-19 11:11:08->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/70cf53aa3768466986bb883ef99dee64.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/511b15bb65a444cea01bbbf10c101718.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783102,115839683589570560,2,NULL,127462733871316992,NULL,'考场51-考点11',0,0,NULL),(127720680253816832,'CREATE_PDF',127720653968113664,'FINISH','2021-05-19 11:11:08->开始准备创建pdf数据\n2021-05-19 11:12:05->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/d6d887fabe4540f99605d49e3d5f741b.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/b522e974c1d94ec28cea80809f308dc6.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783108,115839683589570560,2,NULL,127462733871316992,NULL,'考场52-考点11',0,0,NULL),(127720680274788352,'CREATE_PDF',127720653976502272,'FINISH','2021-05-19 11:12:05->开始准备创建pdf数据\n2021-05-19 11:12:57->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/70dceaf1afca455590bfc4d973087d3a.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/e1e1205ff42b47a6a3b258807b927e9a.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783113,115839683589570560,2,NULL,127462733871316992,NULL,'考场53-考点11',0,0,NULL),(127720680295759872,'CREATE_PDF',127720653984890880,'FINISH','2021-05-19 11:12:57->开始准备创建pdf数据\n2021-05-19 11:13:54->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/a2594accf1b949af8b8adc36dc6464ba.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/37af795935de4ad1b5bde35e29edb1b4.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783118,115839683589570560,2,NULL,127462733871316992,NULL,'考场54-考点11',0,0,NULL),(127720680316731392,'CREATE_PDF',127720653993279488,'FINISH','2021-05-19 11:13:54->开始准备创建pdf数据\n2021-05-19 11:15:01->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/7fe03470a38a4e9d973c77b00b13dc73.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/e459b7137cf04f74ba169f4ed9aecd2d.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783123,115839683589570560,2,NULL,127462733871316992,NULL,'考场55-考点11',0,0,NULL),(127720680337702912,'CREATE_PDF',127720654005862400,'FINISH','2021-05-19 11:15:01->开始准备创建pdf数据\n2021-05-19 11:15:38->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/1400864fe56249f18bb2c90161934a39.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/edc51f8040de4395b891fc041907d827.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783128,115839683589570560,2,NULL,127462733871316992,NULL,'考场56-考点11',0,0,NULL),(127720680358674432,'CREATE_PDF',127720654014251008,'FINISH','2021-05-19 11:15:38->开始准备创建pdf数据\n2021-05-19 11:16:31->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/ea7be4e42dec4de995186cdcf9b4bf78.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/99a0d019d5604507a6a7e83f9854a566.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783133,115839683589570560,2,NULL,127462733871316992,NULL,'考场57-考点11',0,0,NULL),(127720680379645952,'CREATE_PDF',127720654022639616,'FINISH','2021-05-19 11:16:31->开始准备创建pdf数据\n2021-05-19 11:17:21->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/f3da0dc29174440d91b772a1aafdd9c9.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/68c4949b4d8a41e9be92af83b4d23eec.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783138,115839683589570560,2,NULL,127462733871316992,NULL,'考场58-考点11',0,0,NULL),(127720680442560512,'CREATE_PDF',127720654031028224,'FINISH','2021-05-19 11:17:21->开始准备创建pdf数据\n2021-05-19 11:18:06->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/62adb5e90da0470484bb26207d2de742.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/4aaa790e249b4dfe99b0fbc0457f4df8.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783153,115839683589570560,2,NULL,127462733871316992,NULL,'考场59-考点11',0,0,NULL),(127720680463532032,'CREATE_PDF',127720654039416832,'FINISH','2021-05-19 11:18:06->开始准备创建pdf数据\n2021-05-19 11:19:06->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/fbfb4bfad5764fbbb492dc79fb20d17b.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/b72347b623774a90aec3b2def498b578.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783158,115839683589570560,2,NULL,127462733871316992,NULL,'考场60-考点11',0,0,NULL),(127720680480309248,'CREATE_PDF',127720654047805440,'FINISH','2021-05-19 11:19:06->开始准备创建pdf数据\n2021-05-19 11:19:57->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/50e6f1ee7e1b45a58313d994e5a70fca.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/96e22bb924de4a69a585a3c54064e663.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783162,115839683589570560,2,NULL,127462733871316992,NULL,'考场61-考点11',0,0,NULL),(127720680501280768,'CREATE_PDF',127720654068776960,'FINISH','2021-05-19 11:19:57->开始准备创建pdf数据\n2021-05-19 11:21:02->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/497041f6377e4058ad06e73581d3c112.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/232448cf1768405684b994f36e47a1de.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783167,115839683589570560,2,NULL,127462733871316992,NULL,'考场62-考点11',0,0,NULL),(127720680522252288,'CREATE_PDF',127720654077165568,'FINISH','2021-05-19 11:21:02->开始准备创建pdf数据\n2021-05-19 11:21:53->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/5e2045155ecc4a4981ea35bd64153dd9.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/d4ce57ba0dba494e9c195f6877a59926.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783172,115839683589570560,2,NULL,127462733871316992,NULL,'考场63-考点11',0,0,NULL),(127720680543223808,'CREATE_PDF',127720654089748480,'FINISH','2021-05-19 11:21:53->开始准备创建pdf数据\n2021-05-19 11:23:06->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/3cceefddb5404397b917421561e5596f.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/73b2a0439a204b889006058e7eb15603.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783177,115839683589570560,2,NULL,127462733871316992,NULL,'考场64-考点11',0,0,NULL),(127720680564195328,'CREATE_PDF',127720654098137088,'FINISH','2021-05-19 11:23:06->开始准备创建pdf数据\n2021-05-19 11:23:45->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/1c05f69b56d2400eae85bec14dbd6477.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/9e76e7e093c64a78874af60d055d88ac.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783182,115839683589570560,2,NULL,127462733871316992,NULL,'考场65-考点11',0,0,NULL),(127720680580972544,'CREATE_PDF',127720654106525696,'FINISH','2021-05-19 11:23:45->开始准备创建pdf数据\n2021-05-19 11:24:32->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/3648f1edfa05441a98cdfaf99b5ff5e3.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/da2285feb1d94c079bd81ba3a4de4c88.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783186,115839683589570560,2,NULL,127462733871316992,NULL,'考场66-考点11',0,0,NULL),(127720680601944064,'CREATE_PDF',127720654114914304,'FINISH','2021-05-19 11:24:32->开始准备创建pdf数据\n2021-05-19 11:25:27->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/1848127e36c940a9a0a26ebc6eaf25a7.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/e55fadc876354c739187ded703f78156.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783191,115839683589570560,2,NULL,127462733871316992,NULL,'考场67-考点11',0,0,NULL),(127720680622915584,'CREATE_PDF',127720654123302912,'FINISH','2021-05-19 11:25:27->开始准备创建pdf数据\n2021-05-19 11:26:22->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/16acb3217d814a558b835208cdb19ebb.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/64ccdde9dd3b4cc39e2e3424b26d2c28.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783196,115839683589570560,2,NULL,127462733871316992,NULL,'考场68-考点11',0,0,NULL),(127720680643887104,'CREATE_PDF',127720654131691520,'FINISH','2021-05-19 11:26:22->开始准备创建pdf数据\n2021-05-19 11:27:56->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/1a714c92123b4c41a02eedf00bd21eac.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/567b3c93e3854432bebd079f89e1a7b5.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783201,115839683589570560,2,NULL,127462733871316992,NULL,'考场69-考点11',0,0,NULL),(127720680664858624,'CREATE_PDF',127720654140080128,'FINISH','2021-05-19 11:27:56->开始准备创建pdf数据\n2021-05-19 11:29:14->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/d77030b2fdee441eb76cf6225dc9bb9d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/cc9790749b214c99a60c6705e15c0346.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783206,115839683589570560,2,NULL,127462733871316992,NULL,'考场70-考点11',0,0,NULL),(127720680685830144,'CREATE_PDF',127720654152663040,'FINISH','2021-05-19 11:29:14->开始准备创建pdf数据\n2021-05-19 11:30:04->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/d2d68dd35581416f83852ffedd1ef637.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/c54f90d3bab14bfeb5fbd3cc603cab6b.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783211,115839683589570560,2,NULL,127462733871316992,NULL,'考场71-考点11',0,0,NULL),(127720680706801664,'CREATE_PDF',127720654161051648,'FINISH','2021-05-19 11:30:04->开始准备创建pdf数据\n2021-05-19 11:30:56->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/d3600483bc9e4a02b8935cdef034046d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/1aa4602e706844598b420f4c0172a1d0.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783216,115839683589570560,2,NULL,127462733871316992,NULL,'考场72-考点11',0,0,NULL),(127720680727773184,'CREATE_PDF',127720654169440256,'FINISH','2021-05-19 11:30:56->开始准备创建pdf数据\n2021-05-19 11:31:37->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/5df9f58528d54b15931d168ff0ccb71f.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/c9594db9395941dbbdc0145a40855c63.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783221,115839683589570560,2,NULL,127462733871316992,NULL,'考场73-考点11',0,0,NULL),(127720680744550400,'CREATE_PDF',127720654177828864,'FINISH','2021-05-19 11:31:37->开始准备创建pdf数据\n2021-05-19 11:32:18->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/0899481544ae418bbe9f3a5073f4cbb4.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/26b3e9fbea39419ebd558202547ed128.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621391783225,115839683589570560,2,NULL,127462733871316992,NULL,'考场74-考点11',0,0,NULL),(127770579167084544,'EXAMINATION_IMPORT',NULL,'FINISH','2021-05-19 13:54:40->开始准备处理导入的考务数据\n2021-05-19 13:54:49->数据处理结束，共处理了5,078条数据',NULL,'SUCCESS',1,'36 5000课次','{\"path\":\"file/2021/05/19/7057deb5c67349e5a36a1991cb342dd3.xlsx\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',NULL,'{\"path\":\"file/2021/05/19/d3756554521c4c998bce03909726c400.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403679936,115839683589570560,2,NULL,127462733871316992,NULL,NULL,0,0,NULL),(127770617674989568,'CREATE_PDF',127770593654210560,'FINISH','2021-05-19 13:54:49->开始准备创建pdf数据\n2021-05-19 13:55:05->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/6cdcf645e8ab4c8e9e642579f8ecbec3.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/22806f2702c94122acfa15f39019953e.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689117,115839683589570560,2,NULL,127462733871316992,NULL,'考场01-考点01',0,0,NULL),(127770617700155392,'CREATE_PDF',127770593670987776,'FINISH','2021-05-19 13:55:05->开始准备创建pdf数据\n2021-05-19 13:55:08->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/c63d76e29ea2458da0f44647477eb9c6.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/0149dd312e384fa4816f2c403a603052.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689123,115839683589570560,2,NULL,127462733871316992,NULL,'考场02-考点02',0,0,NULL),(127770617721126912,'CREATE_PDF',127770593683570688,'FINISH','2021-05-19 13:55:08->开始准备创建pdf数据\n2021-05-19 13:55:11->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/de096768f13c466786a4b9a36d145572.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/6300de8f709d42ac861592e65aaabfee.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689128,115839683589570560,2,NULL,127462733871316992,NULL,'考场03-考点03',0,0,NULL),(127770617742098432,'CREATE_PDF',127770593691959296,'FINISH','2021-05-19 13:55:11->开始准备创建pdf数据\n2021-05-19 13:55:14->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/747e4cb6d04a4b3b82b8afd082f9905f.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/b46ba5b5075a4fd69049f26de7bb8eea.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689133,115839683589570560,2,NULL,127462733871316992,NULL,'考场04-考点04',0,0,NULL),(127770617763069952,'CREATE_PDF',127770593704542208,'FINISH','2021-05-19 13:55:14->开始准备创建pdf数据\n2021-05-19 13:55:16->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/7a3279ef4b294e568d42040602393998.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/7d7c883106e84f08b9f6bb0bc44450e1.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689138,115839683589570560,2,NULL,127462733871316992,NULL,'考场05-考点05',0,0,NULL),(127770617784041472,'CREATE_PDF',127770593717125120,'FINISH','2021-05-19 13:55:16->开始准备创建pdf数据\n2021-05-19 13:55:19->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/dd4216c472414df99aebb0474b13bb28.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/a9f27d00f866400d9ad7dd519171f447.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689143,115839683589570560,2,NULL,127462733871316992,NULL,'考场06-考点06',0,0,NULL),(127770617805012992,'CREATE_PDF',127770593725513728,'FINISH','2021-05-19 13:55:19->开始准备创建pdf数据\n2021-05-19 13:55:22->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/5cdb5b8404e74706842143669f284432.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/e0b1bc3e61b249d09b332f6909509f2d.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689148,115839683589570560,2,NULL,127462733871316992,NULL,'考场07-考点07',0,0,NULL),(127770617830178816,'CREATE_PDF',127770593746485248,'FINISH','2021-05-19 13:55:22->开始准备创建pdf数据\n2021-05-19 13:55:25->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/0a99bb61c3594af8ab92189b97008706.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/71ebffa32432423e999eaf91622d919a.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689154,115839683589570560,2,NULL,127462733871316992,NULL,'考场08-考点08',0,0,NULL),(127770617851150336,'CREATE_PDF',127770593759068160,'FINISH','2021-05-19 13:55:25->开始准备创建pdf数据\n2021-05-19 13:55:28->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/386d21b53cc94bc59336ba807a20659c.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/afb9540fd0424a32928cc1adb134a6ef.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689159,115839683589570560,2,NULL,127462733871316992,NULL,'考场09-考点09',0,0,NULL),(127770617872121856,'CREATE_PDF',127770593771651072,'FINISH','2021-05-19 13:55:28->开始准备创建pdf数据\n2021-05-19 13:55:31->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/f8cf245d353e49909641e81cf3f9aa59.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/be29242b7c89462991991ce013905d37.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689164,115839683589570560,2,NULL,127462733871316992,NULL,'考场10-考点10',0,0,NULL),(127770617893093376,'CREATE_PDF',127770593780039680,'FINISH','2021-05-19 13:55:31->开始准备创建pdf数据\n2021-05-19 13:56:09->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/d3f946b461144b73bae8b5fa533d7de5.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/ac11e02fe99a4120adf08e1f6b3ec344.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689169,115839683589570560,2,NULL,127462733871316992,NULL,'考场11-考点11',0,0,NULL),(127770617914064896,'CREATE_PDF',127770593796816896,'FINISH','2021-05-19 13:56:09->开始准备创建pdf数据\n2021-05-19 13:57:00->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/e3a0d11d7e204293af4bf1d020fcccab.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/6a93d32972e640589dab128083b58278.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689174,115839683589570560,2,NULL,127462733871316992,NULL,'考场12-考点11',0,0,NULL),(127770617930842112,'CREATE_PDF',127770593809399808,'FINISH','2021-05-19 13:57:00->开始准备创建pdf数据\n2021-05-19 13:57:41->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/82531cc29d054f9488d0ff9662768fb3.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/1d65942c8bbe4d90a399aeb4a331b555.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689178,115839683589570560,2,NULL,127462733871316992,NULL,'考场13-考点11',0,0,NULL),(127770617951813632,'CREATE_PDF',127770593821982720,'FINISH','2021-05-19 13:57:41->开始准备创建pdf数据\n2021-05-19 13:58:58->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/c1370b41269c41b8ab95af050e25ddba.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/b95c69de9c324477992640f2f04470d8.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689183,115839683589570560,2,NULL,127462733871316992,NULL,'考场14-考点11',0,0,NULL),(127770617968590848,'CREATE_PDF',127770593834565632,'FINISH','2021-05-19 13:58:58->开始准备创建pdf数据\n2021-05-19 13:59:43->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/590e2a4257d1465c9d9eb5e774efa860.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/0b3bba29c6de45d2a934ac23e305a79f.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689187,115839683589570560,2,NULL,127462733871316992,NULL,'考场15-考点11',0,0,NULL),(127770617989562368,'CREATE_PDF',127770593847148544,'FINISH','2021-05-19 13:59:43->开始准备创建pdf数据\n2021-05-19 14:01:12->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/d5174f2ff97f4e2dbab04f2301640cae.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/2b90e9c12378427a8d7f9c71838861b9.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689192,115839683589570560,2,NULL,127462733871316992,NULL,'考场16-考点11',0,0,NULL),(127770618006339584,'CREATE_PDF',127770593863925760,'FINISH','2021-05-19 14:01:12->开始准备创建pdf数据\n2021-05-19 14:01:44->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/bcc8f8889ca8465eae7453d1976e635a.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/5252b6f6c67943289802b1f548a39d1a.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689196,115839683589570560,2,NULL,127462733871316992,NULL,'考场17-考点11',0,0,NULL),(127770618027311104,'CREATE_PDF',127770593876508672,'FINISH','2021-05-19 14:01:44->开始准备创建pdf数据\n2021-05-19 14:03:02->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/04ded274f3f743d49732f046d5ad0f45.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/f62106610bb1491b8144c92587b046cf.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689201,115839683589570560,2,NULL,127462733871316992,NULL,'考场18-考点11',0,0,NULL),(127770618048282624,'CREATE_PDF',127770593884897280,'FINISH','2021-05-19 14:03:02->开始准备创建pdf数据\n2021-05-19 14:03:35->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/4e8af5a42e24476a888811cb920a656a.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/f20eb3b78bef4d44b552c579e9ad2123.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689206,115839683589570560,2,NULL,127462733871316992,NULL,'考场19-考点11',0,0,NULL),(127770618069254144,'CREATE_PDF',127770593897480192,'FINISH','2021-05-19 14:03:35->开始准备创建pdf数据\n2021-05-19 14:04:38->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/163b9b53ff5842a98e90c2a301e5a854.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/a6ecaab03c8644b1a0cdb59662d5a9ae.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689211,115839683589570560,2,NULL,127462733871316992,NULL,'考场20-考点11',0,0,NULL),(127770618086031360,'CREATE_PDF',127770593910063104,'FINISH','2021-05-19 14:04:38->开始准备创建pdf数据\n2021-05-19 14:05:15->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/0c594826b18a4e7c993cd259562783a6.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/044ff8b207c541a39fb4ad20a9cf5670.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689216,115839683589570560,2,NULL,127462733871316992,NULL,'考场21-考点11',0,0,NULL),(127770618107002880,'CREATE_PDF',127770593918451712,'FINISH','2021-05-19 14:05:15->开始准备创建pdf数据\n2021-05-19 14:05:57->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/5ea5553d1ab0402d91961cf381babc14.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/227b975cf3584c28a19f65eb243afdc7.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689220,115839683589570560,2,NULL,127462733871316992,NULL,'考场22-考点11',0,0,NULL),(127770618123780096,'CREATE_PDF',127770593931034624,'FINISH','2021-05-19 14:05:57->开始准备创建pdf数据\n2021-05-19 14:06:24->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/04ef078242d04f049542c20c4dfe0a29.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/8039371a19354b1d89e61c25dd137a44.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689224,115839683589570560,2,NULL,127462733871316992,NULL,'考场23-考点11',0,0,NULL),(127770618148945920,'CREATE_PDF',127770593943617536,'FINISH','2021-05-19 14:06:24->开始准备创建pdf数据\n2021-05-19 14:07:17->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/0e1aca57a86445919693b5a012ed06b3.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/676eae7393af41fea0b5d9fd73a42a69.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689230,115839683589570560,2,NULL,127462733871316992,NULL,'考场24-考点11',0,0,NULL),(127770618165723136,'CREATE_PDF',127770593952006144,'FINISH','2021-05-19 14:07:17->开始准备创建pdf数据\n2021-05-19 14:08:21->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/4cda7b31ed644a18bd24f74a83f62461.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/4e12bfe4961e47839a56fed167d31918.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689235,115839683589570560,2,NULL,127462733871316992,NULL,'考场25-考点11',0,0,NULL),(127770618186694656,'CREATE_PDF',127770593972977664,'FINISH','2021-05-19 14:08:21->开始准备创建pdf数据\n2021-05-19 14:09:25->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/1e8fcd94f3cd4294942ef732ad7504ae.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/7d277ce72c8e4d97a0432e35b8556588.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689239,115839683589570560,2,NULL,127462733871316992,NULL,'考场26-考点11',0,0,NULL),(127770618207666176,'CREATE_PDF',127770593985560576,'FINISH','2021-05-19 14:09:25->开始准备创建pdf数据\n2021-05-19 14:09:54->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/06fd10cae12648c994a11566c17eb1df.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/f6cb169785794144a67cd84f9085be39.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689244,115839683589570560,2,NULL,127462733871316992,NULL,'考场27-考点11',0,0,NULL),(127770618228637696,'CREATE_PDF',127770593993949184,'FINISH','2021-05-19 14:09:54->开始准备创建pdf数据\n2021-05-19 14:10:18->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/f13ab1d376004849a110398ac3a702fe.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/72cf464dcd0040b588d985f9f7983e8f.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689249,115839683589570560,2,NULL,127462733871316992,NULL,'考场28-考点11',0,0,NULL),(127770618249609216,'CREATE_PDF',127770594002337792,'FINISH','2021-05-19 14:10:18->开始准备创建pdf数据\n2021-05-19 14:11:46->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/9484e579a43b428ba3f0b16bc452bd66.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/d4f981241c7c42d79ac13c74236967ec.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689254,115839683589570560,2,NULL,127462733871316992,NULL,'考场29-考点11',0,0,NULL),(127770618270580736,'CREATE_PDF',127770594010726400,'FINISH','2021-05-19 14:11:46->开始准备创建pdf数据\n2021-05-19 14:12:45->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/0d12647786eb4e4d8b0e3c4726072e60.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/c4398e77b158480bbf577368b2f30638.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689259,115839683589570560,2,NULL,127462733871316992,NULL,'考场30-考点11',0,0,NULL),(127770618291552256,'CREATE_PDF',127770594019115008,'FINISH','2021-05-19 14:12:45->开始准备创建pdf数据\n2021-05-19 14:14:09->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/9a7d632351df4bcb827a8cfddc2a1299.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/2ca66ba6a29c4a219b08a9eac5d38b16.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689264,115839683589570560,2,NULL,127462733871316992,NULL,'考场31-考点11',0,0,NULL),(127770618316718080,'CREATE_PDF',127770594027503616,'FINISH','2021-05-19 14:14:09->开始准备创建pdf数据\n2021-05-19 14:16:34->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/c6a2c1abce1740b1adbbffb0d50cc94b.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/8e7b5928bebe436d8077450520920e4f.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689270,115839683589570560,2,NULL,127462733871316992,NULL,'考场32-考点11',0,0,NULL),(127770618346078208,'CREATE_PDF',127770594035892224,'FINISH','2021-05-19 14:16:34->开始准备创建pdf数据\n2021-05-19 14:18:33->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/da6b4ed2f0cf446a96a3ca707ece515e.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/a705e07078dc4beea8b6e180af16c2ce.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689278,115839683589570560,2,NULL,127462733871316992,NULL,'考场33-考点11',0,0,NULL),(127770618375438336,'CREATE_PDF',127770594044280832,'FINISH','2021-05-19 14:18:33->开始准备创建pdf数据\n2021-05-19 14:19:45->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/8c4ac89fb50b4f858a3ac7bc1b56009d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/4e3091dd80d84d56bbcc30ba71b46158.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689284,115839683589570560,2,NULL,127462733871316992,NULL,'考场34-考点11',0,0,NULL),(127770618396409856,'CREATE_PDF',127770594048475136,'FINISH','2021-05-19 14:19:45->开始准备创建pdf数据\n2021-05-19 14:20:04->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/726f311c642841579cf7cdf531fdea43.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/03e2b6c15942413f9998484f9a35e90b.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689289,115839683589570560,2,NULL,127462733871316992,NULL,'考场35-考点11',0,0,NULL),(127770618421575680,'CREATE_PDF',127770594056863744,'FINISH','2021-05-19 14:20:04->开始准备创建pdf数据\n2021-05-19 14:20:31->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/406791cca4d74d349dc8ba189050d541.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/5f76803a61cb4fc5b874c79da14bccd3.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689295,115839683589570560,2,NULL,127462733871316992,NULL,'考场36-考点11',0,0,NULL),(127770618446741504,'CREATE_PDF',127770594065252352,'FINISH','2021-05-19 14:20:31->开始准备创建pdf数据\n2021-05-19 14:20:57->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/31235e81ba0b404ca8d8a0970f5569a0.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/6491d3aa25744ee99f58cfb58a51aa91.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689301,115839683589570560,2,NULL,127462733871316992,NULL,'考场37-考点11',0,0,NULL),(127770618467713024,'CREATE_PDF',127770594073640960,'FINISH','2021-05-19 14:20:57->开始准备创建pdf数据\n2021-05-19 14:21:46->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/441b96af372b46329d2f6bc26b7eff94.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/99c7fadeaff144ec9f485e4b5539aa2d.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689306,115839683589570560,2,NULL,127462733871316992,NULL,'考场38-考点11',0,0,NULL),(127770618488684544,'CREATE_PDF',127770594082029568,'FINISH','2021-05-19 14:21:46->开始准备创建pdf数据\n2021-05-19 14:22:17->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/d00d4a99c36646c2a8931dc05f302510.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/a7db858812e84da4af259850fd42e199.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689311,115839683589570560,2,NULL,127462733871316992,NULL,'考场39-考点11',0,0,NULL),(127770618509656064,'CREATE_PDF',127770594086223872,'FINISH','2021-05-19 14:22:17->开始准备创建pdf数据\n2021-05-19 14:22:34->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/4e318aa8dffd4feab3a5cf90f045ff62.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/6726494464794dc2b8b789dd5fca7ba9.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689317,115839683589570560,2,NULL,127462733871316992,NULL,'考场40-考点11',0,0,NULL),(127770618534821888,'CREATE_PDF',127770594094612480,'FINISH','2021-05-19 14:22:34->开始准备创建pdf数据\n2021-05-19 14:22:58->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/a443cf2908634f9da6d51683a53362d5.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/6d60424e25db42ecac215c98e396fbf1.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689322,115839683589570560,2,NULL,127462733871316992,NULL,'考场41-考点11',0,0,NULL),(127770618551599104,'CREATE_PDF',127770594103001088,'FINISH','2021-05-19 14:22:58->开始准备创建pdf数据\n2021-05-19 14:23:28->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/74f5797d156c49d4919dfac983ec70c5.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/a542c32888a84a5196244e13c6bd2210.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689327,115839683589570560,2,NULL,127462733871316992,NULL,'考场42-考点11',0,0,NULL),(127770618576764928,'CREATE_PDF',127770594111389696,'FINISH','2021-05-19 14:23:28->开始准备创建pdf数据\n2021-05-19 14:24:05->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/58ee0c294fcd4ef884a823c9dbe6c91b.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/2649ef255e244e88a8cdc5c6ca5d9da7.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689332,115839683589570560,2,NULL,127462733871316992,NULL,'考场43-考点11',0,0,NULL),(127770618597736448,'CREATE_PDF',127770594119778304,'FINISH','2021-05-19 14:24:05->开始准备创建pdf数据\n2021-05-19 14:24:55->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/39a41ab562e542ce9772457ccdcda063.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/2c23d8bb1ee94b00b1209d65855e7ccc.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689337,115839683589570560,2,NULL,127462733871316992,NULL,'考场44-考点11',0,0,NULL),(127770618618707968,'CREATE_PDF',127770594123972608,'FINISH','2021-05-19 14:24:55->开始准备创建pdf数据\n2021-05-19 14:25:26->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/f7c5760a46eb41d797aabc4fc74f67b2.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/615bc15613634953b9ff50946dd3513c.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689342,115839683589570560,2,NULL,127462733871316992,NULL,'考场45-考点11',0,0,NULL),(127770618639679488,'CREATE_PDF',127770594132361216,'FINISH','2021-05-19 14:25:27->开始准备创建pdf数据\n2021-05-19 14:26:36->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/e4c60d8d780d49b786401e07710d4008.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/a7a124594a244bd38c9555dc90a23507.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689347,115839683589570560,2,NULL,127462733871316992,NULL,'考场46-考点11',0,0,NULL),(127770618660651008,'CREATE_PDF',127770594140749824,'FINISH','2021-05-19 14:26:36->开始准备创建pdf数据\n2021-05-19 14:27:30->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/f2db7d6ebd734c5885a859cf5b67e50a.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/1fdb670a0e3448249ed3457688731e8c.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689352,115839683589570560,2,NULL,127462733871316992,NULL,'考场47-考点11',0,0,NULL),(127770618685816832,'CREATE_PDF',127770594149138432,'FINISH','2021-05-19 14:27:30->开始准备创建pdf数据\n2021-05-19 14:28:11->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/7bde45c5c84c443b825374ff3bd61e2d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/a48b0564460148f9b5c0e286d2471116.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689358,115839683589570560,2,NULL,127462733871316992,NULL,'考场48-考点11',0,0,NULL),(127770618710982656,'CREATE_PDF',127770594157527040,'FINISH','2021-05-19 14:28:11->开始准备创建pdf数据\n2021-05-19 14:28:35->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/586552bf920a447d8e287d0212dc26c9.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/23b0e31c1a894aff9f7bfbd848f391bb.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689364,115839683589570560,2,NULL,127462733871316992,NULL,'考场49-考点11',0,0,NULL),(127770618731954176,'CREATE_PDF',127770594161721344,'FINISH','2021-05-19 14:28:35->开始准备创建pdf数据\n2021-05-19 14:29:15->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/a7143ae0765e46018988778ef7e5cf4d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/79f997f9f25849eb9c1683373cf6e6c0.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689369,115839683589570560,2,NULL,127462733871316992,NULL,'考场50-考点11',0,0,NULL),(127770618752925696,'CREATE_PDF',127770594170109952,'FINISH','2021-05-19 14:29:15->开始准备创建pdf数据\n2021-05-19 14:30:04->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/7c73e6ee3c7b4ad898702a00b88c0005.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/d4daa6bb46014b3d83d600ba3bb7aac7.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689374,115839683589570560,2,NULL,127462733871316992,NULL,'考场51-考点11',0,0,NULL),(127770618773897216,'CREATE_PDF',127770594178498560,'FINISH','2021-05-19 14:30:04->开始准备创建pdf数据\n2021-05-19 14:31:00->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/0448806abd1341b7bb6ddf9d5c341237.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/1aa1dff7d5c046c5b570090cbbbc6ea0.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689379,115839683589570560,2,NULL,127462733871316992,NULL,'考场52-考点11',0,0,NULL),(127770618794868736,'CREATE_PDF',127770594182692864,'FINISH','2021-05-19 14:31:00->开始准备创建pdf数据\n2021-05-19 14:31:54->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/9573ae3ba5e248afa0759c896e5cc623.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/f79ebb794c2f410387a571b3f57866ee.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689384,115839683589570560,2,NULL,127462733871316992,NULL,'考场53-考点11',0,0,NULL),(127770618815840256,'CREATE_PDF',127770594191081472,'FINISH','2021-05-19 14:31:54->开始准备创建pdf数据\n2021-05-19 14:32:50->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/11a81c69fcfe4e7092747f5f579dcd4c.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/6e77f7cc4cf3463ab97e6313a10b0af3.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689389,115839683589570560,2,NULL,127462733871316992,NULL,'考场54-考点11',0,0,NULL),(127770618836811776,'CREATE_PDF',127770594199470080,'FINISH','2021-05-19 14:32:50->开始准备创建pdf数据\n2021-05-19 14:33:56->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/a7b8832b95584b2187370eb6d4ce3e88.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/de0eeabc183844a7ae280c910f9e784e.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689394,115839683589570560,2,NULL,127462733871316992,NULL,'考场55-考点11',0,0,NULL),(127770618853588992,'CREATE_PDF',127770594207858688,'FINISH','2021-05-19 14:33:56->开始准备创建pdf数据\n2021-05-19 14:34:34->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/7f1836d3f8b94947b594e6ddda9f1e26.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/86fe161eb01940949183f86d663bc90f.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689398,115839683589570560,2,NULL,127462733871316992,NULL,'考场56-考点11',0,0,NULL),(127770618874560512,'CREATE_PDF',127770594216247296,'FINISH','2021-05-19 14:34:34->开始准备创建pdf数据\n2021-05-19 14:35:28->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/c06fb03669f94fc4a5d4898541f5caeb.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/9457e20eb0cf47d5ab485a99b9a865cf.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689403,115839683589570560,2,NULL,127462733871316992,NULL,'考场57-考点11',0,0,NULL),(127770618891337728,'CREATE_PDF',127770594224635904,'FINISH','2021-05-19 14:35:28->开始准备创建pdf数据\n2021-05-19 14:36:19->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/e6d9b84c3b4740e1af52be179897a9d5.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/ca30cf63c5b144788205653bb87eee4e.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689407,115839683589570560,2,NULL,127462733871316992,NULL,'考场58-考点11',0,0,NULL),(127770618912309248,'CREATE_PDF',127770594228830208,'FINISH','2021-05-19 14:36:19->开始准备创建pdf数据\n2021-05-19 14:37:03->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/17c9622300164e80ae9ead8a2c2f632c.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/4b7a213a46654b7d9c9bb7531d43dc33.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689412,115839683589570560,2,NULL,127462733871316992,NULL,'考场59-考点11',0,0,NULL),(127770618933280768,'CREATE_PDF',127770594237218816,'FINISH','2021-05-19 14:37:03->开始准备创建pdf数据\n2021-05-19 14:38:03->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/621b18223d8b4e3abd7cbabc1d76b8f7.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/2527f117554c4ed9af184d4866c16ce8.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689417,115839683589570560,2,NULL,127462733871316992,NULL,'考场60-考点11',0,0,NULL),(127770618954252288,'CREATE_PDF',127770594245607424,'FINISH','2021-05-19 14:38:03->开始准备创建pdf数据\n2021-05-19 14:38:54->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/c5d6595c9ce944ae8b5daa8ff4328c13.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/6fe14611ac6149089e9cb271a7b037df.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689422,115839683589570560,2,NULL,127462733871316992,NULL,'考场61-考点11',0,0,NULL),(127770618975223808,'CREATE_PDF',127770594253996032,'FINISH','2021-05-19 14:38:54->开始准备创建pdf数据\n2021-05-19 14:39:59->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/f477cadb683a47dfab9ada6dbae4b88d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/211dc31d6f6e46bc8a17975d6ba5dd51.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689427,115839683589570560,2,NULL,127462733871316992,NULL,'考场62-考点11',0,0,NULL),(127770618996195328,'CREATE_PDF',127770594258190336,'FINISH','2021-05-19 14:39:59->开始准备创建pdf数据\n2021-05-19 14:40:51->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/e040206a2b454a62b347ac2dd74756fb.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/40f6d1ea60044f78b31c1c4e253ba8fe.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689432,115839683589570560,2,NULL,127462733871316992,NULL,'考场63-考点11',0,0,NULL),(127770619017166848,'CREATE_PDF',127770594266578944,'FINISH','2021-05-19 14:40:51->开始准备创建pdf数据\n2021-05-19 14:42:04->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/34964103298f43b589d388f097100c6f.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/7bb12c5138a449ee9a0efc3198578aac.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689437,115839683589570560,2,NULL,127462733871316992,NULL,'考场64-考点11',0,0,NULL),(127770619038138368,'CREATE_PDF',127770594270773248,'FINISH','2021-05-19 14:42:04->开始准备创建pdf数据\n2021-05-19 14:42:42->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/e146de14b4184dac9444c587028ba69d.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/e9c19d2628ce4132a08ce24237bfba23.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689442,115839683589570560,2,NULL,127462733871316992,NULL,'考场65-考点11',0,0,NULL),(127770619063304192,'CREATE_PDF',127770594279161856,'FINISH','2021-05-19 14:42:42->开始准备创建pdf数据\n2021-05-19 14:43:28->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/759bcc568cda4ae79e60db8acc29bf6b.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/30b314ac8b9e4191a0ac452ed91ad6cb.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689448,115839683589570560,2,NULL,127462733871316992,NULL,'考场66-考点11',0,0,NULL),(127770619084275712,'CREATE_PDF',127770594287550464,'FINISH','2021-05-19 14:43:28->开始准备创建pdf数据\n2021-05-19 14:44:25->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/37bdbf07ad9d4d788b03a1e9d04ffa93.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/7b6f4f85759e4d30bd8e6cc244cdcf7b.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689453,115839683589570560,2,NULL,127462733871316992,NULL,'考场67-考点11',0,0,NULL),(127770619105247232,'CREATE_PDF',127770594291744768,'FINISH','2021-05-19 14:44:25->开始准备创建pdf数据\n2021-05-19 14:45:17->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/f3e03164a5654659817fea6dcdc515dc.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/a2ff6ff4965f488383517404f10dfba0.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689458,115839683589570560,2,NULL,127462733871316992,NULL,'考场68-考点11',0,0,NULL),(127770619126218752,'CREATE_PDF',127770594300133376,'FINISH','2021-05-19 14:45:17->开始准备创建pdf数据\n2021-05-19 14:46:52->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/518ac310e6b140c3b5b9510150a4d2be.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/232a3633daf74a91b1467e96effda425.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689463,115839683589570560,2,NULL,127462733871316992,NULL,'考场69-考点11',0,0,NULL),(127770619147190272,'CREATE_PDF',127770594308521984,'FINISH','2021-05-19 14:46:52->开始准备创建pdf数据\n2021-05-19 14:48:09->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/b5234c5f3e5c4c7bb7f19c458c8451c0.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/c29831935bd24e75be6e16e3cf452494.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689468,115839683589570560,2,NULL,127462733871316992,NULL,'考场70-考点11',0,0,NULL),(127770619163967488,'CREATE_PDF',127770594316910592,'FINISH','2021-05-19 14:48:09->开始准备创建pdf数据\n2021-05-19 14:48:59->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/06b83f00e97849eaa542c66ed7e62a25.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/fc7c52ddb778403ba84072cd00977cfc.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689472,115839683589570560,2,NULL,127462733871316992,NULL,'考场71-考点11',0,0,NULL),(127770619184939008,'CREATE_PDF',127770594321104896,'FINISH','2021-05-19 14:48:59->开始准备创建pdf数据\n2021-05-19 14:49:51->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/5a3bbb22f5424c96bd567b860115caf5.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/b511a18418004e689572a9365100dd1c.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689477,115839683589570560,2,NULL,127462733871316992,NULL,'考场72-考点11',0,0,NULL),(127770619205910528,'CREATE_PDF',127770594329493504,'FINISH','2021-05-19 14:49:51->开始准备创建pdf数据\n2021-05-19 14:50:29->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/4ca0128d1dee438398a53fdb1b0864bc.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/c47386f660f84d8faf04f146a78ca220.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689482,115839683589570560,2,NULL,127462733871316992,NULL,'考场73-考点11',0,0,NULL),(127770619222687744,'CREATE_PDF',127770594337882112,'FINISH','2021-05-19 14:50:29->开始准备创建pdf数据\n2021-05-19 14:51:08->数据处理结束，共处理了1条数据',NULL,'SUCCESS',1,NULL,NULL,'{\"path\":\"pdf/2021/05/19/e751bab8759b44c38d587d9e9dee53c4.pdf\",\"uploadType\":\"PDF\",\"type\":\"oss\"}','{\"path\":\"file/2021/05/19/1a2eef5f4f584e4fb66dfcfa5b7c3a76.txt\",\"uploadType\":\"FILE\",\"type\":\"oss\"}',1621403689486,115839683589570560,2,NULL,127462733871316992,NULL,'考场74-考点11',0,0,NULL);
/*!40000 ALTER TABLE `t_b_task` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_g_error`
--

DROP TABLE IF EXISTS `t_g_error`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_g_error` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `obj_id` bigint(20) DEFAULT NULL COMMENT '实体id',
  `summary` mediumtext COMMENT '实时摘要信息',
  `create_time` bigint(20) DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='全局异常错误信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_g_error`
--

LOCK TABLES `t_g_error` WRITE;
/*!40000 ALTER TABLE `t_g_error` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_g_error` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'teachcloud-report'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-06-07 15:43:16
